2008-06-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-deduce-fileset): Check if the buffer has a file.
	(vc-register): Call the backend function only once, instead of
	once for each file.
	(vc-next-action): Update call to vc-register.
	(vc-dir-register): Remove function.
	(vc-dir): Bind vc-register instead of vc-dir-register.

2008-06-14  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Add net/newst-*.el.

2008-06-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* wdired.el (wdired-do-renames): New function.
	(wdired-finish-edit): Use it to.
	(wdired-preprocess-files): Don't hardcode (point-min) == 1.

2008-06-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* info.el (Info-insert-breadcrumbs): Don't break in apropos and toc.

2008-06-14  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window--even-window-heights): Even window heights
	only if the selected window is higher than WINDOW.
	Reported by Stephen Berman <Stephen.Berman at gmx.net>.

2008-06-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* info.el (Info-insert-breadcrumbs): Be careful to preserve history.

2008-06-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* term/linux.el (terminal-init-linux): Load t-mouse.

2008-06-13  Stefan Monnier  <monnier@iro.umontreal.ca>
	        Drew Adams  <drew.adams@oracle.com>

	* info.el (Info-breadcrumbs-depth): New var.
	(Info-insert-breadcrumbs): New function.
	(Info-fontify-node): Use it.
	(Info-mode-map): Move initialization into declaration.

2008-06-13  Ulf Jasper  <ulf.jasper@web.de>

	Rename net/newsticker-*.el to net/newst-*.el.
	* net/newst-backend.el: Rename from net/newsticker-backend.el.
	* net/newst-plainview.el: Rename from net/newsticker-plainview.el.
	* net/newst-reader.el: Rename from net/newsticker-reader.el.
	* net/newst-ticker.el: Rename from net/newsticker-ticker.el.
	* net/newst-treeview.el: Rename from net/newsticker-treeview.el.
	* net/newsticker-backend.el: Rename to net/newst-backend.el.
	* net/newsticker-plainview.el: Rename to net/newst-plainview.el.
	* net/newsticker-reader.el: Rename to net/newst-reader.el.
	* net/newsticker-ticker.el: Rename to net/newst-ticker.el.
	* net/newsticker-treeview.el: Rename to net/newst-treeview.el.

2008-06-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-start): Don't disable undo in
	comint buffer.  Don't override the comint-filter with our own.
	(compilation-filter): Change point's insertion-type.

	* comint.el (comint-output-filter): Use copy-marker.

2008-06-13  David Reitter  <david.reitter@gmail.com>

	* textmodes/flyspell.el (mail-mode-flyspell-verify):
	Check message-signature-separator exists before using it.

2008-06-13  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-delete-file): Bind default-directory before calling
	the backend.
	(vc-annotate-show-diff-revision-at-line): Move most of the code to ...
	(vc-annotate-show-diff-revision-at-line-internal): ... here.
	New function.
	(vc-annotate-show-changeset-diff-revision-at-line): New function.
	(vc-annotate-mode-menu): Bind it.

2008-06-13  Jason Rumney  <jasonr@gnu.org>

	* term/w32-win.el (mouse-set-font): Remove overridden function.
	(w32-select-font): Declare as obsolete alias for x-select-font.

2008-06-13  Daniel Engeler  <engeler@gmail.com>

	These changes add serial port access.
	* term.el (term-update-mode-line): Modify.
	(serial-port-is-file-p, serial-nice-speed-history)
	(serial-no-speed, serial-mode-line-speed-menu)
	(serial-mode-line-config-menu): New variables and constants.
	(serial-name-history, serial-speed-history)
	(serial-supported-or-barf, serial-read-name, serial-read-speed)
	(serial-term, serial-speed, serial-mode-line-speed-menu-1)
	(serial-mode-line-speed-menu, serial-update-speed-menu)
	(serial-mode-line-config-menu-1, serial-mode-line-config-menu)
	(serial-update-config-menu): New functions.

2008-06-13  Glenn Morris  <rgm@gnu.org>

	* menu-bar.el (menu-set-font): Use fboundp rather than functionp.

	* emacs-lisp/bytecomp.el (byte-compile-maybe-guarded): Doc fix.

2008-06-13  Kenichi Handa  <handa@m17n.org>

	* cus-face.el (custom-face-attributes): Add :foundry.

	* faces.el (set-face-attribute): Parse "FOUNDRY-FAMILY" here.
	(face-x-resources): Add :foundry.
	(face-valid-attribute-values): Likewise.
	(face-attribute-name-alist): Likewise.
	(describe-face): Likewise.

2008-06-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/map-ynp.el (map-y-or-n-p): Accept non-char events.

2008-06-12  Chong Yidong  <cyd@stupidchicken.com>

	* longlines.el (longlines-search-forward, longlines-search-backward)
	(longlines-re-search-forward): Use a smarter search-spaces-regexp.

2008-06-12  Sam Steingold  <sds@gnu.org>

	* vc.el (vc-rename-file): DTRT when the destination is a directory
	name and the source is a file.

2008-06-12  Chong Yidong  <cyd@stupidchicken.com>

	* menu-bar.el (menu-set-font): Rename x-font-dialog to x-select-font.

2008-06-12  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-beginning-of-subprogram)
	(f90-end-of-subprogram): Only give a message when interactive.

	* term/mac-win.el (x-toolkit-scroll-bars): Check bound.

	* progmodes/cperl-mode.el (cperl-info-on-command):
	Use display-pixel-height rather than x-display-pixel-height.

	* mail/rmailedit.el (rmail-cease-edit):
	* vc-dispatcher.el (vc-dir-mode): Check tool-bar-mode is bound.

	* emulation/edt.el (edt-xserver):
	* emulation/edt-mapper.el (edt-xserver): Use replace-regexp-in-string.

	* emulation/edt-mapper.el: Drop test for Emacs < 19.

	* mwheel.el (mouse-wheel-follow-mouse, mwheel-event-window):
	Evaluate definitions when compiling.  Reverse tests.

	* dframe.el (dframe-reposition-frame-emacs): Reorder test, and
	use unless.

	* menu-bar.el (w32-menu-bar-open): Declare for compiler.

	* textmodes/artist.el (x-pointer-shape):
	* term/x-win.el (x-parse-geometry, x-resource-name, accelerate-menu)
	(x-open-connection, x-server-max-request-size, x-get-resource):
	* term/w32console.el (x-setup-function-keys):
	* term/w32-win.el (x-parse-geometry, x-resource-name)
	(generate-fontset-menu, image-library-alist, x-open-connection)
	(setup-default-fontset, set-fontset-font, setup-default-fontset)
	(create-fontset-from-fontset-spec, create-fontset-from-x-resource)
	(x-get-resource):
	* term/mac-win.el (x-parse-geometry, x-resource-name)
	(x-get-selection-internal, tool-bar-mode, set-fontset-font)
	(new-fontset, x-display-list, x-open-connection, x-get-resource):
	* progmodes/gud.el (tooltip-last-mouse-motion-event, tooltip-hide)
	(tooltip-start-delayed-tip, tooltip-use-echo-area, tooltip-show)
	(tooltip-strip-prompt, tooltip-expr-to-print, tooltip-event-buffer):
	* progmodes/gdb-ui.el (tooltip-show, tooltip-use-echo-area)
	(tooltip-identifier-from-point, define-fringe-bitmap):
	* play/gamegrid.el (image-size):
	* play/bubbles.el (image-size):
	* mail/emacsbug.el (x-server-vendor, x-server-version):
	* international/mule-util.el (internal-char-font):
	* international/mule-diag.el (font-info, query-fontset, fontset-info)
	(fontset-alias-alist, fontset-list, fontset-plain-name):
	* international/mule-cmds.el (x-server-vendor, x-server-version):
	* international/fontset.el (font-encoding-charset-alist)
	(otf-script-alist, new-fontset, set-fontset-font)
	(x-pixel-size-width-font-regexp, vertical-centering-font-regexp)
	(fontset-list, query-fontset, x-get-resource):
	* emulation/edt.el (x-server-vendor):
	* emulation/edt-mapper.el (x-server-vendor):
	* emacs-lisp/map-ynp.el (x-popup-dialog):
	* emacs-lisp/lmenu.el (x-popup-dialog):
	* x-dnd.el (x-window-property, x-change-window-property)
	(x-get-selection-internal):
	* woman.el (x-list-fonts):
	* w32-fns.el (x-server-version):
	* tooltip.el (x-show-tip, x-hide-tip):
	* tool-bar.el (image-mask-p):
	* thumbs.el (image-size):
	* term.el (overflow-newline-into-fringe):
	* subr.el (scroll-bar-scale):
	* startup.el (x-get-resource, tool-bar-mode, image-size):
	* select.el (x-get-selection-internal, x-own-selection-internal)
	(x-disown-selection-internal):
	* mouse.el (generate-fontset-menu):
	* mouse-sel.el (x-select-text, x-cut-buffer-or-selection-value):
	* image.el (image-library-alist):
	* image-mode.el (image-size, image-refresh):
	* image-dired.el (clear-image-cache):
	* gs.el (x-display-mm-width, x-display-pixel-width)
	(x-display-mm-height, x-display-pixel-height)
	(x-change-window-property, x-display-grayscale-p, x-window-property):
	* frame.el (tool-bar-mode, x-display-name, x-close-connection)
	(x-focus-frame, x-list-fonts, x-display-screens)
	(x-display-pixel-height, x-display-pixel-width, x-display-mm-height)
	(x-display-mm-width, x-display-backing-store, x-display-save-under)
	(x-display-planes, x-display-color-cells, x-display-visual-class):
	* faces.el (internal-face-x-get-resource)
	(internal-set-lisp-face-attribute-from-resource, x-bitmap-file-path)
	(fontset-list, x-list-fonts, xw-color-defined-p, xw-color-values)
	(xw-display-color-p, x-display-grayscale-p, x-get-resource)
	(x-parse-geometry, x-create-frame, x-setup-function-keys)
	(tool-bar-setup):
	* doc-view.el (clear-image-cache, image-size, tooltip-show):
	* dired.el (dnd-get-local-file-name, dnd-get-local-file-uri):
	* dframe.el (x-display-pixel-width, x-display-pixel-height):
	* descr-text.el (internal-char-font):
	Define for compiler, for builds without X.

2008-06-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-rcs.el (vc-rcs-state-heuristic): Don't assume the file exists.

2008-06-11  Glenn Morris  <rgm@gnu.org>

	* progmodes/fortran.el (fortran-end-of-subprogram): Check for a match
	before trying to move there.
	(fortran-calculate-indent): When fortran-check-all-num-for-matching-do
	is non-nil, indent most terminating statements like loop body.

	* calendar/diary-lib.el (diary-list-entries-2): Accept optional
	Gregorian date, and add it, not the local date, to diary-entries-list.
	(diary-list-entries-1): Pass Gregorian date to diary-list-entries-2.

2008-06-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-filter): Fix up last change.

	* term/linux.el (terminal-init-linux): Use gpm-mouse-enable.

	* t-mouse.el (gpm-mouse-enable, gpm-mouse-disable): New functions.
	(gpm-mouse-mode): Make it into a proper global minor mode.

	* files.el (save-some-buffers-action-alist): Only use recursive-edit
	if the user enabled recursive-minibuffers.

	* emacs-lisp/map-ynp.el (map-y-or-n-p):
	Add support for scroll-other-window.

2008-06-11  Jason Rumney  <jasonr@gnu.org>

	* term/w32-win.el (w32-menu-bar-open): Rename from menu-bar-open.
	Use tmm-menubar if menu is disabled in this frame.

	* menu-bar.el (menu-bar-open): Determine how to open menu bar
	from frame type, per documentation.  Add w32 case.

2008-06-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion--merge-suffix): New function.
	(completion-basic-try-completion): Use it.
	(completion-pcm--find-all-completions): Add argument `filter'.
	(completion-pcm--filename-try-filter, completion-pcm--merge-try):
	New functions.
	(completion-pcm-try-completion): Use them.

	* xt-mouse.el (turn-on-xterm-mouse-tracking)
	(turn-off-xterm-mouse-tracking): Use terminal-list.

	* cus-start.el (underline-minimum-offset): Rename from
	x-underline-minimum-display-offset.

2008-06-10  David De La Harpe Golden  <david@harpegolden.net>  (tiny change)

	* cus-start.el (x-underline-minimum-display-offset): Give it a type.

2008-06-10  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (mouse-select-font): New function.

	* faces.el (face-spec-recalc): When the face is set using
	Customize, avoid recalculating it twice.

	* menu-bar.el (menu-set-font): New function.  Bind "Set Default
	Font" menu item to it.  Apply selected font to all frames, and
	make it savable.
	(menu-bar-options-save): Save `default' font if changed.

2008-06-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ffap.el (ffap-string-at-point-mode-alist):
	Use alpha rather than lower.

	* dired.el (dired-insert-directory): Don't assume Unix-style dir names.

	* subr.el (momentary-string-display): Use an overlay.

	* progmodes/compile.el (compilation-mode):
	Set window-point-insertion-type.
	(compilation-filter): Don't use insert-before-markers any more.
	* emacs-lisp/trace.el (trace-make-advice):
	Set window-point-insertion-type in the trace buffer.
	* startup.el (normal-top-level): Set window-point-insertion-type in
	*Messages*.
	* net/telnet.el (telnet-mode): Set window-point-insertion-type.
	(telnet-filter): Don't use insert-before-markers any more.
	* comint.el (comint-mode): Set window-point-insertion-type.
	(comint-output-filter): Don't use insert-before-markers any more.
	* button.el (make-text-button): Allow `start' to be a string.

2008-06-10  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/autoload.el (autoload-rubric):
	Fix coding cookie not to force Unix EOL.

2008-06-10  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window--splittable-p, window--try-to-split-window):
	Don't use with-selected-window to avoid messing up get-lru-window.
	Reported by David Hansen <david.hansen@gmx.net>.

2008-06-10  Glenn Morris  <rgm@gnu.org>

	* subr.el (locate-library): Doc fix.

	* net/newsticker-treeview.el (w3m-toggle-inline-images): Declare.
	(newsticker-treeview-tool-bar-map, newsticker-treeview-mode):
	Check tool-bar-map is bound, for non-X builds.

	* net/newsticker-reader.el (newsticker--next-item-image)
	(newsticker--previous-item-image, newsticker--previous-feed-image)
	(newsticker--next-feed-image, newsticker--mark-read-image)
	(ewsticker--mark-immortal-image, newsticker--narrow-image)
	(newsticker--get-all-image, newsticker--update-image)
	(newsticker--browse-image): Check xpm images are available.
	(newsticker--mark-read-image, newsticker--mark-immortal-image)
	(newsticker--narrow-image, newsticker--get-all-image): Doc fix.

	* net/newsticker-plainview.el (tool-bar-map): Don't declare.
	(newsticker--plainview-tool-bar-map, newsticker-mode):
	Check tool-bar-map is bound, for non-X builds.
	(w3m-toggle-inline-image): Declare.

	* net/newsticker-backend.el (tool-bar-map): Don't declare.

	* emacs-lisp/autoload.el (autoload-rubric): Add coding cookie.

	* finder.el (finder-font-lock-keywords): Handle ``quotes''.
	(finder-compile-keywords): Move let to where needed.
	(finder-mouse-face-on-line): Go back one more line if needed.
	(finder-list-matches): Use cadr.
	(finder-goto-xref): New function.
	(finder-commentary): Add buttons to jump to foo.el libraries.

2008-06-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* apropos.el (apropos-function, apropos-macro, apropos-command)
	(apropos-variable, apropos-face, apropos-group, apropos-widget)
	(apropos-plist): Add apropos-short-label property.
	(apropos-multi-type): New variables.
	(apropos-command, apropos-value): Set it.
	(apropos-compact-layout): New custom.
	(apropos-print, apropos-print-doc): Use it.
	(apropos-print): Truncate lines.

2008-06-09  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (font-encoding-alist):
	Add an entry for "ascii-0".

2008-06-09  Jihyun Cho  <jihyun.jo@gmail.com>

	* language/hanja-util.el (hanja-init-load): Show the message only
	when loading a table.

2008-06-08  Ulf Jasper  <ulf.jasper@web.de>

	* net/newsticker-treeview.el (newsticker-treeview):
	* net/newsticker-plainview.el (newsticker-plainview):
	Add autoload cookie.

2008-06-08  Ulf Jasper  <ulf.jasper@web.de>

	* net/newsticker.el: Split up into newsticker-backend, -ticker,
	-reader, -plainview, and -treeview.
	(newsticker-version): Change to 1.99.

	* net/newsticker-backend.el: New.  Move backend functionality from
	newsticker.el to newsticker-backend.el.
	(newsticker--download-logos): New.
	(newsticker--sentinel-callback): New.
	(newsticker--set-customvar): Remove.  Split up into specific
	functions related to retrieval, ticker, buffer, and display.
	(newsticker--set-customvar-retrieval): New.  Extracted from
	`newsticker--set-customvar'.
	(newsticker-retrieval): New.  Renamed from `newsticker-feed'.
	(newsticker-url-list-defaults):
	Use `newsticker--set-customvar-retrieval' for :set.  Change :group.
	(newsticker-url-list): Doc changed. URL can be a function.
	Use `newsticker--set-customvar-retrieval' for :set.  Change :group.
	(newsticker-retrieval-method): New.
	(newsticker-wget-name, newsticker-wget-arguments): Change :group.
	(newsticker-retrieval-interval):
	Use `newsticker--set-customvar-retrieval' for :set.  Change :group.
	(newsticker-desc-comp-max): Change :group.
	(newsticker--cache): Doc changed.
	(newsticker--guid-to-string): New.
	(newsticker--guid): Use `newsticker--guid-to-string'.
	(newsticker--real-feed-name): New.
	(newsticker--start-feed): New.  Extracted from `newsticker-start'.
	(newsticker-start): Use `insert-file-contents' for reading cache.
	Use `newsticker--start-feed'.
	(newsticker--stop-feed): New.  Extracted from `newsticker-stop'.
	(newsticker-stop): Check whether `newsticker-stop-ticker' is fbound.
	Use `newsticker--stop-feed'.
	(newsticker-save-item): New.
	(newsticker--get-news-by-funcall): New.
	(newsticker-get-news): Handle new retrieval methods.
	(newsticker--sentinel): Use `newsticker--sentinel-work'.
	(newsticker--sentinel-work): New.  Extracted from
	`newsticker--sentinel'.  Use `newsticker--download-logos',
	`newsticker--sentinel-callback'.
	(newsticker--parse-atom-0.3): Use `newsticker--guid-to-string'.
	(newsticker--parse-atom-1.0): Fix link determination.
	(newsticker--parse-rss-0.91): Fix time determination.
	(newsticker--parse-rss-0.92): Fix time determination.
	(newsticker--parse-rss-2.0): Use `newsticker--guid-to-string'.
	(newsticker--parse-generic-feed): New arg order in
	`newsticker--cache-add'.
	(newsticker--parse-generic-items): Fix for multiple items.
	New arg order in `newsticker--cache-add'.
	(newsticker--forget-preformatted): Check whether
	`newsticker--buffer-set-uptodate' is fbound.
	(newsticker--decode-iso8601-date): Handle fractions of seconds.
	(newsticker--decode-rfc822-date): Partial timezone handling.
	(newsticker--cache-contains): Fix guid problem.
	(newsticker--cache-add): Swap args AGE and TIME.  Fix guid problem.
	(newsticker--cache-save): New.
	(newsticker--cache-update): Use temp buffer.
	(newsticker--stat-num-items): Allow multiple AGE args.
	(newsticker--stat-num-items-total): New.
	(newsticker--opml-import-outlines): New.
	(newsticker-opml-import): Use `newsticker--opml-import-outlines'.
	(newsticker--do-run-auto-mark-filter): Doc changed.
	(newsticker-retrieve-random-message): New.

	* net/newsticker-ticker.el: New.  Move ticker functionality from
	net/newsticker.el to net/newsticker-ticker.el.
	(newsticker--ticker-timer): Rename `newsticker--display-timer' to
	`newsticker--ticker-timer'.
	(newsticker-ticker-running-p): Rename `newsticker--display-timer'
	to `newsticker--ticker-timer'.
	(newsticker--set-customvar-ticker): New.  Extracted from
	`newsticker--set-customvar'.
	(newsticker-ticker-interval): Rename `newsticker-display-interval'
	to `newsticker-ticker-interval'.  Use `newsticker--set-customvar-ticker
	for :set.  Change :group.
	(newsticker-scroll-smoothly): Doc changed.  Change :group.
	(newsticker-hide-immortal-items-in-echo-area)
	(newsticker-hide-old-items-in-echo-area)
	(newsticker-hide-obsolete-items-in-echo-area):
	Use `newsticker--set-customvar-ticker for :set.  Change :group.
	(newsticker-start-ticker): Rename `newsticker--display-timer' to
	`newsticker--ticker-timer'.  Rename `newsticker-display-interval'
	to `newsticker-ticker-interval'.
	(newsticker-stop-ticker): Rename `newsticker--display-timer' to
	`newsticker--ticker-timer'.

	* net/newsticker-reader.el: New.  Move reader functionality from
	net/newsticker.el to net/newsticker-reader.el.
	(newsticker--set-customvar-formatting): New.  Extracted from
	`newsticker--set-customvar'.
	(newsticker-reader, newsticker-frontend): New.
	(newsticker-enable-logo-manipulations): Change :group.
	(newsticker-justification): Use `newsticker--set-customvar-formatting'
	for :set.  Change :group.
	(newsticker-use-full-width): Use `newsticker--set-customvar-formatting'
	for :set.  Change :group.
	(newsticker-html-renderer): Doc changed.
	Use `newsticker--set-customvar-formatting' for :set.  Change :group.
	(newsticker-date-format):
	Use `newsticker--set-customvar-formatting' for :set.  Change :group.
	(newsticker--insert-enclosure):
	Rename `newsticker--buffer-insert-enclosure' to
	`newsticker--insert-enclosure'.  Add keymap arg.
	(newsticker--print-extra-elements):
	Rename `newsticker--buffer-print-extra-elements' to
	`newsticker--print-extra-elements'.  Add keymap arg.
	(newsticker--do-print-extra-element):
	Rename `newsticker--buffer-do-print-extra-element' to
	`newsticker--do-print-extra-element'.  Add keymap arg.
	(newsticker-show-news): Use `newsticker-frontend'.

	* net/newsticker-plainview.el: New.  Move plainview functionality
	from net/newsticker.el to net/newsticker-reader.el.
	(newsticker-plainview): New.
	(newsticker--set-customvar-sorting): New.  Extracted from
	`newsticker--set-customvar'.
	(newsticker-sort-method): Use `newsticker--set-customvar-sorting
	for :set. Changed :group.
	(newsticker-heading-format, newsticker-item-format)
	(newsticker-desc-format, newsticker-statistics-format):
	Use `newsticker--set-customvar-formatting for :set.  Change :group.
	(newsticker-faces): Change :group.
	(newsticker-default-face): Enable again.
	(newsticker-hide-old-items-in-newsticker-buffer)
	(newsticker-show-descriptions-of-new-items):
	Use `newsticker--set-customvar-buffer' for :set.  Change :group.
	(newsticker-show-all-news-elements): Change :group.
	(newsticker-plainview-hooks): New.
	(newsticker-select-item-hook, newsticker-select-feed-hook)
	(newsticker-buffer-change-hook, newsticker-narrow-hook): Change :group.
	(newsticker--plainview-tool-bar-map): Rename `newsticker--tool-bar-map'
	to `newsticker--plainview-tool-bar-map'.
	(newsticker--url-keymap): Add mouse-1 binding.
	(newsticker-plainview): New.
	(newsticker-mark-all-items-of-feed-as-read): Change doc.
	(newsticker--buffer-do-insert-text): Use renamed
	newsticker--[buffer-]insert-enclosure and
	newsticker--[buffer-]print-extra-elements.
	(newsticker--buffer-set-faces): Use newsticker-default-face.

	* net/newsticker-treeview.el: New.

2008-06-08  Andreas Schwab  <schwab@suse.de>

	* vc-dispatcher.el (vc-dir-children-marked-p): Fix child check.

	* vc-cvs.el (vc-cvs-dir-status): Pass -f to cvs.

	* vc-dispatcher.el (vc-dir-move-to-goal-column): Don't move in an
	empty line.

	* minibuffer.el (minibuffer-message): Bind inhibit-quit around sit-for.

2008-06-08  Martin Rudalics  <rudalics@gmx.at>

	* window.el (split-height-threshold, split-width-threshold):
	Add choice nil.
	(split-window-preferred-function): Allow either nil or a function.
	(window--splittable-p, window--try-to-split-window):
	Handle changed option values.

	(window--frame-usable-p): Handle nil argument.

	(display-buffer): Call get-lru-window when pop-up-windows is nil
	and window can't be split.

2008-06-08  Michael Albinus  <michael.albinus@gmx.de>

	* uniquify.el (uniquify-get-proposed-name): Handle remote files.

	* net/tramp.el (top): Quote feature names.  Remove
	`tramp-rfn-eshadow-setup-minibuffer' from
	`rfn-eshadow-setup-minibuffer-hook' when unloading.
	(tramp-read-passwd): There is only one call to
	`auth-source-user-or-password' needed.  Pacify byte compiler.

2008-06-08  Andreas Schwab  <schwab@suse.de>

	* window.el (display-buffer): Use lru window if current window
	cannot be split.

2008-06-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* apropos.el (apropos-library): New command and new button.
	(apropos-library-button): New function.

	* apropos.el: Remove spurious * in docstrings.
	(apropos-label-face): Use variable pitch.
	(apropos-print): Use dolist and with-current-buffer.
	(apropos-print-doc): Use when.

	* window.el (special-display-p, display-buffer):
	Fix up C->Elisp transcription error.

2008-06-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (byte-compile-current-group): New var.
	(byte-compile-file): Initialize it.
	(byte-compile-nogroup-warn): Keep track of the current group.

2008-06-08  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (compile, compile-always, bootstrap-prepare):
	Explictly pass EMACS to sub-makes that use it, for non-GNU makes.

2008-06-07  Jihyun Cho  <jihyun.jo@gmail.com>

	* language/hanja-util.el (hanja-init-load): Use a char-table for
	hanja-table.
	(hangul-to-hanja-char): Adjust for the above change.

2008-06-07  Glenn Morris  <rgm@gnu.org>

	* finder.el (finder-compile-keywords): Use lm-keywords-list rather than
	lm-keywords.

	* mail/sendmail.el (mail-interactive): Add :version.

	* term/linux.el (terminal-init-linux): Use gpm-mouse-mode rather than
	obsolete alias.

	* ediff-merg.el, strokes.el, wid-edit.el, emacs-lisp/lisp-mnt.el:
	* emulation/edt-mapper.el, eshell/em-dirs.el, eshell/em-glob.el:
	* eshell/em-ls.el, eshell/em-unix.el, eshell/esh-cmd.el:
	* eshell/esh-io.el, eshell/esh-opt.el, eshell/esh-test.el:
	* eshell/esh-util.el, international/mule-cmds.el:
	* international/mule-diag.el, mail/smtpmail.el, net/netrc.el:
	* net/tls.el, progmodes/etags.el, textmodes/page-ext.el:
	Remove unnecessary eval-when-compiles and eval-and-compiles.

	* Makefile.in (bootstrap-clean): Run autogen-clean.
	(maintainer-clean): No need to run autogen-clean now it is included in
	bootstrap-clean.

2008-06-06  Miles Bader  <miles@gnu.org>

	* Makefile.in (ELCFILES): Add gnus/nndir.elc.

2008-06-06  Chong Yidong  <cyd@stupidchicken.com>

	* menu-bar.el (menu-bar-options-menu): Add Menu entry for
	longlines mode.

	* replace.el (replace-search-function)
	(replace-re-search-function): New vars.
	(perform-replace): Use them.

	* longlines.el (longlines-re-search-forward): New function.
	(longlines-mode): Bind replace-search-function and
	replace-re-search-function, to ensure that replacement commands
	treat newlines as spaces.
	(longlines-show-effect): Default to a pilcrow sign.

2008-06-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* help.el (function-called-at-point):
	* help-fns.el (variable-at-point): Use emacs-lisp-mode-syntax-table
	even when calling find-tag-default.

2008-06-06  Daniel Colascione  <danc@merrillpress.com>

	* nxml/nxml-mode.el (nxml-syntax-highlight-flag)
	(nxml-fontify-chunk-size, nxml-clear-face, nxml-set-fontified)
	(nxml-clear-fontified, nxml-fontify, nxml-fontify1)
	(nxml-fontify-buffer, nxml-do-fontify):
	Remove obsolete variables and functions.
	(nxml-font-lock-keywords, nxml-set-face, nxml-mode)
	(nxml-degrade, nxml-after-change, nxml-after-change1)
	(nxml-extend-region, nxml-extend-after-change-region)
	(nxml-extend-after-change-region1, nxml-fontify-matcher)
	(nxml-toggle-char-ref-extra-display): Use font-lock, and
	font-lock-extend-region-functions in particular, to fontify
	nxml-mode buffers.
	(nxml-debug-region): New debugging helper function.

	* nxml/nxml-rap.el (nxml-clear-inside, nxml-set-inside)
	(nxml-scan-after-change, nxml-move-tag-backwards):
	Adapt for font-lock changes.

	* nxml/nxml-util.el (nxml-debug, nxml-debug-change)
	(nxml-debug-set-inside, nxml-debug-clear-inside):
	New debugging functions.
	(nxml-with-degradation-on-error): New helper macro.

2008-06-06  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer): Remove dead call to get-lru-window.

2008-06-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mail/sendmail.el (mail-interactive): Change default.

2008-06-05  John Paul Wallington  <jpw@pobox.com>

	* bindings.el (completion-ignored-extensions):
	Add .p64fsl, .d64fsl, and .dx64fsl.

2008-06-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ffap.el (ffap-prompter): Don't use the region.

2008-06-05  Sam Steingold  <sds@gnu.org>

	* vc-cvs.el (vc-cvs-registered): Consider a directory with a CVS
	subdirectory to be registered.

2008-06-05  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-function, special-display-p)
	(special-display-buffer-names, special-display-regexps)
	(special-display-function, same-window-p, same-window-buffer-names)
	(same-window-regexps, pop-up-frames, display-buffer-reuse-frames)
	(pop-up-frame-function, pop-up-windows, even-window-heights)
	(split-window-preferred-function, split-height-threshold)
	(window--display-buffer-1, display-buffer, pop-to-buffer):
	Move from window.c and buffer.c.
	(window--splittable-p, window--try-to-split-window)
	(window--frame-usable-p, window--display-buffer-2)
	(window--even-window-heights): New functions.
	(split-width-threshold): New option.
	(split-window-preferred-horizontally): Remove.

	* cus-start.el: Remove corresponding declarations.

2008-06-05  Sam Steingold  <sds@gnu.org>

	* vc.el (vc-update): Use `save-some-buffers' instead of signaling
	an error on modified buffers.

2008-06-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/etags.el (tags-verify-table): Be careful to use and update
	tags-file-name and tags-table-list from the right buffer.
	(tags-table-check-computed-list, tags-table-extend-computed-list)
	(find-tag-noselect): Use with-current-buffer.

	* emacs-lisp/trace.el (trace-entry-message, trace-exit-message):
	Use print-circle.

	* minibuffer.el (minibuffer-local-must-match-filename-map):
	Declare obsolete alias for the old name.

	* abbrev.el (unexpand-abbrev): Better preserve markers.

2008-06-05  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/autoload.el (autoload-rubric): New function,
	extracted from autoload-ensure-default-file.
	(autoload-ensure-default-file): Use autoload-rubric.

	* cus-dep.el (generated-custom-dependencies-file): Doc fix.
	(custom-dependencies-no-scan-regexp): New variable.
	(custom-make-dependencies): Use with-temp-buffer and autoload-rubric.
	Don't scan files matching custom-dependencies-no-scan-regexp.
	Disable undo in the output buffer.  Remove kept-new-versions wackiness.

	* finder.el (finder-headmark): Initialize and add doc string.
	(generated-finder-keywords-file): Doc fix.
	(finder-no-scan-regexp): New variable.
	(finder-compile-keywords): Use a single let binding.
	Disable undo in the output buffer.  Use autoload-rubric.
	Use mapc rather than mapcar.  Don't scan files matching
	finder-no-scan-regexp.  Use with-temp-buffer.  Use expand-file-name
	rather than concat.  Use directory-files to do regexp matching.
	No need to require jka-compr.
	(finder-list-keywords): Remove un-needed set-buffer.  Disable undo.
	(finder-list-matches): Disable undo.
	(finder-commentary): Use let rather than let*.  Disable undo.
	(finder-current-item): Use zerop.
	(finder-mode): Use define-derived-mode.
	(finder-exit): Doc fix.  Use dolist.

	* Makefile.in ($(lisp)/cus-load.el): Remove unnecessary rule.
	(custom-deps): Don't require $(lisp)/cus-load.el.
	(custom-deps, finder-data): Don't depend on autoloads.
	Should not be needed now, and doing so was causing make install to
	re-dump emacs post-bootstrap.
	(bootstrap-after): Don't run update-elclist, since modifying Makefile.in
	mid-build forces some things to be rebuilt.

2008-06-05  Miles Bader  <miles@gnu.org>

	* face-remap.el
	(face-remap-add-relative): Renamed from `add-relative-face-remapping'.
	(face-remap-remove-relative): Renamed from
	`remove-relative-face-remapping'.
	(face-remap-reset-base): Renamed from
	`set-default-base-face-remapping'.
	(face-remap-set-base): Renamed from `set-base-face-remapping'.
	(text-scale-increase): Renamed from `increase-buffer-face-height'.
	(text-scale-decrease): Renamed from `decrease-buffer-face-height'.
	(text-scale-adjust): Renamed from `adjust-buffer-face-height'.

	* face-remap.el (variable-pitch-mode): Autoload.

2008-06-04  Sam Steingold  <sds@gnu.org>

	* vc-hg.el (vc-hg-status-extra-header, vc-hg-status-extra-headers):
	Generate extra status headers for a Mercurial tree.

2008-06-04  John Paul Wallington  <jpw@pobox.com>

	* echistory.el (electric-history-map): Define within defvar.
	Add docstring.

	* font-lock.el (font-lock-turn-off-thing-lock)
	(font-lock-after-fontify-buffer, font-lock-after-unfontify-buffer):
	Use `bound-and-true-p'.
	(cpp-font-lock-keywords-source-directives, cpp-font-lock-keywords):
	Doc fixes.

	* international/ccl.el (define-ccl-program): Add `doc-string'
	declaration.

2008-06-04  Juanma Barranquero  <lekktu@gmail.com>

	* face-remap.el (variable-pitch-mode): Reflow docstrings.
	(text-scale-mode, adjust-buffer-face-height): Fix typos in docstrings.

2008-06-04  Trent W. Buck  <trentbuck@gmail.com>  (tiny change)

	* emacs-lisp/rx.el (rx): Doc fix.

2008-06-04  Markus Triska  <markus.triska@gmx.at>

	* image-mode.el (image-mode-map): Add doc-view-inspired bindings.

2008-06-04  Miles Bader  <miles@gnu.org>

	* face-remap.el (adjust-buffer-face-height): New function.
	Add autoloaded keybindings in ctl-x-map.
	(increase-buffer-face-height, decrease-buffer-face-height):
	Simplify interactive spec to just "p".  Remove autoloaded keybindings.

2008-06-03  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-1): If we did not move as far as desired,
	ensure that point-left and point-entered hooks are called.

2008-06-03  Sam Steingold  <sds@gnu.org>

	* vc-cvs.el (vc-cvs-status-extra-headers): Remove extraneous newlines.

2008-06-03  John Paul Wallington  <jpw@pobox.com>

	* progmodes/make-mode.el (makefile-cleanup-continuations)
	(makefile-warn-suspicious-lines, makefile-warn-continuations):
	Use `derived-mode-p'.

2008-06-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (update-elclist): Impose a fixed collation for sorting.
	(ELCFILES): Update.

2008-06-03  Miles Bader  <miles@gnu.org>

	* face-remap.el: New file.
	* Makefile.in (ELCFILES): Add face-remap.elc.

2008-06-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/flymake.el (flymake-process-filter): Make sure the source
	buffer isn't dead.

	* obsolete/bg-mouse.el, obsolete/float.el, obsolete/hilit19.el,
	* obsolete/lselect.el, obsolete/mlsupport.el, obsolete/ooutline.el,
	* obsolete/profile.el, obsolete/rsz-mini.el, obsolete/uncompress.el,
	* obsolete/auto-show.el, obsolete/hscroll.el:
	Remove packages that were obsolete in Emacs-20, or that were obsolete
	in Emacs-21 and do not contain any more code.

	* vc-dispatcher.el (vc-dir-menu-map-filter): Don't fail if
	vc-client-mode is not set.

	* image-mode.el (image-mode-map): Suppress key map and bind `q'.
	* doc-view.el (doc-view-mode-map): Inherit from image-mode-map.

	* progmodes/perl-mode.el (perl-font-lock-syntactic-keywords): Try to be
	yet a bit more clever at distinguishing / from /.

2008-06-03  Kenichi Handa  <handa@m17n.org>

	* Makefile.in (ELCFILES): Add $(lisp)/language/hanja-util.elc.

2008-06-03  Jihyun Cho  <jihyun.jo@gmail.com>

	* language/hanja-util.el: New file.

2008-06-03  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-typedef-matcher, f90-looking-at-type-like):
	Check that end-of-word follows "type".

2008-06-02  Daiki Ueno  <ueno@unixuser.org>

	* epa-file.el (epa-file-write-region): Write the entire buffer
	content if START is nil.

2008-06-01  Thomas Morgan  <tlm@thomasmorgan.net>  (tiny change)

	* select.el (x-get-selection): Fix typo.

2008-06-01  Juanma Barranquero  <lekktu@gmail.com>

	* descr-text.el (describe-text-sexp): Use `string-match-p'.  Simplify.
	(describe-char): Use `looking-at-p', `string-match-p' when possible.

2008-06-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tar-mode.el (tar-header-block-summarize): Ensure one space around
	user&group.

2008-05-31  John Paul Wallington  <jpw@pobox.com>

	* help-fns.el (describe-variable-custom-version-info):
	Handle dotted `package-version' info.

2008-05-31  Juanma Barranquero  <lekktu@gmail.com>

	* icomplete.el (icomplete-get-keys): Doc fix.  Use `when'.

2008-05-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-cvs.el (vc-cvs-after-dir-status): Support spaces in file
	names and improve support for unregistered files.

2008-05-31  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (compile-last): Replace tr in `els' assignment with sed.
	Remove shell variable `elc'.  Split tests to hopefully be more portable.
	Fix `sel' assignment.

2008-05-30  Juanma Barranquero  <lekktu@gmail.com>

	* minibuffer.el (completion-table-dynamic): Doc fix.

2008-05-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-cvs.el (vc-cvs-state-heuristic, vc-cvs-parse-status):
	Try and return `unregistered' when applicable.

	* emacs-lisp/checkdoc.el (checkdoc-this-string-valid-engine):
	Don't encourage naming variables with "-flag".

2008-05-30  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (update-elclist): Hide the warning when it does not apply,
	make it milder when it does.
	(autogen-clean): New target.
	(maintainer-clean): Use autogen-clean.

	* calendar/diary-lib.el (diary-display-function): New name for
	diary-display-hook.  Keep old name as obsolete alias.  Doc fix.
	Change custom type and version.
	(diary-list-entries-hook, diary-list-entries, diary-simple-display)
	(diary-fancy-display): Doc fixes.
	(diary-list-entries, diary-include-other-diary-files)
	(diary-mail-entries):
	Use diary-display-function rather than diary-display-hook.

	* calendar/appt.el (appt-check): Use diary-display-function rather than
	diary-display-hook.
	* calendar/cal-x.el (calendar-dedicate-diary): Update for
	diary-display-function replacing diary-display-hook.
	* org/org-agenda.el (org-get-entries-from-diary): Also set
	diary-display-function.

	* calendar/cal-html.el (cal-html-list-diary-entries):
	* calendar/cal-menu.el (calendar-mouse-view-diary-entries):
	* calendar/cal-tex.el (cal-tex-list-diary-entries): Use LIST-ONLY
	argument of diary-list-entries rather than setting diary-display-hook.

2008-05-30  Kenichi Handa  <handa@m17n.org>

	* international/mule-conf.el (utf-8-with-signature): Renamed from
	utf-8-sig.
	(utf-8-auto): Adjusted for the above change.

	* international/mule-diag.el (describe-font): Don't check fontset
	here, and just call font-info.  Get the default font by from the
	default face.

2008-05-29  Kenichi Handa  <handa@m17n.org>

	* international/mule-conf.el (utf-8-sig, utf-8-auto):
	New coding systems.

	* international/mule.el (define-coding-system): Accept :bom for utf-8.

2008-05-29  Espen Wiborg  <espen.wiborg@telio.no>  (tiny change)

	* international/utf-7.el (utf-7-encode): Use the right escape char
	depending on imap/nonimap encoding.

2008-05-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-pcm-all-completions): Add the base-size.

2008-05-29  Juanma Barranquero  <lekktu@gmail.com>

	* icomplete.el (icomplete-prospects-height): Add :group.

2008-05-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* icomplete.el (icomplete-prospects-length): Make obsolete.
	(icomplete-prospects-height): New var.
	(icomplete-completions): Use it.

2008-05-29  David Kastrup  <dak@gnu.org>

	* autoinsert.el (auto-insert): Add :link.

2008-05-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tar-mode.el (tar-header): New field `header-start'.
	(tar-header-block-tokenize): Set it when useful.
	Drop "GNUtar " magic value, which even GNU Tar doesn't know about.
	(tar-header-data-end): New function.
	(tar-summarize-buffer): Use it.
	(tar-next-line): Fix goal column for long usernames.
	(tar-expunge-internal): Use header-start.
	(tar-rename-entry): Handle ustar-style long names.
	(tar-alter-one-field): Add optional `descriptor' argument.
	(tar-subfile-save-buffer): Use it.

2008-05-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tar-mode.el (tar-header): New field `header-start'.
	(tar-header-block-tokenize): Set header-start for longlink entries.
	(tar-expunge-internal): Use header-start to expunge longlink entries.

	* files.el (hack-local-variables): Don't signal an error if the local
	variable section is not properly terminated.

	* emacs-lisp/easymenu.el (easy-menu-convert-item)
	(easy-menu-convert-item-1): Move the duplicate-generation outside of
	the caching so it also works for identical entries.

	* tar-mode.el (tar-summarize-buffer): Fix reporter initialization.
	(tar-mode): Use write-region-annotate-functions rather than
	write-contents-functions.
	(tar-extract): Remove unused var `pos'.
	(tar-subfile-save-buffer): Remove unused var `following-descs'.
	(tar-mode-write-file): Remove.
	(tar-write-region-annotate): New function.

	* progmodes/flymake.el (flymake-save-buffer-in-file):
	* shadowfile.el (shadow-copy-file):
	* arc-mode.el (archive-*-write-file-member):
	* files.el (diff-buffer-with-file):
	* subr.el (with-temp-file): Pass nil to write-region.
	* jka-compr.el (jka-compr-write-region): Preserve `start's nullness.

	* doc-view.el (doc-view-mode-map): Bind `q' to quit-window, as is
	the custom.

	* files.el (basic-save-buffer-2): Pass nil rather than (point-min)
	to write-region.

2008-05-28  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (update-elclist): Work around non-portability of "\"
	in various implementations of echo.

2008-05-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/mule-diag.el (describe-current-coding-system):
	Don't assume selection-coding-system is always defined.

	* tar-mode.el: Use defstruct and markers.
	(tar-setf): Remove.
	(tar-header): Use defstruct.  Add `data-start' field.
	(make-tar-desc, tar-desc-tokens): Remove, folded into tar-header.
	(tar-desc-data-start): Remove (now called tar-header-data-start).
	(tar-roundup-512): New fun.
	(tar-header-block-tokenize): Receive a buffer position rather than
	a string.  Handle @longLink here, be more careful about it.
	Create a marker for data-start.
	(tar-summarize-buffer): Don't handle @LongLink here any more.
	(tar-expunge-internal, tar-subfile-save-buffer): Don't update
	data-start on the following entries any more.
	(tar-chown-entry, tar-chgrp-entry): Use read-number.

	* tar-mode.el: Use buffer-swap-text to separate summary and raw data.
	(tar-header-offset): Remove.
	(tar-parse-info, tar-header-offset, tar-file-name-coding-system):
	Not permanent any more.
	(tar-data-buffer): New var.
	(tar-data-swapped-p, tar-change-major-mode-hook)
	(tar-mode-kill-buffer-hook): New funs.
	(tar-untar-buffer, tar-summarize-buffer, tar-mode, tar-mode-revert)
	(tar-extract, tar-copy, tar-expunge-internal, tar-expunge)
	(tar-clear-modification-flags, tar-alter-one-field)
	(tar-subfile-save-buffer, tar-pad-to-blocksize, tar-mode-write-file):
	Change accordingly.

2008-05-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dispatcher.el (vc-directory-resynch-file): Rename to ...
	(vc-dir-resynch-file): ... this.  Update callers.
	Use vc-string-prefix-p.  Ignore directory args.
	(vc-string-prefix-p): CSE.
	(vc-resynch-buffer): Restore conditional.

	* vc-hooks.el (vc-after-save): Improve test.
	(vc-mode-line): Fix indentation.

2008-05-27  Chong Yidong  <cyd@stupidchicken.com>

	* calendar/parse-time.el (parse-time-months)
	(parse-time-weekdays): Add long-form month and day names.

2008-05-27  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (update-elclist): Make errors in final sed non-fatal.

2008-05-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-dispatcher.el (vc-string-prefix-p): New function.
	(vc-dir-parent-marked-p): Use it.

2008-05-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (Problems): Remove fixed issues.
	(vc-expand-dirs): Avoid returning directories.
	(vc-dir): Fix C-x v v binding.
	(vc-make-backend-object): Fix name.
	(vc-dir-show-fileentry): Fix docstring.
	(vc-dir-refresh): Use vc-dir-backend.  Fix docstring.
	(vc-dir-refresh-files): Use vc-dir-backend.  Fix docstring.
	Reset the state for directories.
	(vc-dir-headers): Align labels.
	(vc-default-status-printer): Do no call prettify-state-info.
	(vc-deduce-fileset): Replace implementation with one based on a
	working older version.
	(vc-next-action): Use the new form of vc-deduce-fileset.
	Fix dealing with unregistered files.

	* vc-dispatcher.el (vc-resynch-window): Fix mode-line updating.
	(vc-dir-menu-map): Fix menu title for the menu bar and the popup menu.
	(vc-dir-child-files): New function.
	(vc-dir-node-directory): New function.
	(vc-dir-update, vc-dir-parent-marked-p)
	(vc-dir-children-marked-p, vc-dir-mark-all-files)
	(vc-dir-marked-only-files, vc-dispatcher-selection-set): Use it.

	* vc-cvs.el (vc-cvs-status-extra-headers): Align labels.

2008-05-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-context-mid-hunk-header-re): New const.
	(diff-font-lock-keywords, diff-context->unified)
	(diff-reverse-direction, diff-fixup-modifs, diff-sanity-check-hunk)
	(diff-hunk-text, diff-find-source-location): Use it.
	(diff-post-command-hook): Let the user edit the hunk headers.

2008-05-26  Andreas Schwab  <schwab@suse.de>

	* vc.el (vc-default-prettify-state-info): Fix formatting of an
	unknown state.

	* tar-mode.el (tar-summarize-buffer): Comment fix.

2008-05-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tar-mode.el (tar-summarize-buffer): Handle GNU Tar @LongLink format.

2008-05-26  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-hebrew.el (diary-ordinal-suffix): Declare for compiler.

2008-05-25  John Paul Wallington  <jpw@pobox.com>

	* proced.el (proced-next-line, proced-previous-line):
	Avoid calling `next-line' and `previous-line' from Lisp code.

2008-05-25  Ed Reingold  <reingold@emr.cs.iit.edu>

	* calendar/cal-hebrew.el (diary-hebrew-yahrzeit):
	Use diary-ordinal-suffix.

2008-05-24  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/edebug.el (edebug-setup-hook, edebug-all-defs)
	(edebug-all-forms, edebug-eval-macro-args, edebug-save-windows)
	(edebug-save-displayed-buffer-points, edebug-initial-mode)
	(edebug-trace, edebug-test-coverage, edebug-continue-kbd-macro)
	(edebug-print-length, edebug-print-level, edebug-print-circle)
	(edebug-unwrap-results, edebug-on-error, edebug-on-quit)
	(edebug-global-break-condition, edebug-sit-for-seconds):
	Remove spurious * from defcustom docstrings.
	(edebug-unwrap*, edebug-signal, edebug-eval-display):
	Improve argument/docstring consistency.
	(edebug-test-coverage, edebug-gensym, edebug-read)
	(edebug-top-level-nonstop, edebug-eval-result-list)
	(edebug-eval-redisplay, edebug-trace): Fix typos in docstring.
	(edebug-eval-defun, edebug-eval-top-level-form, edebug)
	(edebug-display-freq-count): Reflow docstrings.
	(edebug-restore-status): Doc fix.

2008-05-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* proced.el (proced-header-line): Use the :align-to 0 feature
	rather than computing the corresponding position manually.
	(proced-update): Don't hardcode point-min==1.

2008-05-24  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-postprocess-file-styles): Throw an error
	if c-file-style is set to a non-string.

	(c-neutralize-CPP-line): Surround by `save-excursion'.
	(c-neutralize-syntax-in-CPP): Optimize for speed.

2008-05-24  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (update-elclist): New target, to update ELCFILES.
	(bootstrap-after): Run update-elclist.

2008-05-24  Ulf Jasper  <ulf.jasper@web.de>

	* icalendar.el (icalendar-version): Increase to "0.19".
	(icalendar--date-style): New function.
	(icalendar--datetime-to-diary-date): Doc fix.
	Use icalendar--date-style.
	(icalendar--datestring-to-isodate): Doc fix.  Handle iso date style.
	(icalendar--convert-yearly-to-ical)
	(icalendar--convert-recurring-to-diary): Handle iso date style,
	use icalendar-date-style.

2008-05-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-delete-file): Make sure the buffer is deleted and
	vc-dir buffers are updated.

2008-05-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-delete-file): Don't try to resynch the buffer.

2008-05-23  Paul Rivier  <paul.r.ml@gmail.com>

	* textmodes/reftex-vars.el (reftex-extra-bindings-prefix): New var.
	* textmodes/reftex.el (reftex-extra-bindings-map): New var.
	(reftex-extra-bindings): Use it.

	* progmodes/mixal-mode.el (mixal-mode-map): Move key-bindings
	away from the user-reserved keys.

	* progmodes/ada-mode.el (ada-mode-extra-map, ada-mode-extra-prefix):
	New vars.
	(ada-create-keymap): Use them.

2008-05-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/regexp-opt.el (regexp-opt): Always return
	a properly-grouped regexp.

2008-05-23  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/cap-words.el (capitalized-words-mode):
	Fix typos in docstring.

2008-05-23  Kenichi Handa  <handa@m17n.org>

	* international/mule-conf.el: Don't define the charset `emacs'
	here, just put :docstring, :short-name, and :long-name.

2008-05-22  Kenichi Handa  <handa@m17n.org>

	* international/mule-diag.el (font-show-log): Limit each listing
	to 20 items.

2008-05-23  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-enable-debug): New function.
	(gdb-annotation-rules): New entry for "thread-changed".
	(gdb-thread-changed): New function.

2008-05-23  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (SOURCES): Remove, unused.
	(lisptagsfiles1, lisptagsfiles2): Use '*' rather than '[a-zA-Z]*'.
	(TAGS, TAGS-LISP): Use a single rule with multiple targets.
	Exclude more '*loaddefs' files.
	(compile-always): Simplify '.elc' deletion.

2008-05-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el (vc-bzr-annotate-time): Reduce memory allocation.
	(vc-bzr-revision-completion-table): Handle `boundaries' argument.

	* minibuffer.el (completion-boundaries): Change calling
	convention, so `string' has the same semantics as in
	try-completion and all-completions.
	(completion-table-with-context, completion--embedded-envvar-table)
	(completion--file-name-table)
	(completion-pcm--find-all-completions): Adjust code accordingly.

2008-05-22  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-mode-winprops): Add argument CLEANUP to
	prune image-mode-winprops-alist, preventing it from growing
	indefinitely.
	(image-mode-reapply-winprops): Use it.

2008-05-22  Teodor Zlatanov  <tzz@lifelogs.com>

	* net/netrc.el (netrc-machine): Always match if the port is not given.

2008-05-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-pcm--find-all-completions):
	Don't add pseudo-completions.

	* icomplete.el (icomplete-eoinput): Remove.
	(icomplete-overlay): New var to replace it.
	(icomplete-tidy): Rewrite.
	(icomplete-exhibit): Use an overlay.
	(icomplete-completions): Use completion-all-sorted-completions.
	Obey completion-ignore-case.

	* files.el (locate-dominating-file): Accept non-existing argument.
	(project-find-settings-file): Rewrite, using locate-dominating-file.

2008-05-22  Kenichi Handa  <handa@m17n.org>

	* faces.el (font-weight-table, font-slant-table, font-width-table):
	Delete them.  Don't call internal-set-font-style-table.

	* international/mule-diag.el (font-show-log): New function.

	* international/fontset.el (script-representative-chars): Add more
	chars for latin.  Add data for symbol.
	(setup-default-fontset): Add entries for phonetic, armenian, and symbol.

2008-05-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-all-sorted-completions): New var.
	(completion--flush-all-sorted-completions)
	(completion-all-sorted-completions): New functions.
	(minibuffer-force-complete): New command.

2008-05-21  Glenn Morris  <rgm@gnu.org>

	* files.el (c-postprocess-file-styles): Declare for compiler.

	* Makefile.in: Allow for parallel byte-compiling.
	(ELCFILES): New variable.
	(.el.elc): Remove prerequisites from suffix rule.  Print a message.
	(compile-first, compile-main, compile-last): New targets.
	(compile-always): Simplify - delete .elc files, then `make compile'.

	* Makefile.in (compile-calc): Use glob rather than find.
	($(lisp)/progmodes/cc-mode.elc): Use $@.

	* eshell/esh-module.el: No need for cl when compiling.

	* eshell/eshell.el (eshell-defgroup): New alias.
	* eshell/em-alias.el, eshell/em-banner.el, eshell/em-basic.el:
	* eshell/em-cmpl.el, eshell/em-dirs.el, eshell/em-glob.el:
	* eshell/em-hist.el, eshell/em-ls.el, eshell/em-pred.el:
	* eshell/em-prompt.el, eshell/em-rebind.el, eshell/em-script.el:
	* eshell/em-smart.el, eshell/em-term.el, eshell/em-unix.el:
	* eshell/em-xtra.el: Use eshell-defgroup rather than defgroup.
	Autoload the custom group.  Set generated-autoload-file.
	* eshell/em-basic.el, eshell/esh-module.el: Require eshell,
	for eshell-defgroup.
	* eshell/esh-module.el (eshell-load-defgroups): Remove.
	Require esh-groups rather than loading it.

2008-05-21  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-header-line): New variable and new function.
	(proced-mode): Set header-line-format.
	(proced-update): Set proced-header-line.
	(proced-send-signal): Use proced-header-line.

2008-05-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* macros.el (insert-kbd-macro): Use prin1-char.

2008-05-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-boundaries): New function.
	(completion--some): Delay errors.
	(complete-with-action, completion-table-with-context):
	Handle `boundaries' case.
	(completion--try-word-completion): Avoid partial-completion
	when the user hasn't entered anything yet.
	(minibuffer-local-map, minibuffer-local-filename-completion-map)
	(minibuffer-local-must-match-map, minibuffer-local-completion-map)
	(minibuffer-local-must-match-filename-map, minibuffer-local-ns-map):
	Setup default keybindings.
	(completion--embedded-envvar-re): New var.
	(completion--embedded-envvar-table): Use it.  Handle `boundaries' case.
	(completion--file-name-table): Handle `boundaries' case.
	(completion-pcm--pattern->regex): Avoid pathological backtracking.
	(completion-pcm--all-completions): Add a `prefix' arg.
	(completion-pcm--find-all-completions): New function.
	(completion-pcm-all-completions, completion-pcm-try-completion):
	Use it.

	* icomplete.el (icomplete-completions): Don't use `predicate' with
	a table of a different type than `candidates'.

2008-05-20  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-goal-column): Rename from proced-procname-column.
	(proced-goal-header-re): Rename from proced-procname-column-regexp.
	(proced-move-to-goal-column): Rename from proced-move-to-procname.
	(proced-header-face, proced-header-regexp): Remove.
	(proced-font-lock-keywords): Remove proced-header-face.
	(proced-header-alist, proced-sorting-schemes-re): New variables.
	(proced): Rename Proced buffer to *Proced*.
	(proced-next-line, proced-previous-line): New commands.
	(proced-do-mark, proced-do-mark-all, proced-toggle-marks)
	(proced-hide-processes): Do not treat first line as special.
	(proced-header-space): New function.
	(proced-update): Use header-line-format.
	Initialize proced-header-alist and proced-sorting-schemes-re.
	Set proced-goal-column.  Include proced-command in mode-name.
	(proced-send-signal): Use header-line-format for *Marked
	Processes* buffer.
	(proced-sort): Restrict minibuffer completion to applicable
	sorting schemes.
	(proced-sorting-scheme-p): Use proced-sorting-schemes-re.

2008-05-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* icomplete.el (icomplete-simple-completing-p):
	Allow icomplete-with-completion-tables to say "use it everywhere".
	(icomplete-completions): Obey completion-styles.  Try to accommodate
	partial-completion style.

2008-05-20  Michael Olson  <mwolson@gnu.org>

	* files.el (project-find-settings-file): Change concat to
	expand-file-name.

2008-05-19  Tom Tromey  <tromey@redhat.com>

	* files.el (normal-mode): Call hack-project-variables.
	(hack-local-variables-confirm): Add 'project' argument.
	(hack-local-variables-apply): New function.
	(hack-local-variables): Use it.
	(project-class-alist, project-directory-alist): New variables.
	(project-get-alist): New function.
	(project-collect-bindings-from-alist)
	(project-collect-binding-list, set-directory-project)
	(project-find-settings-file, project-define-from-project-file)
	(hack-project-variables): New functions.

2008-05-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/cl-specs.el (destructuring-bind): Fix spec.

2008-05-19  Juanma Barranquero  <lekktu@gmail.com>

	* faces.el (font-weight-table): Fix typo in docstring.

2008-05-18  David Hull  <david@snap.com>  (tiny change)

	* vc-hg.el (vc-hg-annotate-re): Recognize the output of --follow.
	(vc-hg-annotate-command): Allow white space before version number.

2008-05-18  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-yank.el (calc-register-alist): New variable.
	(calc-set-register, calc-get-register, calc-copy-to-register)
	(calc-insert-register, calc-add-to-register, calc-append-to-register)
	(calc-prepend-to-register): New functions.

	* calc/calc-ext.el (calc-init-extensions): Add keybindings for
	`calc-copy-to-register' and `calc-insert-register'.
	Autoload new register functions.

	* calc/calc-help.el (calc-r-prefix-help): Add help for register
	functions.

2008-05-18  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (Todo): Add known problems.
	(vc-dir-backend): New variable.
	(vc-dir): Set it.
	(vc-make-backend-object, vc-generic-status-printer)
	(vc-generic-state, vc-generic-status-fileinfo-extra)
	(vc-dir-extra-menu): Use it.
	(vc-generic-dir-headers): Remove, unused.

	* vc-dispatcher.el (vc-dir-previous-directory): Rename from
	vc-dir-prev-directory for consistency with vc-dir-previous-line.
	(vc-dir-mode-map): Fix bindings.

	* vc-bzr.el (vc-bzr-after-dir-status): Remove unused binding.

2008-05-18  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-yank.el (calc-kill): Make sure that only the stack is
	operated on.
	(calc-kill-region): Kill entire lines.

2008-05-17  Glenn Morris  <rgm@gnu.org>

	* ezimage.el (ezimage-use-images): Drop support for Emacs < 21 and
	simplify initial value.
	(defezimage): Drop support for Emacs without defimage, use a featurep
	test rather than fboundp when defining, drop with-no-warnings.
	(ezimage-insert-over-text): Move featurep test inside
	add-text-properties.

	* elide-head.el (elide-head-headers-to-hide): Handle GPLv3 format.

	* net/tramp.el (top-level): Load auth-source when compiling.

	* progmodes/fortran.el (fortran-font-lock-keywords-2): Add .eqv., .neqv.

2008-05-17  Andreas Schwab  <schwab@suse.de>

	* vc-dispatcher.el (vc-dir-mode-map): Fix M-down and M-up binding.

2008-05-17  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-annotate-show-diff-revision-at-line): Change
	vc-diff-internal arg to match what vc-deduce-fileseset returns now.

2008-05-17  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* menu-bar.el (menu-bar-select-buffer): Reinsert it as msb.el uses it.

2008-05-17  Jim Meyering  <meyering@redhat.com>

	* ido.el (ido-save-history): Do not emit a trailing newline at the
	end of the ido history file.

2008-05-16  John Paul Wallington  <jpw@pobox.com>

	* vc-dispatcher.el (top-level): Revert previous change: require cl
	when compiling.

2008-05-16  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc.el (vc-default-status-printer)
	(vc-default-prettify-state-info): Enhance the state prettyprinter
	to deal better with unknown states and indirect through it when
	painting vc-dir buffers.

2008-05-16  John Paul Wallington  <jpw@pobox.com>

	* vc-dispatcher.el (top-level): Don't require cl when compiling.
	(vc-dir-mode-map): Fix backquote.
	(vc-at-event): Doc fix.  Use `make-symbol' instead of `gensym'.

2008-05-16  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-write-region): Fix check for short track.
	Reported by Glenn Morris <rgm@gnu.org>.

2008-05-16  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc.el: Remove my analysis of SCCS/RCS concurrency issues from
	the end of the file, it was good work at one time but has been
	stale since 1995 and may now be actively misleading.
	* vc-cvs.el (vc-cvs-status-extra-headers): Extract and display the
	CVS repository and module (assumptions for the latter a bit iffy).
	* vc-svn.el (vc-svn-status-extra-headers): Extract and display the
	SVN repository.

2008-05-16  Juanma Barranquero  <lekktu@gmail.com>

	* vc-rcs.el (vc-rcs-create-tag):
	* vc-sccs.el (vc-sccs-create-tag):
	Fix typo in error message and pass backend arg.

2008-05-15  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-file-name-for-operation): Add `make-temp-name'.

2008-05-15  Teodor Zlatanov  <tzz@lifelogs.com>

	* net/tramp.el: Load auth-source library.
	(tramp-read-passwd): Use it for password, not login.

2008-05-15  Shigeru Fukaya  <shugeru.fukaya@gmail.com>

	* ses.el (ses-goto-print): Use move-to-column rather than forward-char.
	(ses-print-cell): Use string-width, truncate-string-to-width,
	delete-region rather than length, substring, delete-char.
	(ses-setup): Set inhibit-point-motion-hooks to t.
	Calculate position by actually moving point rather than just using
	unibyte character length.
	(ses-mode): Set indent-tabs-mode to nil.
	(ses-center): Use string-width rather than length.

2008-05-15  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc-cvs.el, vc-git.el, vc-hg.el, vc-hooks.el, vc-mcvs.el,
	* vc-rcs.el, vc-sccs.el, vc-svn.el, vc.el:
	Rename vc-*-create-snapshot and vc-*-retrieve-snapshot to
	vc-*-create-tag and vc-*-retrieve-tag respectively.

	* vc-dispatcher.el: Fix an incorrect buffer name and remove an
	unneeded defalias.

	* vc.el, vc-dispatcher.el (vc-dir-menu-map-filter): Move.

	* vc.el, vc-dispatcher.el (vc-dir-menu-map): Remove assumption
	about buffer names.

2008-05-15  Glenn Morris  <rgm@gnu.org>

	* vc-hooks.el (vc-directory-resynch-file): Fix declaration.

	* org/org-exp.el (org-infojs-options-inbuffer-template):
	Fix declaration.

	* progmodes/cc-mode.el (declare-function): Add compat definition.
	(awk-mode-syntax-table, c-awk-unstick-NL-prop): Declare for compiler.

2008-05-14  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc-dispatcher.el (vc-dispatcher-selection): Change the returned
	list to a cons so the caller can get back both expanded and
	unexpanded filesets.
	* vc.el (vc-deduce-fileseset, vc-next-action, vc-diff-internal)
	(vc-merge, vc-version-diff, vc-print-log, vc-revert, vc-rollback):
	Change handling of selection-set returns as required.

2008-05-15  John Paul Wallington  <jpw@pobox.com>

	* add-log.el (top-level): Don't require cl when compiling.

	* arc-mode.el (archive-add-new-member): Use `derived-mode-p'.
	(archive-*-extract): Use `zerop'.
	(archive-*-write-file-member): Use `or', use `zerop'.

	* diff-mode.el (diff-current-defun): Use `buffer-local-value'.

	* ibuffer.el (ibuffer-assert-ibuffer-mode): New defsubst.
	(ibuffer-mark-interactive, ibuffer-set-mark)
	(ibuffer-insert-buffer-line, ibuffer-redisplay-current)
	(ibuffer-map-lines, ibuffer-switch-format)
	(ibuffer-update-title-and-summary)
	(ibuffer-redisplay-engine): Use it.

	* ibuf-ext.el (ibuffer-interactive-filter-by-mode)
	(ibuffer-set-filter-groups-by-mode, ibuffer-list-buffer-modes)
	(define-ibuffer-filter mode, define-ibuffer-filter used-mode)
	(define-ibuffer-sorter major-mode, ibuffer-mark-unsaved-buffers)
	(ibuffer-mark-read-only-buffers)
	(ibuffer-mark-dired-buffers): Use `buffer-local-value'.

	* ibuf-macs.el (ibuffer-aif, ibuffer-awhen, ibuffer-save-marks)
	(define-ibuffer-column, define-ibuffer-sorter)
	(define-ibuffer-op, define-ibuffer-filter): Add declarations
	containing indentation specs, replacing equivalent top-level
	forms that set `lisp-indent-function' properties.
	(define-ibuffer-op): Use `derived-mode-p'.
	(define-ibuffer-filter): Remove redundant `concat' call.

2008-05-14  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-echo-mark): Update docstring.
	(tramp-echo-mark-marker): New defconst.
	(tramp-check-for-regexp): Use it.

2008-05-14  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc.el (vc-deduce-fileset): Do the right thing when visting a
	buffer (say, a log buffer or diff buffer) with a vc-dir buffer
	as parent.

2008-05-14  John Paul Wallington  <jpw@pobox.com>

	* international/mule.el (convert-define-charset-argument):
	Remove period from end of error message.
	(coding-system-mnemonic): Doc fix.
	(ctext-pre-write-conversion): Doc fix.

2008-05-14  Simon Marshall  <simon@gnu.org>

	* obsolete/fast-lock.el (fast-lock-cache-directories): Remove "."
	from its default value and give it the risky-local-variable
	property (CVE-2008-2142).

2008-05-14  Kenichi Handa  <handa@m17n.org>

	* language/korean.el ("Korean"): Set `iso639-language'
	property to `ko'.

	* language/japanese.el ("Japanese"): Set `iso639-language'
	property to `ja'.

	* language/chinese.el ("Chinese-GB", "Chinese-BIG5")
	("Chinese-CNS", "Chinese-EUC-TW", "Chinese-GBK")
	("Chinese-GB18030"): Set `iso639-language' property to `zh'.

	* international/mule-cmds.el (set-language-environment):
	Set current-iso639-language.

	* international/fontset.el (setup-default-fontset): For kana, han,
	hangul, and cjk-misc, move an entry with font-spec at the end.
	(generate-fontset-menu): Exclue fontset-auto* from the list.

	* composite.el (compose-chars-after): Assume that WINDOW is always
	non-nil.

	* faces.el (font-weight-table, font-slant-table)
	(font-swidth-table): Declare them by defconst.  Change the format
	of elements.  Call internal-set-font-style-table after their
	declaration.
	(face-valid-attribute-values): Call font-family-list.  Get values
	for width, weight, and slant from font-xxx-table.

	* cus-face.el (custom-face-attributes): Add "thin" for :weight.

2008-05-13  John Paul Wallington  <jpw@pobox.com>

	* ibuffer.el (ibuffer-buffer-file-name): New function.
	(define-ibuffer-column filename): Use it.

	* ibuf-ext.el (define-ibuffer-filter filename): Use it.

2008-05-13  Chong Yidong  <cyd@stupidchicken.com>

	* talk.el (talk): Simplify.  Pass display arg to talk-add-display
	as a string.
	(talk-add-display): Simplify.  Accept only string args.

2008-05-13  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-mode-map): Remove old keybinding for `calc-yank'.

2008-05-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (bootstrap-prepare): Don't chmod files.
	(autoloads): Do it here instead, where it's actually needed.

2008-05-13  Chong Yidong  <cyd@stupidchicken.com>

	* tool-bar.el (tool-bar-make-keymap): Account for the optional
	KEY-BINDING-DATA field in menu-item list.

2008-05-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* dired.el (dired-read-dir-and-switches): Move things about to use less
	recursion during macroexpansion.

	* dired.el (dired-read-dir-and-switches): Use read-file-name.

	* dired.el (dired-read-dir-and-switches): Ignore ., .., and
	completion-ignored-extension directories if there's something else.
	(dired-mark-if, dired-map-over-marks, dired-readin, dired-revert)
	(dired-remember-marks, dired-undo, dired-build-subdir-alist)
	(dired-internal-do-deletions, dired-mark-files-in-region, dired-mark)
	(dired-toggle-marks, dired-change-marks, dired-unmark-all-files):
	buffer-read-only -> inhibit-read-only.

2008-05-12  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc.el (vc-expand-dirs): Stop this function from tossing out
	explicitly specified files.

2008-05-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el (smerge-apply-resolution-patch): Don't pass nil
	to `insert'.

2008-05-12  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-annotate-show-diff-revision-at-line): Remove incorrect
	cons.  Use vc-annotate-backend.
	(with-vc-file, edit-vc-file): Remove unused macros.

2008-05-12  Teodor Zlatanov  <tzz@lifelogs.com>

	* mail/smtpmail.el: Add autoload for `auth-source-user-or-password'.
	(smtpmail-try-auth-methods): Use it.

2008-05-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/cl.el (cl-set-nthcdr): Make it a defsubst so that
	(setf (nthcdr ..) ..) doesn't require CL at runtime.

2008-05-11  Carsten Dominik  <dominik@science.uva.nl>

	* org/org.el (org-modules): Repair problems with loading org-jsinfo.org.

2008-05-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el (vc-bzr-sha1, vc-bzr-command-discarding-stderr)
	(vc-bzr-revision-completion-table): Use process-file.
	(vc-bzr-working-revision): Pass relative file names.

	* diff-mode.el (diff-hunk-header-re): Refine the regexp.

2008-05-11  Juri Linkov  <juri@jurta.org>

	* wid-edit.el (widget-image-directory): Change default image data
	subdirectory from "custom" to "images/custom".

	* info.el (Info-next-preorder): Let-bind `Info-history' to nil
	before recursive call to `Info-next-preorder' to not add
	intermediate nodes to the history.

	* isearch.el: Put isearch-scroll property on recenter-top-bottom.

	* emulation/cua-base.el: Put isearch-scroll property
	on cua-scroll-up and cua-scroll-down.

2008-05-11  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc-hooks.el (vc-recompute-state): Remove (dead code).

2008-05-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dispatcher.el (ewoc): Require.
	(vc-log-edit, vc-buffer-sync): Declare for byte compiler.

	* vc-hg.el (vc-hg-diff, vc-hg-annotate-command): Use when not if.

2008-05-10  Chong Yidong  <cyd@stupidchicken.com>

	* term/w32-win.el (x-colors):
	* term/mac-win.el (x-colors):
	* term/x-win.el (x-colors): Re-order colors.

2008-05-10  Reiner Steib  <reiner.steib@gmx.de>

	* smerge-mode.el (smerge-command-prefix): Fix custom type.

2008-05-10  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc-dispatcher.el (vc-dir-next-directory, vc-dir-prev-directory):
	New functions implementing motion to next and previous directory.

	* vc-arch.el (vc-arch-command):
	* vc-bzr.el (vc-bzr-command):
	* vc-cvs.el (vc-cvs-command):
	* vc-dispatcher.el (vc-do-command):
	* vc-git.el (vc-git-command):
	* vc-hg.el (vc-hg-command):
	* vc-mcvs.el (vc-mvcs-command):
	* vc-mtn.el (vc-mtn-command):
	* vc-sccs.el (vc-sccs-command, vc-sccs-workfile)
	(vc-sccs-workfile-unchanged-p):
	* vc-svn.el (vc-svn-command, vc-svn-create-repo),
	* vc-rcs.el (all methods): Remove assumption about what a nil
	argument to vc-do-command means.  This means no buffer name needs
	to be hardcoded into the dispatcher layer, and it's better to be
	explicit anyway.

	* vc-svn.el (vc-svn-dir-state-heuristic): Remove.

2008-05-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el: Update todo.

	* vc-sccs.el (vc-sccs-dir-status):
	* vc-rcs.el (vc-rcs-dir-status): Avoid using results from multiple
	backends and returning up to date files.

	* vc-hooks.el (vc-prefix-map): Remove duplicate binding.

2008-05-09  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc.el (vc-dir):
	* vc-hooks.el: Tweak the VC directory bindings.  These are now
	documented in the manual.

	* vc-dispatcher.el (vc-dir-update, vc-dir-parent-marked-p)
	(vc-dir-children-marked-p): Remove the vc-dir-insert-directories global.
	(vc-dispatcher-selection-set): Allow callers to pass in an
	observer flag that says no buffer sync is required.
	* vc.el (vc-deduce-fileset, vc-print-log, vc-version-diff):
	Use the observer flag.

2008-05-09  Michael Albinus  <michael.albinus@gmx.de>

	* simple.el (start-file-process): Clarify docstring.

2008-05-09  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc-sccs.el, vc.svn.el, vc-git.el, vc-hg.el, vc-mtn.el:
	Remove stub implementations of, and references to, wash-log.
	* vc-rcs.el (vc-rcs-comment-history):
	* vc-cvs.el (vc-cvs-comment-history):
	Inline the code that used to be wash-log.

	* vc-sccs.el (vc-sccs-checkin, vc-sccs-checkout, vc-sccs-rollback)
	(vc-sccs-revert, vc-sccs-steal-lock, vc-sccs-modify-change-comment)
	(vc-sccs-print-log, vc-sccs-diff): Grok directories.
	* vc-rcs.el (vc-sccs-checkin, vc-sccs-checkout)
	(vc-rcs-revert, vc-rcs-steal-lock, vc-rcs-modify-change-comment)
	(vc-rcs-print-log): Grok directories.

2008-05-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-mark-resolved): Add `backend' argument.
	(vc-next-action): Pass it the backend.
	(vc-next-action, vc-checkout, vc-mark-resolved, vc-version-diff)
	(vc-merge, vc-rollback, vc-update, vc-transfer-file, vc-delete-file)
	(vc-default-comment-history, vc-default-create-snapshot)
	(vc-default-retrieve-snapshot, vc-default-revert, vc-annotate)
	(vc-annotate-revision-previous-to-line)
	(vc-annotate-show-diff-revision-at-line, vc-annotate-warp-revision):
	* vc-svn.el (vc-svn-checkout):
	* vc-mcvs.el (vc-mcvs-checkout):
	* vc-hooks.el (vc-state, vc-default-workfile-unchanged-p)
	(vc-working-revision, vc-before-save, vc-mode-line):
	Prefer vc-call-backend to vc-call so as not to recompute the backend.

	* vc.el (vc-deduce-fileset): Don't require the checkout-model and the
	state to be consistent since it's often an unwarranted restriction.
	Don't return the state either.
	(vc-next-action): Check that the state is consistent.
	(vc-diff-internal, vc-version-diff, vc-print-log, vc-revert)
	(vc-rollback, vc-update): Adapt to new return value of
	vc-deduce-fileset.

	* vc-dispatcher.el (vc-dispatcher-browsing): Use derived-mode-p.
	(vc-dir-prepare-status-buffer): Use vc-dispatcher-browsing.
	(vc-dispatcher-in-fileset-p): New fun.
	(vc-dispatcher-selection-set): Use it to properly handle directories.

2008-05-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-version-diff, vc-print-log, vc-revert, vc-rollback)
	(vc-update): Remove unused let bindings.

2008-05-09  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc.el (vc-deduce-fileset, vc-next-action, vc-version-diff)
	(vc-diff, vc-revert, vc-rollback, vc-update):
	* vc-dispatcher.el (vc-dispatcher-selection-set):
	Get rid of 4 special cases in fileset selection.  This involved
	changing the return value of (vc-deduce-fileset) so that it passes
	back a deduced state as well as a deduced back end.

2008-05-08  Sam Steingold  <sds@gnu.org>

	* progmodes/compile.el (compilation-minor-mode-map)
	(compilation-mode-map): Bind "g" to recompile and "q" to quit-window.
	* grep.el (grep-mode-map): Use `set-keymap-parent' to connect it
	to `compilation-minor-mode-map' (instead of an explicit `cons').

2008-05-08  Juanma Barranquero  <lekktu@gmail.com>

	* org/org.el (org-modules, org-format-latex-options):
	* org/org-archive.el (org-archive-stamp-time)
	(org-archive-save-context-info):
	* org/org-faces.el (org-hide):
	* org/org-irc.el (org-irc-parse-link):
	* org/org-macs.el (org-call-with-arg, org-autoload):
	* org/org-mew.el (org-mew-store-link):
	* org/org-remember.el (org-remember-store-without-prompt)
	(org-remember-templates): Fix typos in docstrings.

	* org/org-info.el (org-info-store-link): Remove leftover docstring.

	* org/org-bbdb.el (org-bbdb-export): Remove leftover docstring.
	(org-bbdb-anniversary-field, org-bbdb-extract-date-fun)
	(org-bbdb-anniv-split): Fix typos in docstrings.

	* org/org-publish.el (org-publish-project-alist): Doc fixes.
	(org-publish-use-timestamps-flag): Reflow docstring.
	(org-publish-files-alist): Fix typos in docstring.

2008-05-07  Sam Steingold  <sds@gnu.org>

	* pcvs-util.el (cvs-bury-buffer): Revert my patch: quit-window
	appears to be too aggressive with window removal.

2008-05-08  Michael McNamara  <mac@mail.brushroad.com>

	* verilog-mode.el (verilog-type-font-keywords): Add leda and 0in
	as pragma keywords.
	(verilog-pretty-expr): Support lining up assignments which include
	part selects.
	(verilog-mode): More portable check for the availability of
	hideshow support.
	(verilog-do-indent): Remove special indent for declarations inside
	a parenthetical list.  The code is ill-advised, and doesn't work
	given the new user defined types.
	(verilog-set-auto-endcomments): Enhance function automatic
	endcomment to support functions that return user defined types.
	(verilog-mode): Add code to tell which-function-mode minor mode
	that Verilog supports this feature.

2008-05-08  Eli Zaretskii  <eliz@gnu.org>

	* epa-file.el: Require epa-hook.

	* loadup.el ("epa-hook"): Load epa-hook instead of epa-file-hook.

	* epa-hook.el: Renamed from epa-file-hook.el, to avoid
	file-names clashes on 8+3 filesystems.  Provide epa-hook.

	* org/org-jsinfo.el: Renamed from org-infojs.el, to avoid
	file-names clashes on 8+3 filesystems.

2008-05-08  Carsten Dominik  <dominik@science.uva.nl>

	* org/org.el (org-read-date-get-relative): Interpret lone
	weekday abbreviation as relative to today.

2008-05-08  Juanma Barranquero  <lekktu@gmail.com>

	* abbrev.el (define-abbrev-table):
	* composite.el (toggle-auto-composition):
	* json.el (json-alist-p, json-plist-p):
	* minibuffer.el (completion-table-with-predicate):
	* ps-mule.el (ps-mule-external-libraries):
	* emacs-lisp/advice.el (ad-special-form-p):
	* emacs-lisp/autoload.el (autoload-generate-file-autoloads):
	* eshell/em-smart.el (eshell-review-quick-commands):
	* progmodes/python.el (python-comment-line-p, python-blank-line-p)
	(python-skip-out, python-check-comint-prompt):
	Don't use `iff' in docstrings.

	* international/robin.el (robin-package-alist): Fix typo in docstring.
	(robin-current-package-name): Doc fix.
	(robin-activate): Don't use `iff' in docstring.

2008-05-07  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc.el, vc-dispatcher.el: VC-Dired support removed.
	The code uses a ewoc-based implementation now.
	* vc-hooks.el: Support for Meta-CVS has been removed.

2008-05-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tool-bar.el: Choose images dynamically.
	(tool-bar-make-keymap, tool-bar-find-image): New function.
	(tool-bar-find-image-cache): New var.
	(tool-bar-local-item, tool-bar-local-item-from-menu):
	Don't select the image yet, do it later in tool-bar-make-keymap.

2008-05-07  Andreas Schwab  <schwab@suse.de>

	* window.el: Require 'cl when compiling.

2008-05-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dispatcher.el (vc-dir-insert-directories): Default to t.

2008-05-07  Glenn Morris  <rgm@gnu.org>

	* subr.el (ignore-errors): Move here from cl-macs.el.
	* emacs-lisp/cl-macs.el (ignore-errors): Move to subr.el.

	* progmodes/fortran.el (fortran-mode): Fix font-lock-syntactic-keywords
	oddness.

2008-05-06  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc-hooks.el (vc-find-file-hook):
	* vc-dispatcher.el (vc-resynch-window): Decouple vc-dispatcher
	further from vc.el.
	* vc.el (vc-dir-mode): Move VC-specific context menu entries here.

2008-05-06  Wilson Snyder  <wsnyder@wsnyder.org>

	* verilog-mode.el (verilog-getopt-file): Cleanup warning message format.
	(verilog-auto, verilog-auto-arg, verilog-auto-ascii-enum)
	(verilog-auto-inout, verilog-auto-inout-module)
	(verilog-auto-input, verilog-auto-inst, verilog-auto-inst-param)
	(verilog-auto-output, verilog-auto-output-every, verilog-auto-reg)
	(verilog-auto-reg-input, verilog-auto-reset, verilog-auto-sense)
	(verilog-auto-sense-sigs, verilog-auto-tieoff)
	(verilog-auto-unused, verilog-auto-wire)
	(verilog-decls-get-assigns, verilog-decls-get-consts)
	(verilog-decls-get-gparams, verilog-decls-get-inouts)
	(verilog-decls-get-inputs, verilog-decls-get-outputs)
	(verilog-decls-get-ports, verilog-decls-get-regs)
	(verilog-decls-get-signals, verilog-decls-get-wires)
	(verilog-dir-cache-lib-filenames, verilog-dir-cache-list)
	(verilog-dir-cache-preserving, verilog-dir-file-exists-p)
	(verilog-dir-files, verilog-expand-dirnames, verilog-getopt-file)
	(verilog-inject-sense, verilog-library-filenames)
	(verilog-mode-release-date, verilog-mode-version)
	(verilog-modi-cache-add, verilog-modi-cache-preserve-buffer)
	(verilog-modi-cache-preserve-tick, verilog-modi-cache-results)
	(verilog-modi-get-assigns, verilog-modi-get-consts)
	(verilog-modi-get-gparams, verilog-modi-get-inouts)
	(verilog-modi-get-inputs, verilog-modi-get-outputs)
	(verilog-modi-get-ports, verilog-modi-get-regs)
	(verilog-modi-get-signals, verilog-modi-get-sub-inouts)
	(verilog-modi-get-sub-inputs, verilog-modi-get-sub-outputs)
	(verilog-modi-get-wires, verilog-preserve-cache)
	(verilog-preserve-dir-cache, verilog-preserve-modi-cache)
	(verilog-read-sub-decls, verilog-read-sub-decls-line)
	(verilog-read-sub-decls-sig, verilog-subdecls-get-inouts)
	(verilog-subdecls-get-inputs, verilog-subdecls-get-outputs):
	Add caching of additional state, and rework signal extraction
	routines to improve AUTO expansion performance by 300%++.

2008-05-06  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Tweak Open Watcom regexp to distinguish between errors and warnings.

2008-05-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* dired.el (dired-read-dir-and-switches): Fix up last change.

2008-05-05  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc.el (vc-deduce-fileset): Lift all the policy and UI stuff
	out of this function, move it to vc-dispatcher-selection-set.

2008-05-05  Sam Steingold  <sds@gnu.org>

	* window.el (delete-other-windows-vertically): New function.

2008-05-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* dired.el (dired-read-dir-and-switches):
	Obey read-file-name-completion-ignore-case.

2008-05-05  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Add regexp for Open Watcom compiler output.

2008-05-05  Phil Sung  <psung@mit.edu>  (tiny change)

	* progmodes/python.el (python-block-pairs): Align finally with except.

2008-05-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-rcs.el (vc-rcs-fetch-master-state): Fix inf-loop.

2008-05-05  Tom Tromey  <tromey@redhat.com>

	* smerge-mode.el (smerge-start-session): Don't call smerge-next if
	looking at conflict marker.

2008-05-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-dispatcher.el (vc-dir-mark-buffer-changed): Fix typo
	client-mode -> vc-client-object, and guess `funcall' was meant.
	(vc-dir-mode): Rename client-mode -> vc-client-mode.

2008-05-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* net/zeroconf.el (dbus-call-method, dbus-register-signal)
	(dbus-debug): Move declarations outside eval-when-compile.

2008-05-04  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-command-alist): Fix system-type values.
	Fix defcustom.
	(proced-sorting-schemes-alist, proced-sorting-scheme): New variables.
	(proced-sort-pcpu, proced-sort-pmem, proced-sort-pid)
	(proced-sort-start, proced-sort, proced-sort-time): New commands.
	(proced-update): Use proced-sorting-scheme.  Update modeline.
	(proced-send-signal): Use nreverse.
	(proced-sorting-scheme-p): New function.

2008-05-04  Andreas Schwab  <schwab@suse.de>

	* vc.el: Require dired when compiling.

	* minibuffer.el (completion--insert-strings): Don't delete past bol.

2008-05-03  Glenn Morris  <rgm@gnu.org>

	* ediff-diff.el, ediff-help.el, ediff-merg.el, ediff-mult.el:
	* ediff-ptch.el, ediff-util.el, ediff-wind.el, ediff.el:
	Simplify compilation requirements.
	* ediff-init.el, ediff-vers.el: Remove unnecessary variable
	declarations.

2008-05-03  Dave Love  <fx@gnu.org>

	* progmodes/python.el (python-beginning-of-statement):
	Loop at least once (fixes 2008-02-21 change).

2008-05-03  Eli Zaretskii  <eliz@gnu.org>

	* ls-lisp.el (ls-lisp-insert-directory): Use `string-width'
	instead of `length' for comparing length of user and group names.

2008-05-03  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc-dispatcher.el: New file, separates out the UI and command
	execution machinery from VCS-specific logic left in vc.el.
	The separation is not yet completely clean, but it's a good start.
	* vc.el: This file is about 1700 lines shorter now.
	Remove obsolete logentry-check from the backend API.
	* vc-sccs.el (vc-sccs-logentry-check): Remove.  This was the only
	implementation of the logentry-check method, and it guarded against
	a log length limit that has probably been obsolete for 15 years (!).

2008-05-02  Sam Steingold  <sds@gnu.org>

	* progmodes/compile.el (compilation-start): Move setting of
	compilation-directory after (funcall mode) as that resets local
	variables, this fixes recompile in grep buffers.
	* grep.el (grep-mode-map): Bind "g" to recompile (like in dired &c).

2008-05-02  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc-arch.el, vc-bzr.el, vc-cvs.el, vc-git.el, vc-hg.el,
	* vc-hooks.el, vc-mcvs.el, vc-mtn.el, vc-rcs.el, vc-sccs.el,
	* vc-svn.el, vc.el (vc-*-checkout-model): Make sure every backend
	has one of these and that all are called in compatible ways.
	* vc-arch.el, vc-bzr.el, vc-cvs.el, vc-git.el, vc-hg.el,
	* vc-hooks.el, vc-mcvs.el, vc-mtn.el, vc-rcs.el, vc-sccs.el,
	* vc-svn.el, vc.el (vc-*-revision-granularity): Make sure every
	backend has one of these.

2008-05-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/octave-mod.el (octave-abbrev-table): Move defvar and
	initialization into define-abbrev-table.  Use :regexp.
	(octave-mode-syntax-table): Don't set word syntax for `.

	* files.el (minibuffer-with-setup-hook): Allow `fun' expressions rather
	than only value.

	* dired.el (dired-read-dir-and-switches):
	Set minibuffer-completing-file-name and call substitute-in-file-name.
	(dired-format-columns-of-files): Use completion--insert-strings.

	* minibuffer.el (completion-hilit-commonality): Revert last change:
	the leftover code was actually useful.
	(completion--insert-strings): Use string-width rather than length.

2008-05-02  Sam Steingold  <sds@gnu.org>

	* vc.el (vc-dir-mode-map): Enable mouse bindings.
	(vc-at-event): New macro: run the body at the even location.
	(vc-dir-menu, vc-dir-toggle-mark): Use it.
	(vc-dir-mark-file, vc-dir-unmark-file): Move only on non-mouse events.
	* subr.el (mouse-event-p): Check if the even is mouse-related.

2008-05-02  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-info-breakpoints-custom):
	Don't throw error if no file is found.

2008-05-02  Juanma Barranquero  <lekktu@gmail.com>

	* vc-hooks.el (vc-call, vc-state): Fix typos in docstrings.
	(vc-default-state-heuristic): Doc fix.

2008-05-02  Richard Sharman  <rsharman@pobox.com>

	* hilit-chg.el (highlight-changes-mode): Remove references to
	hooks that no longer exist.  Because define-minor-mode is used the
	hook highlight-changes-mode-hook exists and can do what both the
	old hooks used to do.  The documentation at the top of the file
	was updated to demonstrate this.
	(highlight-changes-mode): Remove commented out call to a hook
	function that is no longer there.
	(hilit-chg-set): Remove running of highlight-changes-enable-hook.

2008-05-02  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc.el (vc-default-dired-state-info): Change name of primitive
	to prettify-state-info, in preparation for ripping out dired mode.
	* vc-bzr.el (vc-bzr-dired-state-info): Change name of primitive
	to prettify-state-info, in preparation for ripping out dired mode.
	* vc-hooks.el (vc-toggle-read-only): Throw an error when a user
	tries this on a version-controlled buffer.  It will do useless or
	actively bad things on any version control system newer than RCS.
	* vc-hooks.el (vc-dired-resynch-file):
	* vc.el (vc-dired-resynch-file): Change name of primitive to
	vc-directory-resynch-file, preparing to remove dired.

2008-05-02  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-rcs.el (vc-rcs-state): Fix typos.

	* vc.el (vc-register): Change argument order so that the prefix
	argument is assigned correctly.
	(vc-next-action, vc-dir-register): Update for the above change.

2008-05-01  Juri Linkov  <juri@jurta.org>

	* replace.el (occur-read-primary-args): Set default to the car of
	regexp-history and display it in the prompt, but don't add to the
	list of minibuffer defaults.  Bind history-add-new-input to nil to
	not add automatically `default'.  For empty input return `default'.
	Otherwise, add `input' to regexp-history and return it.
	(occur-1): Signal an error for the empty regexp.

	* progmodes/compile.el (compilation-auto-jump):
	Set window point to `pos' explicitly.

2008-05-01  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc-bzr.el (vc-bzr-state): Allow this to return 'ignored
	when appropriate.
	* vc-sccs.el (vc-sccs-state): Call vc-sccs-unregistered so
	we report the 'unregistered state reliably.
	* vc-rcs.el (vc-rcs-state): Call vc-rcs-unregistered so
	we report the 'unregistered state reliably.
	* vc-git.el (vc-git-state): Call vc-git-unregistered so
	we report the 'unregistered state reliably.
	* vc-hooks (vc-state): Document that vc-unregistered is
	now expected to be returned reliably.
	* vc.el (vc-default-dired-state): Change needs-patch state to
	needs-update, since the name now shows up in dir-status listings
	and was somewhat misleading.
	* vc-cvs.el (vc-cvs-delete-file): Don't do a "cvs commit"
	immediately after removing the file.
	* vc.el (vc-next-action): More informative messages when a fileset
	is in a mixed state or files are missing.

2008-05-01  Sam Steingold  <sds@gnu.org>

	* vc.el (vc-delete-file): Check if the file has uncommitted changes.

2008-05-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in: Revert incorrect fix for claimed bootstrap breakage.

2008-05-01  Daiki Ueno  <ueno@unixuser.org>

	* epa-file-hook.el: New file split from epa-file.el.
	* epa-file.el: Require 'epa-file-hook.
	(epa-file-handler): Add autoload cookie.
	* loadup.el: Load epa-file-hook.
	* startup.el (command-line): Eval the body of auto-encryption-mode.

2008-05-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-dir-mode-map): Don't bind "r".

	* vc-hg.el (vc-hg-extra-fileinfo): New defstruct.
	(vc-hg-status-printer): New function.
	(vc-hg-after-dir-status): Deal with copied and renamed files.
	(vc-hg-dir-status): Add flag to show copied files.

2008-05-01  John Paul Wallington  <jpw@pobox.com>

	* ibuffer.el (ibuffer-last-sorting-mode): New variable.
	(ibuffer-do-sort-by-recency): Reverse sorting order if last
	sorting mode was recency.

	* ibuf-macs.el (define-ibuffer-sorter): Define the sorter to
	reverse sorting order if last sorting mode was the sorter's.

2008-05-01  Jason Rumney  <jasonr@gnu.org>

	* w32-fns.el (w32-charset-info-alist): Map vietnamese to windows-1258.

2008-04-30  John Paul Wallington  <jpw@pobox.com>

	* ibuffer.el (define-ibuffer-column filename): When the major mode
	is `vc-dir-mode' show the buffer's default directory.

	* ibuf-ext.el (define-ibuffer-filter filename): Likewise when the
	major mode is `vc-dir-mode' use the buffer's default directory.

2008-04-30  Sam Steingold  <sds@gnu.org>

	* vc.el (vc-dir-delete-file): Add.
	(vc-dir-mode-map): Bind "r" to vc-dir-delete-file, like in PCL-CVS.
	(vc-delete-file): Do not barf when the file has been already deleted.

2008-04-30  Dan Nicolaescu  <dann@ics.uci.edu>

	* emacs-lisp/lisp-mode.el (lisp-mode-map): Add menu.

2008-04-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/octave-mod.el (octave-help): New function.
	* progmodes/octave-hlp.el: Delete.
	* info-look.el (octave-mode): Add operator index.

	* vc.el (vc-checkout): Typo.

2008-04-30  Dan Nicolaescu  <dann@ics.uci.edu>

	* menu-bar.el (menu-bar-tools-menu): Reorder, place Games last.
	Add "..." in the appropriate places.

	* epa.el (epa-key-list-mode-map): Add more menu entries.
	Add "..." in the appropriate places.

	* dired.el (dired-mode-map): Add :help.

	* vc.el (vc-deduce-fileset): Add new parameter.
	(vc-dir-marked-only-files): New function.
	(vc-next-action): Don't ignore directories, look at the files
	inside them.
	(vc-dir-mode): Document how the mark/unmark commands work.

2008-04-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-error-regexp-alist-alist) <gnu>:
	Rule out trailing spaces in file and directory names as well.

	* minibuffer.el (completion--do-completion): Move point even if the
	completion makes no change.
	(completion-pcm-try-completion): Fix computation of new point.

2008-04-30  David Hansen  <david.hansen@gmx.net>

	* dired.el: Require 'cl.

2008-04-30  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-frame-handler-1): Make overlay arrow
	hollow if not in innermost frame.

2008-04-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	Make `checkout-model' apply to filesets.
	* vc-hooks.el (vc-checkout-model): Rewrite.
	(vc-before-save, vc-after-save): Adjust callers accordingly.
	* vc.el (vc-editable-p, vc-next-action, vc-checkout, vc-update)
	(vc-transfer-file): Adjust callers accordingly.
	* vc-rcs.el (vc-rcs-checkout-model): Adjust arg.
	(vc-rcs-state, vc-rcs-state-heuristic, vc-rcs-receive-file)
	(vc-rcs-checkout, vc-rcs-fetch-master-state): Use vc-rcs-checkout-model
	instead of vc-checkout-model.
	* vc-mcvs.el (vc-mcvs-revert):
	Use vc-mcvs-checkout-model i.s.o vc-checkout-model.
	* vc-cvs.el (vc-cvs-checkout-model): Adjust arg.
	(vc-cvs-revert): Use vc-cvs-checkout-model i.s.o vc-checkout-model.
	* vc-svn.el (vc-svn-checkout-model):
	* vc-hg.el (vc-hg-checkout-model):
	* vc-git.el (vc-git-checkout-model):
	* vc-bzr.el (vc-bzr-checkout-model): Adjust arg.

	* dired.el (dired-read-dir-and-switches): Replace last change with
	a new approach that mixes read-file-name and read-directory-name.

	* files.el (read-buffer-to-switch):
	Avoid making assumptions about `other-buffer'.

2008-04-29  Sam Steingold  <sds@gnu.org>

	* vc.el (vc-dir-mode-hook): Add normal hook.
	(vc-dir-mode): Run it.

2008-04-29  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-display-buffer): Don't pop up GUD buffer.
	Always split windows.
	(gdb-speedbar-timer-fn): Only raise frame after user input.
	(gdb-same-frame): Reverse initial value.
	(gdb-display-gdb-buffer): Check for GUD buffer in other frames.

	* progmodes/gud.el (gud-speedbar-buttons): Raise frame in
	gdb-speedbar-timer-fn.

2008-04-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* uniquify.el (uniquify-rationalize-a-list): Beware of side-effects.

2008-04-29  Daiki Ueno  <ueno@unixuser.org>

	* epa.el (epa-key-list-mode-map): Add menu.
	(epa-delete-keys, epa-import-keys): Fix typo.

2008-04-29  Glenn Morris  <rgm@gnu.org>

	* find-cmd.el (top-level): Does not need cl when compiling.

2008-04-29  Phil Jackson  <phil@shellarchive.co.uk>

	* find-cmd.el: New file.

2008-04-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-hilit-commonality): Remove leftover code.
	(completion-pcm--pattern->regex): Let `group' be a list of symbols.
	(completion-pcm--hilit-commonality): New function.
	(completion-pcm-all-completions): Use it.

	* minibuffer.el (completion-common-substring): Mark obsolete.
	(completions-first-difference, completions-common-part):
	Move from simple.el.
	(completion-hilit-commonality): New fun.
	(display-completion-list, completion-emacs21-all-completions)
	(completion-emacs22-all-completions): Use it.
	* simple.el (completions-first-difference, completions-common-part):
	Move to minibuffer.el.
	(choose-completion-string): Use field functions and minibufferp.
	(completion-setup-function): Don't set completions faces.

2008-04-29  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (calendar-nth-named-absday)
	(calendar-nth-named-day):
	* calendar/diary-lib.el (diary-list-sexp-entries, diary-float):
	* calendar/holidays.el (holiday-float): Doc fixes.

	* emacs-lisp/check-declare.el (check-declare-errmsg): Fix counting in
	the `full' case.

	* org/org-agenda.el (calendar-iso-from-absolute):
	* org/org.el (calendar-absolute-from-iso, calendar-iso-from-absolute):
	Fix declarations.

2008-04-28  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-info-breakpoints-custom): Make breakpoint
	icons work for assembler, i.e. FILE.s, FILE.S (not disassembly).
	(gdb-goto-breakpoint): Likewise for visiting breakpoints.
	(gdb-assembler-custom): Be careful not to match other addresses.

2008-04-29  Jason Rumney  <jasonr@gnu.org>

	* battery.el (battery-status-function): Use w32-battery-status
	on Windows.
	(battery-echo-area-format): Make apm format the general case.
	(battery-mode-line-format): Merge apm and pmset formats as the
	general case.

2008-04-29  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-info-stack-custom):
	Use gud-tool-bar-item-visible-no-fringe.
	(gdb-display-buffer): Don't pop new buffer if gud-comint-buffer
	is already visible in frame.  Remove optional size parameter
	and add optional frame parameter.

	* progmodes/gud.el (gud-display-line): Only consider visible
	frames when looking for source buffer.

2008-04-28  Chong Yidong  <cyd@stupidchicken.com>

	* doc-view.el (doc-view-new-window-function): Avoid using WINDOW
	argument to get-char-property, in case the current buffer hasn't
	been assigned to that window yet.
	(doc-view-display): Default to selected window if the current
	buffer hasn't been assigned to a window yet.

2008-04-28  Vinicius Jose Latorre  <bzg@altern.org>

	* whitespace.el (whitespace-trailing-regexp): Fix docstring.

2008-04-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-mode): New defcustom.
	(tramp-file-name-handler, tramp-completion-file-name-handler):
	Use it.
	(tramp-replace-environment-variables): Handle "$$".

2008-04-28  Sam Steingold  <sds@gnu.org>

	* vc-hg.el (vc-hg-rename-file): Fix argument order.

2008-04-28  Bastien Guerry  <bzg@altern.org>

	* whitespace.el (whitespace-trailing): Fix typo.

2008-04-28  Sam Steingold  <sds@gnu.org>

	* textmodes/remember.el (diary-make-entry): Update the autoload.

2008-04-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-pcm--all-completions): Don't pass nil to
	all-completions.

2008-04-28  Juanma Barranquero  <lekktu@gmail.com>

	* desktop.el (desktop-minor-mode-table): Add `savehist-mode'.

2008-04-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-dir-mode-map): Change bindings for unmark all and revert.
	(vc-dir-parent-marked-p, vc-dir-children-marked-p): Implement.
	(vc-dir-mark-file): Add an optional argument.
	(vc-dir-mark-all-files, vc-dir-unmark-all-files): Deal with directories.

2008-04-27  Daiki Ueno  <ueno@unixuser.org>

	* epa-file.el (epa-file-enable, epa-file-disable): Use find-file-hook
	rather than obsolete alias find-file-hooks.
	(auto-encryption-mode): Rename from epa-file-mode.  Default to on.
	Use find-file-hook rather than obsolete alias find-file-hooks.
	Add to find-file-not-found-functions.
	(epa-file-handler): Put 'safe-magic and 'operations properties.

	* epa.el (epa-global-minor-modes, epa-mode, epa-menu)
	(epa-menu-items): Remove.

	* epa-dired.el (epa-dired-do-decrypt, epa-dired-do-verify)
	(epa-dired-do-sign, epa-dired-do-encrypt): Add autoload cookie.
	(epa-dired-mode, epa-global-dired-mode): Remove.

	* dired.el (dired-mode-map): Bind encryption/decryption commands.

	* menu-bar.el (menu-bar-encryption-decryption-menu): New menu item.

	* files.el (insert-file-contents-literally): Inhibit epa-file-handler.

2008-04-27  Glenn Morris  <rgm@gnu.org>

	* textmodes/reftex-global.el (reftex-isearch-switch-to-next-file):
	Remove un-needed local `orig-list'.  Replace cl `copy-list'.

2008-04-27  Carsten Dominik  <dominik@science.uva.nl>

	* org/org.el (org-html-level-start): Always have id's in HTML.
	(org-export-as-html): Use `org-link-protocols' to
	retrieve the export form of the link.
	(org-add-link-type): Final parameter renamed from PUBLISH.
	Better documentation of how it is to be used.  Avoid double entries for
	the same link type.
	(org-add-link-props): New function.
	(org-modules-loaded): New variable.
	(org-load-modules-maybe, org-set-modules): New function.
	(org-modules): New option.
	(org-mode, org-cycle, orgstruct-mode, org-run-like-in-org-mode)
	(orgtbl-mode, org-store-link, org-insert-link-global)
	(org-open-at-point): Call `org-load-modules-maybe'.
	(org-search-view): Add more text properties.
	(org-agenda-schedule, org-agenda-deadline): Allow also in
	search-type agendas.
	(org-search-view): Order of arguments has been changed.
	Interpret prefix-arg as TODO-ONLY.
	(org-agenda, org-run-agenda-series, org-agenda-manipulate-query):
	Take new argument order of `org-search-view' into account.
	(org-todo-only): New variable.
	(org-search-syntax-table): New variable and function.
	(org-search-view): Do the search with the special syntax table.
	(define-obsolete-function-alias): Make work with XEmacs.
	(org-add-planning-info): Use old date as default when modifying an
	existing deadline or scheduled item.
	(org-agenda-compute-time-span): Make argument N optional.
	(org-agenda-format-date-aligned): Require `cal-iso'.
	(org-agenda-list): Include week into agenda heading, don't
	list it at each date (only on Mondays).
	(org-read-date-analyze): Define local variable `iso-date'.
	(org-agenda-format-date-aligned): Remove dependency on
	`calendar-time-from-absolute'.
	(org-remember-apply-template, org-go-to-remember-target):
	Interpret filenames relative to `org-directory'.
	(org-complete): Silently fail when trying to complete
	keywords that don't have a default value.
	(org-get-current-options): Add a #+DATE: option.
	(org-additional-option-like-keywords): Remove "DATE:" from the
	list of additional keywords.
	(org-export-as-html): Remove (current-time) as unnecessary second
	argument of `format-time-string'.
	(org-clock-find-position): Handle special case at end of buffer.
	(org-agenda-day-view): New argument DAY-OF-YEAR, pass it on to
	`org-agenda-change-time-span'.
	(org-agenda-week-view): New argument ISO-WEEK, pass it on to
	`org-agenda-change-time-span'.
	(org-agenda-month-view): New argument MONTH, pass it on to
	`org-agenda-change-time-span'.
	(org-agenda-year-view): New argument YEAR, pass it on to
	`org-agenda-change-time-span'.
	(org-agenda-change-time-span): New optional argument N, pass it on
	to `org-agenda-compute-time-span'.
	(org-agenda-compute-time-span): New argument N, interpret it by
	changing the starting day.
	(org-small-year-to-year): New function.
	(org-scheduled-past-days): Respect `org-scheduled-past-days'.
	(org-auto-repeat-maybe): Make sure that repeating dates are pushed
	into the future, and that the shift is at least one interval, never 0.
	(org-update-checkbox-count): Fix bug with checkbox counting.
	(org-add-note): New command.
	(org-add-log-setup): Rename from `org-add-log-maybe'.
	(org-log-note-headings): New entry for plain notes (i.e. notes not
	related to state changes or clocking).
	(org-get-org-file): Check for availability of `remember-data-file'.
	(org-cached-entry-get): Allow a regexp value for
	`org-use-property-inheritance'.
	(org-use-property-inheritance): Allow regexp value.  Fix bug in
	customization type.
	(org-use-tag-inheritance): Allow a list and a regexp value for
	this variable.
	(org-scan-tags, org-get-tags-at): Implement selective tag inheritance.
	(org-entry-get): Respect value `selective' for the INHERIT argument.
	(org-tag-inherit-p, org-property-inherit-p): New functions.
	(org-agenda-format-date-aligned): Allow 10 characters for
	weekday, to acomodate German locale.
	(org-add-archive-files): New function.
	(org-agenda-files): New argument `ext', to get archive files as well.
	(org-tbl-menu): Protect the use of variables that
	are only available when org-table.el gets loaded.
	(org-read-agenda-file-list): Error if `org-agenda-files' is a
	single directory.
	(org-open-file): Allow a batch process to trigger
	waiting after executing a system command.
	(org-store-link): Link to headline when there is not
	target and no region in an org-mode buffer when creating a link.
	(org-link-types-re): New variable.
	(org-make-link-regexps): Compute `org-link-types-re'.
	(org-make-link-description-function): New option.
	(org-agenda-date, org-agenda-date-weekend): New faces.
	(org-archive-sibling-heading): New option.
	(org-archive-to-archive-sibling): New function.
	(org-iswitchb): New command.
	(org-buffer-list): New function.
	(org-agenda-columns): Also try the #+COLUMNS line in
	the buffer associated with the entry at point (or with the first
	entry in the agenda view).
	(org-modules): Add entry for org-bibtex.el.
	(org-completion-fallback-command): Move into `org-completion' group.
	(org-clock-heading-function): Move to `org-progress' group.
	(org-auto-repeat-maybe): Make sure that a note can
	be enforces if `org-log-repeat' is `note'.
	(org-modules): Allow additional symbols for external packages.
	(org-ctrl-c-ctrl-c): Allow for `org-clock-overlays' to be undefined.
	(org-clock-goto): Hide drawers after showing an
	entry with `org-clock-goto'.
	(org-shiftup, org-shiftdown, org-shiftright, org-shiftleft):
	Try also a clocktable block shift.
	(org-clocktable-try-shift): New function.
	(org-columns-hscoll-title): New function.
	(org-columns-previous-hscroll): New variable.
	(org-columns-full-header-line-format): New variable.
	(org-columns-display-here-title, org-columns-remove-overlays):
	Install `org-columns-hscoll-title' in post-command-hook.

	* org/org.el: Split into many small files.

	* org/org-agenda.el: New file, split off from org.el.

	* org/org-archive.el: New file, split off from org.el.

	* org/org-bbdb.el: New file.

	* org/org-bibtex.el: New file, split off from org.el.

	* org/org-clock.el: New file, split off from org.el.

	* org/org-colview.el: New file, split off from org.el.

	* org/org-compat.el: New file, split off from org.el.

	* org/org-exp.el: New file, split off from org.el.

	* org/org-faces.el: New file, split off from org.el.

	* org/org-gnus.el: New file, split off from org.el.

	* org/org-info.el: New file, split off from org.el.

	* org/org-infojs.el: New file.

	* org/org-irc.el: New file.

	* org/org-macs.el: New file, split off from org.el.

	* org/org-mew.el: New file.

	* org/org-mhe.el: New file, split off from org.el.

	* org/org-publish.el: New file, split off from org.el.

	* org/org-remember.el: New file, split off from org.el.

	* org/org-rmail.el: New file, split off from org.el.

	* org/org-table.el: New file, split off from org.el.

	* org/org-vm.el: New file, split off from org.el.

	* org/org-wl.el: New file, split off from org.el.

2008-04-27  Jason Riedy  <jason@acm.org>

	* lisp/org-table.el (orgtbl-to-generic): Add a :remove-nil-lines
	parameter that supresses lines that evaluate to NIL.
	(orgtbl-get-fmt): New inline function for
	picking apart formats that may be lists.
	(orgtbl-apply-fmt): New inline function for applying formats that
	may be functions.
	(orgtbl-eval-str): New inline function for strings that may be
	functions.
	(orgtbl-format-line, orgtbl-to-generic): Use and document.
	(orgtbl-to-latex, orgtbl-to-texinfo): Document.
	(*orgtbl-llfmt*, *orgtbl-llstart*)
	(*orgtbl-llend*): Dynamic variables for last-line formatting.
	(orgtbl-format-section): Shift formatting to support detecting the
	last line and formatting it specially.
	(orgtbl-to-generic): Document :ll* formats.  Set to the non-ll
	formats unless overridden.
	(orgtbl-to-latex): Suggest using :llend to suppress the final \\.
	(*orgtbl-table*, *orgtbl-rtn*): Dynamically
	bound variables to hold the input collection of lines and output
	formatted text.
	(*orgtbl-hline*, *orgtbl-sep*, *orgtbl-fmt*, *orgtbl-efmt*)
	(*orgtbl-lfmt*, *orgtbl-lstart*, *orgtbl-lend*): Dynamically bound
	format parameters.
	(orgtbl-format-line): New function encapsulating formatting for a
	single line.
	(orgtbl-format-section): Similar for each section.  Rebinding the
	dynamic vars customizes the formatting for each section.
	(orgtbl-to-generic): Use orgtbl-format-line and
	orgtbl-format-section.
	(org-get-param): Now unused, so delete.
	(orgtbl-gather-send-defs): New function to
	gather all the SEND definitions before a table.
	(orgtbl-send-replace-tbl): New function to find the RECEIVE
	corresponding to the current name.
	(orgtbl-send-table): Use the previous two functions and implement
	multiple destinations for each table.

	* doc/org.texi (A LaTeX example): Note that fmt may be a
	one-argument function, and efmt may be a two-argument function.
	(Radio tables): Document multiple destinations.

2008-04-27  Carsten Dominik  <dominik@science.uva.nl>

	* org/org-agenda.el (org-add-to-diary-list): New function.
	(org-prefix-has-effort): New variable.
	(org-sort-agenda-noeffort-is-high): New option.
	(org-agenda-columns-show-summaries)
	(org-agenda-columns-compute-summary-properties): New options.
	(org-format-agenda-item): Compute the duration of the item.
	(org-agenda-weekend-days): New variable.
	(org-agenda-list, org-timeline): Use the proper faces for dates in
	the agenda and timeline buffers.
	(org-agenda-archive-to-archive-sibling): New command.
	(org-agenda-start-with-clockreport-mode): New option.
	(org-agenda-clockreport-parameter-plist): New option.
	(org-agenda-clocktable-mode): New variable.
	(org-agenda-deadline-leaders): Allow a function value for the
	deadline leader.
	(org-agenda-get-deadlines): Deal with new function value.

	* lisp/org-clock.el (org-clock): New customization group.
	(org-clock-into-drawer, org-clock-out-when-done)
	(org-clock-in-switch-to-state, org-clock-heading-function):
	Move into the new group.
	(org-clock-out-remove-zero-time-clocks): New option.
	(org-clock-out): Use `org-clock-out-remove-zero-time-clocks'.
	(org-dblock-write:clocktable): Allow a Lisp form for the scope
	parameter.
	(org-dblock-write:clocktable): Fix bug with total time calculation.
	(org-dblock-write:clocktable): Request the unrestricted list of files.
	(org-get-clocktable): New function.
	(org-dblock-write:clocktable): Make sure :tstart and :tend can not only
	be strings but also integers (an absolute day number) and lists (m d y).

	* org/org-colview.el (org-columns-next-allowed-value)
	(org-columns-edit-value): Limit the effort for updating in the
	agenda to recomputing a single file.
	(org-columns-compute): Only write property value if it has changed.
	This avoids raising the buffer-change-flag unnecessarily.
	(org-agenda-colview-summarize)
	(org-agenda-colview-compute): New functions.
	(org-agenda-columns): Call `org-agenda-colview-summarize'.

	* org/org-exp.el (org-export-run-in-background): New option.
	(org-export-icalendar): Allow a batch process to trigger waiting
	after executing a system command.
	(org-export-preprocess-string): Rename from
	`org-cleaned-string-for-export'.
	(org-export-html-style): Made target class look like normal text.
	(org-export-as-html): Make use of the better proprocessing in
	`org-cleaned-string-for-export'.
	(org-cleaned-string-for-export): Better treatment of heuristic
	targets, many more internal links will now work in HTML export.
	(org-get-current-options): Incorporate LINK_UP, LINK_HOME, and INFOJS.
	(org-export-inbuffer-options-extra): New variable.
	(org-export-options-filters): New hook.
	(org-infile-export-plist): Find also the settings keywords in
	`org-export-inbuffer-options-extra'.
	(org-infile-export-plist): Allow multiple #+OPTIONS lines and
	multiple #+INFOJS_OPT lines.
	(org-export-html-handle-js-options): New function.
	(org-export-html-infojs-setup): New option.
	(org-export-as-html): Call `org-export-html-handle-js-options'.
	Add autoload to all entry points.
	(org-skip-comments): Function removed.

	* org/org-table.el (org-table-make-reference): Extra parenthesis
	around single fields, to make sure that algebraic formulas get
	correctly interpreted by calc.
	(org-table-current-column): No longer interactive.

	* org/org-export-latex.el (org-export-latex-preprocess):
	Rename from `org-export-latex-cleaned-string'.

2008-04-27  Bastien Guerry  <bzg@altern.org>

	* org/org-publish.el (org-publish-get-base-files-1): New function.
	(org-publish-get-base-files): Use it.
	(org-publish-temp-files): New variable.
	Don't require 'dired-aux anymore.
	(org-publish-initial-buffer): New variable.
	(org-publish-org-to, org-publish): Use it.
	(org-publish-get-base-files-1): Bug fix: get
	the proper list of files when recursing thru a directory.
	(org-publish-get-base-files): Use the :exclude property to skip
	both files and directories.

2008-04-27  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-make-symbolic-link)
	(tramp-handle-file-name-directory)
	(tramp-handle-file-name-nondirectory, tramp-handle-file-truename)
	(tramp-do-copy-or-rename-file-directly)
	(tramp-handle-insert-directory, tramp-handle-expand-file-name)
	(tramp-handle-substitute-in-file-name)
	(tramp-handle-insert-file-contents, tramp-handle-write-region)
	* net/tramp-cache.el (tramp-get-file-property)
	(tramp-set-file-property, tramp-flush-file-property)
	(tramp-flush-directory-property)
	* net/tramp-compat.el (tramp-compat-make-temp-file)
	* net/tramp-fish.el (tramp-fish-handle-expand-file-name):
	Disable `file-name-handler-alist' when handling localname.
	It could have a remote file syntax, like a VMS file name.

2008-04-27  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el: New version 11.1.
	(whitespace-trailing-regexp): Option fix, now trailing regexp must be
	enclosed by \\( and \\)$.  Docstring fix.
	(whitespace-trailing-regexp): Fun removed.
	(whitespace-report-list): Const initialization fix.
	(whitespace-color-on): Code fix.

2008-04-27  Andreas Schwab  <schwab@suse.de>

	* Makefile.el: Unbreak bootstrap.

2008-04-27  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-replace-environment-variables): New defun.
	(tramp-handle-substitute-in-file-name, tramp-file-name-handler):
	Use it.

2008-04-27  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-file): Doc fix.

	* calculator.el (calculator-expt): Replace cl function `oddp'.

2008-04-27  Johan Bockgård  <bojohan@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-find-cl-functions):
	Simplify.  Collect `defun' and `autoload' entries.
	Avoid modifying load-history.

2008-04-26  Glenn Morris  <rgm@gnu.org>

	* textmodes/ispell.el (ispell-insert-word): Revert previous change.

	* simple.el (quoted-insert, zap-to-char): Revert previous change.

2008-04-26  John Paul Wallington  <jpw@pobox.com>

	* hexl.el (hexl-mode): Stash `eldoc-documentation-function' in
	`hexl-mode-old-eldoc-documentation-function'.
	(hexl-mode-exit): Restore it.
	(hexl-mode-old-eldoc-documentation-function): Declare for compiler.

	* w32-fns.el (top-level): Don't set `completion-ignore-case' to t.

2008-04-26  Juanma Barranquero  <lekktu@gmail.com>

	* minibuffer.el (completion-pcm-word-delimiters): Add :group.
	(completion-pcm--all-completions): Doc fix.
	(completion-styles-alist, completion-all-completions):
	Fix typos in docstrings.

2008-04-26  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el: There is now only one variable (whitespace-style) to
	specify which kind of blank is visualized.  Doc and docstring fix.
	New version 11.0.
	(whitespace-style): New option, replace whitespace-style-mark and
	whitespace-style-color.
	(whitespace-style-mark, whitespace-style-color): Options removed.
	(whitespace-hspace, whitespace-tab, whitespace-newline)
	(whitespace-trailing, whitespace-line, whitespace-space-before-tab)
	(whitespace-indentation, whitespace-empty, whitespace-space-after-tab)
	(whitespace-hspace-regexp, whitespace-space-regexp)
	(whitespace-tab-regexp, whitespace-trailing-regexp)
	(whitespace-space-before-tab-regexp, whitespace-indentation-regexp)
	(whitespace-empty-at-bob-regexp, whitespace-empty-at-eob-regexp)
	(whitespace-space-after-tab-regexp, whitespace-line-column)
	(whitespace-display-mappings, whitespace-report): Docstring fix.
	(whitespace-color-value-list, whitespace-mark-value-list)
	(whitespace-active-color, whitespace-active-mark)
	(whitespace-toggle-color, whitespace-toggle-mark): Vars removed.
	(whitespace-style-value-list, whitespace-active-style)
	(whitespace-toggle-style): New vars.
	(whitespace-toggle-option-alist, whitespace-help-text):
	Var initialization and docstring fix.
	(whitespace-toggle-options, global-whitespace-toggle-options)
	(whitespace-cleanup, whitespace-cleanup-region)
	(whitespace-report-region, whitespace-interactive-char)
	(whitespace-toggle-list): Docstring and code fix.
	(whitespace-insert-option-mark, whitespace-help-on, whitespace-turn-on)
	(whitespace-turn-off, whitespace-color-on, whitespace-color-off)
	(whitespace-display-char-on, whitespace-display-char-off): Code fix.
	(whitespace-style-face-p, whitespace-style-mark-p): New fun.

2008-04-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-hunk-header-re-unified): Allow elided line counts.
	(diff-end-of-hunk, diff-unified->context, diff-fixup-modifs)
	(diff-sanity-check-hunk): Adjust code accordingly.

2008-04-26  Glenn Morris  <rgm@gnu.org>

	* abbrev.el (define-abbrev): Don't use `iff' in doc-strings.

	* forms-d2.dat: Move to ../etc.
	* forms-d2.el (forms-file): Adapt for above change.

	* simple.el (quoted-insert, zap-to-char): Remove uses of obsolete
	`translation-table-for-input'.

	* emacs-lisp/bytecomp.el (byte-compile-warn-obsolete): New function.
	(byte-compile-obsolete, byte-compile-variable-ref): Use it.

	* progmodes/fortran.el (fortran-mode-syntax-table): Change `;'
	to punctuation now it's not needed for abbrevs.
	(fortran-mode-abbrev-table): Remove defvar, make use of new
	define-abbrev-table :regexp feature.

	* textmodes/ispell.el (ispell-insert-word): Remove, and replace with
	insert, now that translation-table-for-input is not needed.

2008-04-26  Johannes Weiner  <hannes@saeurebad.de>

	* emacs-lisp/pp.el (pp-display-expression): New function,
	extracted from pp-eval-expression.
	(pp-eval-expression): Use pp-display-expression.
	(pp-macroexpand-expression, pp-macroexpand-last-sexp): New functions.
	(pp-last-sexp): New function, extracted from pp-eval-last-sexp.
	(pp-eval-last-sexp): Use pp-last-sexp.

2008-04-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* abbrev.el (define-abbrev-table): Apply props even if the table
	exists already.

	* minibuffer.el (completion-table-with-context): Fix `pred' for the
	various kinds of completion tables.
	(completion-emacs22-try-completion): Place cursor after the /, as was
	done in Emacs-22's minibuffer-complete-word.
	Fix bug reported by David Hansen <david.hansen@gmx.net>.
	(completion-emacs22-try-completion): Merge all mergable text rather
	than just /.
	(completion-pcm--delim-wild-regex): New var.
	(completion-pcm-word-delimiters): New custom.
	(completion-pcm--prepare-delim-re, completion-pcm--pattern-trivial-p)
	(completion-pcm--string->pattern, completion-pcm--pattern->regex)
	(completion-pcm--all-completions, completion-pcm-all-completions)
	(completion-pcm--merge-completions, completion-pcm--pattern->string)
	(completion-pcm-try-completion): New functions.
	(completion-styles-alist): Add them.
	(completion-styles): Add it to the default.

2008-04-25  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gud-watch): Don't create speedbar...
	(gdb-var-create-handler): ...until here when there are values.
	(gdb-post-prompt): Don't do -var-update with no watch expressions.
	(gdb-info-locals-handler): Don't match "struct {...}" as an array.

2008-04-25  Eli Zaretskii  <eliz@gnu.org>

	* ls-lisp.el (ls-lisp-format): Fix last change.
	(ls-lisp-uid-d-fmt, ls-lisp-uid-s-fmt, ls-lisp-gid-d-fmt)
	(ls-lisp-gid-s-fmt, ls-lisp-filesize-d-fmt)
	(ls-lisp-filesize-f-fmt): New defvars.
	(ls-lisp-insert-directory): Dynamically compute format specifiers
	for displaying UID, GID, and file size, and store them in the
	above variables.
	(ls-lisp-format): Use ls-lisp-filesize-f-fmt, ls-lisp-uid-s-fmt,
	ls-lisp-uid-d-fmt, ls-lisp-gid-s-fmt, and ls-lisp-gid-d-fmt
	instead of constant format strings.
	(ls-lisp-format-file-size): Use ls-lisp-filesize-f-fmt and
	ls-lisp-filesize-d-fmt instead of constant format strings.

2008-04-24  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-invalidate-assembler): Compare numeric
	value of addresses rather than (partial) string value.
	(gdb-frame-handler): Change regexp according to above change.
	(gdb-breakpoints-mode, gdb-frames-mode, gdb-threads-mode)
	(gdb-registers-mode, gdb-memory-mode, gdb-locals-mode)
	(gdb-assembler-mode): Disable undo in these buffers.

2008-04-24  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-get-remote-stat): Test whether stat supports %s.
	Reported by Loris Bennett <loris.bennett@fu-berlin.de>.

2008-04-24  Sam Steingold  <sds@gnu.org>

	* textmodes/remember.el (remember-diary-extract-entries): Use
	diary-make-entry instead of the obsolete make-diary-entry.

2008-04-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (translation-table-for-input): Mark as obsolete.

	* isearch.el (isearch-search-string): Avoid string-bytes and aset.

	* international/quail.el (quail-build-decode-map): Avoid string-bytes.

	* textmodes/ispell.el (ispell-dictionary-alist-1)
	(ispell-dictionary-alist-2, ispell-dictionary-alist-3)
	(ispell-dictionary-alist-4, ispell-dictionary-alist-5)
	(ispell-dictionary-alist-6): Remove.
	(ispell-dictionary-base-alist): New var, merges the above.
	(ispell-find-aspell-dictionaries, ispell-set-spellchecker-params):
	Use it.
	(ispell-dictionary-alist): Default to nil.  Remove autoload.
	(ispell-local-dictionary-alist): Remove autoload.

	* progmodes/f90.el (f90-mode-syntax-table): Don't set ` as word syntax.
	(f90-mode-abbrev-table): Use the new :regexp feature.
	Merge defvar and mapc into define-abbrev-table.
	(f90-imenu-type-matcher): Remove unused `l'.
	(f90-imenu-generic-expression): Remove unused `not-ib'.
	(f90-prepare-abbrev-list-buffer): Use with-current-buffer.
	(f90-change-keywords): Use restore-buffer-modified-p.

2008-04-24  Glenn Morris  <rgm@gnu.org>

	* net/goto-addr.el (goto-address-prog-mode):
	* progmodes/bug-reference.el (bug-reference-prog-mode):
	Define for compiler.

	* minibuffer.el (x-file-dialog): Declare as function.

	* progmodes/vhdl-mode.el (vhdl-speedbar-find-file): Use
	dframe-update-speed rather than obsolete alias speedbar-update-speed.

	* calendar/cal-menu.el (cal-menu-diary-menu): Fix typo.
	(cal-menu-scroll-menu): Use commands rather than key macros, which don't
	work with easymenu.  Add :keys where needed.

	* calendar/cal-move.el (calendar-scroll-left): Handle case when
	event-start is nil.

	* calendar/calendar.el (calendar-mode-map): Fix typo.

2008-04-24  Tom Tromey  <tromey@redhat.com>

	* emacs-lisp/easy-mmode.el (easy-mmode-define-keymap):
	Document keywords.  Add :suppress.
	* pcvs-defs.el (cvs-mode-map): Use :suppress.

	* net/goto-addr.el (goto-address-unfontify): New function.
	(goto-address-fontify): Use it.  Respect goto-address-prog-mode.
	(goto-address-fontify-region, goto-address-mode)
	(goto-address-prog-mode): New functions.

	* progmodes/bug-reference.el: New file.

2008-04-24  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-ts-active-input-buf): Move defvar to macterm.c.

2008-04-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/easymenu.el (easy-menu-make-symbol): Don't wrap keyboard
	macros within lambdas.

2008-04-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-try-completion): Add `point' argument.
	Change return value.
	(completion-all-completions): Add `point' argument.
	(minibuffer-completion-help): Pass the new `point' argument.
	(completion--do-completion): Pass the whole field to try-completion.
	(completion--try-word-completion): Rewrite, making fewer assumptions.
	(completion-emacs21-try-completion, completion-emacs21-all-completions)
	(completion-emacs22-try-completion, completion-emacs22-all-completions)
	(completion-basic-try-completion, completion-basic-all-completions):
	New functions.
	(completion-styles-alist): Use them.

2008-04-23  Agustín Martín  <agustin.martin@hispalinux.es>

	* ispell.el (ispell-set-spellchecker-params): New function to make sure
	right params and dictionary alists are used after spellchecker changes.
	(ispell-aspell-dictionary-alist, ispell-last-program-name)
	(ispell-initialize-spellchecker-hook): New variables and hook.
	(ispell-find-aspell-dictionaries): Use ispell-aspell-dictionary-alist.
	(ispell-maybe-find-aspell-dictionaries): Remove.
	Calls replaced by (ispell-set-spellchecker-params) calls.
	(ispell-have-aspell-dictionaries): Remove.
	* flyspell.el: Replace ispell-maybe-find-aspell-dictionaries by
	ispell-set-spellchecker-params.

2008-04-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* complete.el (PC-do-completion): Be more robust in the presence of
	unexpected values in minibuffer-completion-predicate.

	* minibuffer.el (read-file-name): Don't let-bind default-directory.
	Only abbreviate default-filename if it's a file.

	* minibuffer.el (read-file-name-function, read-file-name-predicate)
	(read-file-name-completion-ignore-case, insert-default-directory):
	New vars, moved from fileio.c.
	(read-file-name): New fun, moved from fileio.c.
	* cus-start.el: Remove insert-default-directory and
	read-file-name-completion-ignore-case.

2008-04-23  Magnus Henoch  <mange@freemail.hu>

	* tar-mode.el (tar-untar-buffer): If the entry has directory
	link type, extract it as a directory even if its file name doesn't
	end with a slash.  Fixes extraction of NetBSD tar archives.

2008-04-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-start): Also don't get confused by CRs since we
	don't quote them.

2008-04-23  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-init-buffer): New function.
	(gdb-set-gud-minor-mode-existing-buffers)
	(gdb-info-breakpoints-custom, gdb-get-location)
	(gdb-set-gud-minor-mode-existing-buffers-1): Use it.
	Previously gdb-create-define-alist wasn't always run and added to
	after-save-hook.

	* progmodes/gud.el (gud-tooltip-tips): Use tooltip-event-buffer.

2008-04-23  Kevin Ryde  <user42@zip.com.au>

	* progmodes/make-mode.el (makefile-fill-paragraph): Treat indented
	comments like unindented ones.

2008-04-23  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-ae-open-documents): Adjust selection range
	parameter origins.

2008-04-23  Kevin Ryde  <user42@zip.com.au>

	* emacs-lisp/autoload.el (autoload-generate-file-autoloads):
	Bind print-level to ensure output forms aren't truncated if
	print-level is set to eval-expression-print-level when going via
	eval-defun and friends, or has been otherwise fiddled with.

2008-04-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/cc-mode.el (c-basic-common-init): Don't set
	font-lock-extend-after-change-region-function globally.

2008-04-23  Juanma Barranquero  <lekktu@gmail.com>

	* speedbar.el (speedbar-use-tool-tips-flag)
	(speedbar-ignored-directory-regexp, speedbar-file-unshown-regexp)
	(speedbar-file-regexp, speedbar-message, speedbar-item-info)
	(speedbar-files-item-info, speedbar-maybe-add-localized-support)
	(speedbar-insert-files-at-point, speedbar-dynamic-tags-function-list)
	(speedbar-generic-list-positioned-group-p, speedbar-insert-generic-list)
	(speedbar-fetch-replacement-function, speedbar-extract-one-symbol)
	(speedbar-separator-face): Fix typos in docstrings.
	(speedbar-stealthy-function-list, speedbar-verbosity-level)
	(speedbar-supported-extension-expressions, speedbar-update-current-file)
	(speedbar-add-indicator, speedbar-tag-expand): Reflow docstring.
	(speedbar-use-imenu-flag, speedbar-ignored-directory-expressions)
	(speedbar-directory-unshown-regexp, speedbar-handle-delete-frame)
	(speedbar-show-info-under-mouse, speedbar-directory-buttons)
	(speedbar-check-vc-this-line, speedbar-files-line-directory)
	(speedbar-buffer-buttons, speedbar-buffer-buttons-temp)
	(speedbar-buffers-line-directory, speedbar-recenter-to-top)
	(speedbar-recenter): Doc fixes.
	(speedbar-update-speed, speedbar-navigating-speed): Add obsolescence
	declaration and remove redundant info in docstring.

2008-04-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el (vc-git-status-printer): Deal with directories.

	* vc.el (vc-next-action): Look at more than the first file to
	determine the state.

2008-04-23  Glenn Morris  <rgm@gnu.org>

	* dframe.el (dframe-have-timer-flag): Drop support for Emacs without
	timers.  Doc fix.
	(dframe-update-speed): Drop support for XEmacs < 20.
	(dframe-frame-mode): Drop support for Emacs < 20.
	(dframe-set-timer-internal): Drop support for Emacs without timers.
	(dframe-popup-kludge): Use mouse-menu-major-mode-map if defined.

	* ediff-init.el (ediff-check-version): Drop support for very old Emacs
	versions.  Add doc-string.  Mark as obsolete.

	* ps-def.el (ps-color-device): Drop support for XEmacs < 19.12.

	* speedbar.el (speedbar-use-tool-tips-flag): Check for tooltip-mode,
	rather than using an Emacs version test.

	* tree-widget.el (tree-widget-image-enable): Use display-images-p
	rather than an Emacs version test.

	* calendar/cal-china.el (holiday-chinese-qingming)
	(holiday-chinese-winter-solstice, holiday-chinese): New functions.
	* calendar/calendar.el (calendar-chinese-all-holidays-flag): New.
	* calendar/holidays.el (holiday-oriental-holidays): Add more holidays.

	* calendar/cal-islam.el (holiday-islamic): Doc fix.

	* calendar/diary-lib.el (diary-list-sexp-entries): Doc fix.
	(diary-remind): Allow negative DAYS to represent a range 1:DAYS.
	Suggested by Roland Winkler <Roland.Winkler@physik.uni-erlangen.de>.

2008-04-23  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-previous-frame-address): Rename...
	(gdb-previous-frame-pc-address): ...to this.
	(gdb-get-selected-frame): Use MI command -stack-info-frame instead
	of "info frame" with Gdb 6.4+.
	(gdb-stack-list-frames-regexp): New regexp.
	(gdb-frame-handler-1): Parse output of -stack-info-frame.

2008-04-22  David Glasser  <glasser@davidglasser.net>  (tiny change)

	* tar-mode.el (tar-prefix-offset): New constant.
	(tar-header-block-tokenize): Support paths with long names
	which use the "ustar" standard.

2008-04-22  Mathias Dahl  <mathias.dahl@gmail.com>

	* image-dired.el (image-dired-track-original-file)
	(image-dired-modify-mark-on-thumb-original-file):
	Use `dired-goto-file' instead of `search-forward'.  This solves
	a bug with finding files where the file name is a subset of other
	file names.  Doc fix.

2008-04-22  Juri Linkov  <juri@jurta.org>

	* menu-bar.el (buffers-menu-max-size): Move its definition down to
	the "Buffers Menu" section.  Change group name `mouse' to `menu'.
	(yank-menu-length): Change group name `mouse' to `menu'.
	(buffers-menu-buffer-name-length): New user option.
	(menu-bar-update-buffers): Use buffers-menu-buffer-name-length
	instead of the hard-coded number 27.

2008-04-22  Juri Linkov  <juri@jurta.org>

	* isearch.el (eval-when-compile): Require `help-macro'.
	(isearch-help-for-help-internal): Isearch specific Help screen
	created by `make-help-screen'.
	(isearch-help-map): New variable that binds "b", "k", "m" to
	isearch-specific commands, and binds other keys to
	isearch-other-control-char, thus allowing other Help keys to
	exit isearch mode and execute their global definitions.
	(isearch-help-for-help, isearch-describe-bindings)
	(isearch-describe-key, isearch-describe-mode): New commands.
	(isearch-mode-help): Define alias to isearch-describe-mode
	and remove its old function definition.
	(isearch-mode-map): Bind "\C-h" to isearch-help-map.
	Remove old comments because this issue is settled now.
	(isearch-forward): Describe three new Help commands in the docstring.
	(isearch-mode): Remove \\{isearch-mode-map} from the docstring,
	leave the single sentence at the first line of the docstring,
	and prepend the word "function" before `isearch-forward'
	to make the Help link to the function instead of variable.

2008-04-22  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-success-function): New variable with default
	to `isearch-success-function-default'.
	(isearch-search): Call a function from `isearch-success-function'
	instead of calling the hard-coded `isearch-range-invisible'.
	(isearch-success-function-default): New function that calls
	`isearch-range-invisible' and inverts its return value.

	* info.el (Info-search): In two similar places that skip
	undesired search matches move code to Info-search-success-function,
	and call `isearch-success-function' instead.
	(Info-search-success-function): New function copied from code
	in Info-search.  Replace isearch-range-invisible with
	text-property-not-all that checks for 'invisible and 'display
	properties to skip partially invisible matches (whose display
	properties were set by Info-fontify-node).
	(Info-mode): Set buffer-local isearch-success-function
	to Info-search-success-function.

2008-04-22  Juri Linkov  <juri@jurta.org>

	* minibuffer.el (internal-complete-buffer-except): New function.

	* files.el (read-buffer-to-switch): New function.
	(switch-to-buffer-other-window, switch-to-buffer-other-frame):
	Change interactive spec to call read-buffer-to-switch instead of
	using the letter "B".

	* simple.el (minibuffer-default-add-shell-commands): New function.
	Use declare-function for mailcap-file-default-commands from "mailcap".
	(shell-command): Set local minibuffer-default-add-function to
	minibuffer-default-add-shell-commands in minibuffer-with-setup-hook
	before calling read-shell-command.  Set 4th arg default-value of
	read-shell-command to relative buffer-file-name in file buffers.

	* dired-aux.el (dired-read-shell-command-default): Move it to
	gnus/mailcap.el and change its name to more general name
	mailcap-file-default-commands.
	(minibuffer-default-add-dired-shell-commands): New function.
	Use declare-function for mailcap-file-default-commands from "mailcap".
	(dired-read-shell-command): Set local minibuffer-default-add-function
	to minibuffer-default-add-dired-shell-commands in minibuffer-with-setup-hook
	before calling read-shell-command.  Remove dired-read-shell-command-default
	from the default value arg because default values are not set in
	minibuffer-default-add-dired-shell-commands.  Doc fix.

	* dired-x.el (dired-smart-shell-command): Sync arguments and
	interactive spec with changes in `shell-command'.
	Use dired-get-filename to get the dired file name at point
	as the default value in dired mode.

2008-04-22  Juanma Barranquero  <lekktu@gmail.com>

	* info.el (Info-complete-menu-item): Add missing parenthesis.

2008-04-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* info.el (Info-complete-menu-item): Save point.

2008-04-22  Juanma Barranquero  <lekktu@gmail.com>

	* minibuffer.el (minibuffer-complete-and-exit): Fix last change.

2008-04-22  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (emacs-deps): Define.
	Use it instead of $(lisp)/subdirs.el.

2008-04-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-next-action): Do not consider directories when
	checking for state compatibility.
	(vc-transfer-file): Use when not if.
	(vc-dir-parent-marked-p, vc-dir-children-marked-p): New functions.
	(vc-dir-mark-file): Use them.
	(vc-deduce-fileset): Also return the backend.
	(vc-diff-internal): Take as argument the value returned by
	vc-deduce-fileset instead of just the fileset.
	(vc-next-action, vc-finish-logentry, vc-version-diff, vc-diff)
	(vc-dir-mark-file, vc-print-log, vc-revert, vc-rollback)
	(vc-update): Update the vc-deduce-fileset and vc-diff-internal calls.

2008-04-22  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-scroll-up-or-next-page): Don't use
	set-window-vscroll but image-scroll-down.  Fixes a bug where a
	command following SPC scrolled up again.

2008-04-22  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-locals-header): New variable.
	(gdb-locals-mode, gdb-registers-mode): Use it for header line.
	(gud-watch): Add "$" prefix when in registers buffer.

2008-04-22  Glenn Morris  <rgm@gnu.org>

	* progmodes/gdb-ui.el (gdbmi-invalidate-frames): Declare as function.

	* whitespace.el (whitespace-display-table)
	(whitespace-display-table-was-local): Move definitions before use.

	* emacs-lisp/copyright.el (copyright-at-end-flag): New option.
	(copyright-limit): Respect copyright-at-end-flag.
	(copyright-re-search, copyright-start-point)
	(copyright-offset-too-large-p): New functions.
	(copyright-update-year): Use copyright-re-search.
	(copyright-update, copyright-fix-years): Use copyright-start-point,
	and copyright-re-search.
	(copyright): Use copyright-offset-too-large-p.
	* add-log.el (change-log-mode): Set copyright-at-end-flag.

	* add-log.el (top-level): Require 'cl when compiling.

2008-04-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* complete.el (PC-complete-as-file-name, PC-read-file-name-internal):
	Treat minibuffer-completion-predicate as a predicate.

	* minibuffer.el (completion--file-name-table): Accept both the old
	`dir' arg or the new `pred' arg.

	* ffap.el (ffap-read-file-or-url): Do not abuse completing-read's
	`predicate' argument to pass non-predicate data.
	(ffap-read-url-internal, ffap-read-file-or-url-internal):
	Use second arg as proper predicate.

	* vc-bzr.el (vc-bzr-complete-with-prefix): Remove.
	(vc-bzr-revision-completion-table): Use completion-table-with-context
	instead.

	* simple.el (choose-completion-string): Use minibuffer-completion-table.

2008-04-21  Chong Yidong  <cyd@stupidchicken.com>

	* term.el (term-emulate-terminal): Perform redisplay after the
	process filter has finished running.

2008-04-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-dir): Use pop-to-buffer, so it can be customized.

	* minibuffer.el (completion-try-completion): Change magic symbol
	property name.  Rename from minibuffer-try-completion.
	(completion-all-completions): Rename from minibuffer-all-completions.
	Remove hide-spaces argument.
	(completion--do-completion): Rename from minibuffer--do-completion.
	(minibuffer-complete-and-exit): Call just try-completion rather than
	completion-try-completion to fix up the case.
	(completion--try-word-completion): Try to add space or hyphen before
	making `string' a prefix of `completion'.
	(completion--insert-strings): Rename from minibuffer--insert-strings.

2008-04-22  Naohiro Aota  <nao.aota@gmail.com>  (tiny change)

	* net/tls.el (tls-program): Add -ign_eof argument to call the
	openssl commands.
	(tls-checktrust): Ditto.

2008-04-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-cvs.el (vc-cvs-status-extra-headers): New function.

	* vc-hooks.el (vc-insert-file, vc-state, vc-working-revision)
	(vc-check-master-templates, vc-file-not-found-hook)
	(vc-kill-buffer-hook):
	* vc.el (vc-process-sentinel, vc-exec-after, vc-do-command)
	(vc-find-position-by-context, vc-buffer-context)
	(vc-restore-buffer-context, vc-responsible-backend)
	(vc-expand-dirs, vc-ensure-vc-buffer, vc-buffer-sync)
	(vc-next-action, vc-register, vc-register-with, vc-steal-lock)
	(vc-finish-logentry, vc-coding-system-for-diff, vc-switches)
	(vc-version-diff, vc-diff, vc-insert-headers)
	(vc-dired-buffers-for-dir, vc-dired-resynch-file)
	(vc-snapshot-precondition, vc-create-snapshot, vc-print-log)
	(vc-revert, vc-rollback, vc-version-backup-file)
	(vc-rename-master, vc-delete-file, vc-rename-file)
	(vc-branch-part, vc-default-retrieve-snapshot)
	(vc-annotate-display-autoscale, vc-annotate-display-select)
	(vc-annotate, vc-annotate-warp-revision, vc-annotate-difference)
	(vc-annotate-lines, vc-file-tree-walk-internal): Use when instead of if.
	(vc-dir-update): Handle directories.
	(vc-default-status-printer): Simplify.

	* progmodes/asm-mode.el (asm-mode-map):
	* progmodes/hideif.el (hide-ifdef-mode-menu): Add :help.

	* progmodes/m4-mode.el (m4-mode-map): Add menu.

2008-04-21  Kenichi Handa  <handa@m17n.org>

	* select.el (xselect-convert-to-string): Send a C_STRING only if
	the polymorphic target TEXT is requested.

2008-04-21  Juanma Barranquero  <lekktu@gmail.com>

	* minibuffer.el (completion-setup-hook, display-completion-list)
	(completion--file-name-table): Fix typos in docstrings.
	(completion-table-dynamic): Fix typo, and reflow docstring.

2008-04-20  Andreas Schwab  <schwab@suse.de>

	* server.el (server-switch-buffer): Also consider clients in the
	selected frame.

2008-04-19  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-mouse-set-clear-breakpoint):
	Select window clicked on first.
	(gdb): Display thread number in mode-line.
	(gdb-make-header-line-mouse-map): Move to avoid byte compiler warnings.
	(gdb-breakpoints-header): New variable.
	(gdb-breakpoints-mode, gdb-threads-mode): Use it for header line.

2008-04-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-sccs.el (vc-sccs-do-command): New fun.  Use the "sccs" command.
	(vc-sccs-register, vc-sccs-checkin, vc-sccs-find-revision)
	(vc-sccs-checkout, vc-sccs-rollback, vc-sccs-revert)
	(vc-sccs-steal-lock, vc-sccs-modify-change-comment)
	(vc-sccs-print-log): Use it.

	* vc-hooks.el (vc-path): Remove SCCS-specific hack.

	* emacs-lisp/lisp-mode.el (lisp-mode-auto-fill): Make it an alias.
	* progmodes/scheme.el (scheme-mode-variables): Don't use it.

	* tooltip.el (tooltip-previous-message): New var.
	(tooltip-show-help-non-mode): Rewrite to better follow the behavior of
	the C code (avoid overwriting a minibuffer, restore previous echo
	message, ...).
	(tooltip-delay, tooltip-process-prompt-regexp, tooltip-strip-prompt):
	Simplify.

2008-04-19  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-thread-indicator): New variable.
	(gdb-init-1): Initialise it.
	(gdb-annotation-rules): New entry for "new-thread".
	(gdb-thread-identification): New function to customize
	mode-line-buffer-identification.
	(gdb-frames-mode, gdb-registers-mode, gdb-locals-mode)
	(gdb-assembler-mode): Use it.
	(gdb-threads-mode): Force "info threads" onto queue.

2008-04-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (locate-file-completion-table): Rename from
	locate-file-completion and make it use `pred' in the normal way.
	(locate-file-completion): New compatibility wrapper.
	(load-library): Use locate-file-completion-table.
	* finder.el (finder-commentary):
	* subr.el (locate-library):
	* emacs-lisp/find-func.el (find-library): Likewise.
	* info.el: Use with-current-buffer and inhibit-read-only.
	(Info-read-node-name-2): Change to use `predicate' in the normal way.
	(Info-read-node-name-1): Adjust uses accordingly.

	* minibuffer.el (completion-table-with-context): Add support for `pred'.
	(completion-table-with-terminator): Don't use complete-with-action
	since we have to distinguish all three cases anyway.
	(completion-table-with-predicate): New function.
	(dynamic-completion-table): Add obsolete alias.

	* emacs-lisp/trace.el (trace-make-advice): Don't change selected-window.

2008-04-18  Sam Steingold  <sds@gnu.org>

	* vc.el (vc-dir-menu-map, vc-dir-mode-map, vc-dir-tool-bar-map):
	Use quit-window instead of bury-buffer.

2008-04-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-table-with-terminator): Fix last fix.

2008-04-18  Andreas Schwab  <schwab@suse.de>

	* Makefile.in ($(MH_E_DIR)/mh-loaddefs.el, $(CAL_DIR)/cal-loaddefs.el)
	($(CAL_DIR)/diary-loaddefs.el, $(CAL_DIR)/hol-loaddefs.el):
	Depend on $(lisp)/subdirs.el.

2008-04-18  Juanma Barranquero  <lekktu@gmail.com>

	* descr-text.el (describe-char-after):
	Use `define-obsolete-function-alias'.

	* dired-x.el (dired-omit-files-p): Use `define-obsolete-variable-alias'.

	* facemenu.el (facemenu-unlisted-faces): Fix obsolescence description.

	* savehist.el (savehist-load): Add WHEN to obsolescence declaration.
	Remove redundant obsolescence info in docstring.

	* vc-hooks.el (vc-ignore-vc-files, vc-master-templates)
	(vc-header-alist): Add WHEN to obsolescence declaration.
	(vc-state): Fix typo in docstring.

	* emacs-lisp/checkdoc.el (checkdoc-minor-keymap):
	Use `define-obsolete-variable-alias'.

	* emulation/tpu-edt.el (tpu-have-ispell):
	* international/codepage.el (codepage-setup):
	Fix typo in obsolescence declaration.

	* international/mule.el (char-coding-system-table):
	Remove redundant obsolescence info in docstring.
	(charset-list, generic-char-p, set-char-table-default):
	Fix typos in obsolescence decarations.

	* international/mule-diag.el (non-iso-charset-alist):
	Fix typo in obsolescence declaration.
	(decode-codepage-char): Remove redundant obsolescence info in docstring.

	* font-core.el (font-lock-defaults-alist):
	* font-lock.el (font-lock-reference-face):
	* frame.el (screen-height, screen-width, set-screen-width)
	(set-screen-height):
	* hilit-chg.el (highlight-changes-initial-state):
	* isearch.el (isearch-return-char):
	* log-edit.el (cvs-commit-buffer-require-final-newline)
	(cvs-changelog-full-paragraphs):
	* mouse.el (mouse-major-mode-menu, mouse-popup-menubar)
	(mouse-popup-menubar-stuff):
	* mwheel.el (mouse-wheel-down-button, mouse-wheel-up-button)
	(mouse-wheel-click-button):
	* outline.el (outline-visible):
	* pcvs-defs.el (cvs-diff-ignore-marks, cvs-diff-buffer-name):
	* pcvs-info.el (cvs-display-full-path, cvs-fileinfo->full-path):
	* emacs-lisp/lisp-mode.el (lisp-comment-indent):
	* progmodes/compile.el (compile-internal):
	Add WHEN to obsolescence declarations.

2008-04-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/debug.el (debug): Revert to bury-buffer since quit-window
	is not better anyway.

2008-04-17  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el (whitespace-report-region): Handle whitespace-tab-width
	properly.

2008-04-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-mode-map): Use abbrev-table-menu.
	(python-use-skeletons): Remove, unused.
	(python-skeletons): Remove.  Use the abbrev table instead.
	(python-mode-abbrev-table): Fix regexp;
	add enable-function and case-fixed.
	(def-python-skeleton): Simplify.
	(python-expand-template): Use the abbrev-table and abbrev-insert.
	(python-abbrev-pc-hook, python-abbrev-syntax-table, python-pea-hook):
	Remove.
	(python-mode): Don't set pre-abbrev-expand-hook.

	* skeleton.el: Set coding-tag.

	* abbrev.el (abbrev-insert): New function extracted from expand-abbrev.
	(expand-abbrev): Use it.
	(abbrev-table-menu): New function.

	* abbrev.el (define-abbrev-table): Fontify dosctrings as such.

	* minibuffer.el (completion-table-with-terminator): Fix paren typo.

2008-04-17  Sam Steingold  <sds@gnu.org>

	* pcvs-util.el (cvs-bury-buffer): Use quit-window instead of the
	idiosyncratic bury-buffer/delete-window logic.

2008-04-17  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/crm.el (crm-completion-help, crm-complete)
	(crm-complete-word, crm-complete-and-exit): Fix typo in previous change.

2008-04-17  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Don't make the width of U+00AD to 0.

2008-04-17  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-stack-update): New variable.
	(gdb, gdb-starting, gdb-frames-mode): Use it.
	(gdb-invalidate-frames): Advise to call "info stack" only if
	execution has occurred.
	(gdb-info-breakpoints-custom): Only update overlay-arrow pointing to
	selected frame if no execution has occurred.
	(gdb-frames-force-update): New interactive function.
	(gdb-frames-mode-map): Bind it to "F".

2008-04-17  Michael Olson  <mwolson@gnu.org>

	* textmodes/remember.el (remember-version): Release Remember 2.0.

2008-04-16  Yoni Rabkin  <yoni@rabkins.net>

	* textmodes/artist.el:
	* progmodes/vhdl-mode.el:
	* progmodes/verilog-mode.el:
	* progmodes/vera-mode.el:
	* progmodes/simula.el:
	* progmodes/ps-mode.el:
	* progmodes/cmacexp.el:
	* obsolete/hilit19.el:
	* emulation/viper.el:
	* ediff.el: Cleanup the bug-report email addresses and make sure the
	maintainer is still willing to handle bug reports.

2008-04-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-dir-kill-query): Fix thinko.

2008-04-16  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-remind): Don't clobber `date' passed
	by diary-sexp-entry.

2008-04-16  Markus Triska  <markus.triska@gmx.at>

	* proced.el (proced-command-alist): Add support for darwin.

2008-04-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* proced.el (proced-mode): Redefine as just the major-mode.
	(proced): Separate it from proced-mode.

	* vc.el: Rename vc-status to vc-dir and the vc-status var to vc-ewoc.

2008-04-15  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el: Honor the `indent-tabs-mode' setting from user.
	Suggested by Stephen Deasey <sdeasey@gmail.com>.  Honor also the
	`tab-width' setting from user.  New version 10.0.  Doc and docstring
	fix.
	(whitespace-style, whitespace-chars): Remove options.
	(whitespace-style-mark): New option, replace whitespace-style deleted
	option.  Fix docstring.
	(whitespace-style-color): New option, replace whitespace-chars deleted
	option.  Fix docstring.
	(whitespace-space, whitespace-hspace, whitespace-tab)
	(whitespace-newline, whitespace-trailing, whitespace-line)
	(whitespace-space-before-tab, whitespace-indentation, whitespace-empty)
	(whitespace-space-after-tab, whitespace-hspace-regexp)
	(whitespace-space-regexp, whitespace-tab-regexp)
	(whitespace-trailing-regexp, whitespace-empty-at-bob-regexp)
	(whitespace-empty-at-eob-regexp, whitespace-line-column)
	(whitespace-toggle-option-alist): Fix docstring.
	(whitespace-space-before-tab-regexp, whitespace-indentation-regexp)
	(whitespace-space-after-tab-regexp, whitespace-display-mappings): Fix
	docstring and initialization.
	(global-whitespace-mode): Autoloaded global minor mode.
	(whitespace-chars-value-list, whitespace-style-value-list)
	(whitespace-active-chars, whitespace-active-style)
	(whitespace-toggle-chars, whitespace-toggle-style): Remove vars.
	(whitespace-color-value-list): New var, replace
	whitespace-chars-value-list removed var.
	(whitespace-mark-value-list): New var, replace
	whitespace-style-value-list removed var.
	(whitespace-active-color): New var, replace whitespace-active-chars
	removed var.
	(whitespace-active-mark): New var, replace whitespace-active-style
	removed var.
	(whitespace-toggle-color): New var, replace whitespace-toggle-chars
	removed var.
	(whitespace-toggle-mark): New var, replace whitespace-toggle-style
	removed var.
	(whitespace-toggle-option-alist, whitespace-report-list)
	(whitespace-report-text, whitespace-help-text): Fix initialization.
	(whitespace-indent-tabs-mode, whitespace-tab-width): New vars.
	(whitespace-toggle-options, global-whitespace-toggle-options)
	(whitespace-cleanup-region, whitespace-report-region)
	(whitespace-interactive-char): Fix docstring and code.
	(whitespace-cleanup, whitespace-report): Fix docstring.
	(whitespace-replace-spaces-by-tabs): Remove fun.
	(whitespace-replace-action): New fun, replace
	whitespace-replace-spaces-by-tabs removed fun.
	(whitespace-regexp, whitespace-indentation-regexp)
	(whitespace-space-after-tab-regexp, whitespace-insert-value)
	(whitespace-kill-buffer): New funs.
	(whitespace-insert-option-mark, whitespace-help-on)
	(whitespace-help-off, whitespace-turn-on, whitespace-turn-off)
	(whitespace-color-on, whitespace-color-off)
	(whitespace-display-char-on): Fix code.

2008-04-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mouse-drag.el (mouse-throw-magnifier-with-scroll-bar)
	(mouse-throw-magnifier-with-mouse-movement): Remove.
	(mouse-throw-magnifier-base): New const.
	(mouse-drag-scroll-delta): New fun.
	(mouse-drag-throw): Use it.

2008-04-15  Juanma Barranquero  <lekktu@gmail.com>

	* international/uni-bidi.el, international/uni-category.el:
	* international/uni-combining.el, international/uni-comment.el:
	* international/uni-decimal.el, international/uni-decomposition.el:
	* international/uni-digit.el, international/uni-lowercase.el:
	* international/uni-mirrored.el, international/uni-name.el:
	* international/uni-numeric.el, international/uni-old-name.el:
	* international/uni-titlecase.el, international/uni-uppercase.el:
	* international/charprop.el: Regenerate.

2008-04-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-status-fileinfo): Add new member directoryp.
	(vc-default-status-printer): Print directories.
	(vc-status-update): Sort files before subdirectories.

	* vc-cvs.el (vc-cvs-after-dir-status, vc-cvs-dir-status):
	Add alternative implementation based on "cvs update".

2008-04-15  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el: Changed requirements section to tell that only one
	of dvipdf or dvipdfm is needed.
	(doc-view-already-converted-p): Fix bug that forced reconversion
	if doc was already converted.

2008-04-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (minibuffer-message):
	Make sure we can put-text-property.

	* emacs-lisp/crm.el: Complete rewrite.

	* tmm.el (tmm-completion-delete-prompt): Don't hardcode point-min==1.
	(tmm-add-prompt): Make sure completion-setup-hook is preserved even in
	case of an error in display-completion-list.

	* filecache.el (file-cache-completions-keymap): Move init from
	file-cache-completion-setup-function into declaration.
	(file-cache-minibuffer-complete): Simplify.
	(file-cache-completion-setup-function): Use standard-output,
	preserve current-buffer.

	* vc.el (vc-status-update): Fix typo.
	(vc-status-update): Set needs-update.
	(vc-status-refresh): η-reduce.

2008-04-14  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-mode-map): Bind C-a to image-bol and C-e
	to image-eol.

2008-04-14  Alexandre Julliard  <julliard@winehq.org>

	* vc.el (vc-status-update): Undo the previous revert.

2008-04-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-table-with-terminator): Those completions
	are never valid w.r.t test-completion.
	(completion--file-name-table):
	Check completion-all-completions-with-base-size.

2008-04-14  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-dvipdf-program): New variable.
	(doc-view-dvipdfm-program): Mention doc-view-dvipdf-program.
	(doc-view-mode-p): Check for doc-view-dvipdf-program as
	alternative for doc-view-dvipdfm-program.
	(doc-view-dvi->pdf): Prefer dvipdf over dvipdfm.

	* doc-view.el (doc-view-start-process): Don't set
	default-directory to "~/" if the current value is valid.
	This broke PS files that run other files in the same directory.

2008-04-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-status-kill-query): New function.
	(vc-status-mode): Add it to kill-buffer-query-functions.
	(vc-status-show-fileentry): New function.
	(vc-status-menu-map): Bind it.  Bind vc-next-action.

2008-04-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (minibuffer-message): Put cursor at the right place.

2008-04-13  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-send-signal): Fix error recognition.

2008-04-13  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el (proced-command-alist): Remove sort column.
	(proced-command, proced-procname-column):
	Use make-variable-buffer-local.
	(proced-signal-function): Rename from proced-kill-program.
	Allow for elisp symbols and string values representing system calls.
	(proced-marker-regexp, proced-success-message): New functions.
	(proced): Use defalias.  Add autoload cookie.
	(proced-unmark-backward, proced-toggle-marks)
	(proced-hide-processes): New commands.
	(proced-do-mark): Simplify code.
	(proced-insert-mark): Use optional arg BACKWARD instead of line number.
	(proced-update): Remove sorting.
	(proced-send-signal): Display number of processes to operate on.
	Allow for system calls or elisp functions to send signals.
	Check if signal was sent successfully.

2008-04-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-all-completion-with-base-size): New var.
	(completion--some): New function.
	(completion-table-with-context, completion--file-name-table):
	Return the base-size if requested.
	(completion-table-in-turn): Generalize to multiple arguments.
	(complete-in-turn): Compatibility alias.
	(completion-styles-alist): New var.
	(completion-styles): New customization.
	(minibuffer-try-completion, minibuffer-all-completions):
	New functions.
	(minibuffer--do-completion, minibuffer-complete-and-exit)
	(minibuffer-try-word-completion): Use them.
	(display-completion-list, minibuffer-completion-help): Use them.
	Handle all-completions's new base-size info to set completion-base-size.
	* info.el (Info-read-node-name-1): Use completion-table-with-context,
	completion-table-with-terminator and complete-with-action.
	Remove the now obsolete completion-base-size-function property.
	* simple.el (completion-list-mode-map): Move init into declaration.
	(completion-list-mode): Use define-derived-mode.
	(completion-setup-function): Use any completion-base-size that may
	have been set before.  Remove handling of completion-base-size-function.
	* loadup.el: Move abbrev.el up earlier.

2008-04-13  Alexandre Julliard  <julliard@winehq.org>

	* vc-git.el (vc-git-after-dir-status-stage)
	(vc-git-dir-status-goto-stage): New functions.
	(vc-git-after-dir-status-stage1)
	(vc-git-after-dir-status-stage1-empty-db)
	(vc-git-after-dir-status-stage2): Remove, functionality moved
	into the new generic stage functions.
	(vc-git-dir-status-files): New function.

	* vc.el (vc-status-update): Revert an incorrect rewrite.
	Add some comments.
	(vc-status-refresh-files): New function.
	(vc-status-refresh): Use `vc-status-refresh-files' to refresh the
	state of up-to-date files.
	(vc-default-dir-status-files): New function.

2008-04-13  Juanma Barranquero  <lekktu@gmail.com>

	* minibuffer.el (completion--embedded-envvar-table)
	(read-file-name-internal): Fix typos in 2008-04-11 change.

	* faces.el (read-face-name): Use `completion-table-in-turn',
	not `complete-in-turn'.

2008-04-13  Andreas Schwab  <schwab@suse.de>

	* progmodes/etags.el: Require 'cl when compiling.

2008-04-12  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-menu-map): Expand tooltip.

	* progmodes/gdb-ui.el (gdb-find-source-frame): Improve doc string.
	(menu): Add/expand menu tooltips.

2008-04-12  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/sh-script.el (sh-show-indent): Fix typo.
	(sh-mode-map): Add a toggle for inserting braces and quotes in pairs.

	* vc-cvs.el (vc-cvs-registered): Allow removed files to be
	considered registered.

2008-04-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* emacs-lisp/copyright.el (copyright-update-directory): New command.

	* ediff-wind.el (ediff-split-window-function)
	(ediff-merge-split-window-function): Improve custom type.

2008-04-12  Eli Zaretskii  <eliz@gnu.org>

	* loadup.el ("minibuffer"): Move after "faces".

2008-04-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/hideif.el (hif-factor): Handle unary minus.

2008-04-12  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-china.el (chinese-calendar-time-zone):
	Mark obsolete name as risky too.

	* calendar/calendar.el (calendar-faces): New custom group.
	(calendar-today, diary, holiday): Doc fix.
	Move to calendar-faces group.
	* calendar/diary-lib.el (diary-face, diary-anniversary, diary-time)
	(diary-button): Doc fix.  Move to calendar-faces group.

	* emacs-lisp/byte-run.el (define-obsolete-variable-alias): Doc fix.
	* desktop.el, files.el, hilit-chg.el, ibuffer.el, iswitchb.el:
	* pcvs-info.el, recentf.el, speedbar.el, calendar/cal-china.el:
	* calendar/cal-hebrew.el, calendar/cal-x.el, calendar/calendar.el
	* calendar/diary-lib.el, net/net-utils.el, progmodes/gud.el:
	Move non-autoloaded define-obsolete-variable-alias calls for defcustoms
	not in dumped files before the associated defcustom.

2008-04-11  Johan Bockgård  <bojohan@gnu.org>

	* minibuffer.el (lazy-completion-table): Fix debug spec.

2008-04-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (complete-with-action, lazy-completion-table):
	Move from subr.el.
	(apply-partially, completion-table-dynamic)
	(completion-table-with-context, completion-table-with-terminator)
	(completion-table-in-turn): New funs.
	(completion--make-envvar-table, completion--embedded-envvar-table):
	New funs.
	(read-file-name-internal): Use them.
	(completion-setup-hook): Move from simple.el.
	* subr.el (complete-with-action, lazy-completion-table):
	* simple.el (completion-setup-hook): Move to minibuffer.el.

2008-04-11  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (AUTOGENEL): Add calc/calc-loaddefs.el.

2008-04-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-mode): Don't mess with hippie-expand.

	* Makefile.in (bootstrap-prepare): Make tpu-edt.el writable as well.

	* textmodes/fill.el (fill-forward-paragraph-function): New var.
	(fill-forward-paragraph): New fun.
	(fill-paragraph, fill-region): Use it.

	* vc.el: Change `dir-status' to not take (and pass) status-buffer.
	(vc-status-create-fileinfo): Make `extra' optional.
	(vc-status-busy): New fun.
	(vc-status-menu-map): Use it.
	(vc-status-crt-marked): Remove.
	(vc-status-update): Rename from vc-status-add-entries.
	Add argument so as to prevent addition of entries.  Rewrite.
	(vc-update-vc-status-buffer): Remove.
	(vc-status-refresh): Don't remove old entries, set them to
	up-to-date instead.  Also do it after the update is complete.
	(vc-status-marked-files): η-reduce.

	* dired.el (dired-read-dir-and-switches): Use read-directory-name even
	for non-dialogs.

	* Makefile.in (bootstrap-prepare): Don't copy ldefs-boot over loaddefs.

	* loadup.el: Load ldefs-boot.el if loaddefs.el doesn't exist.

2008-04-11  Jan Djärv  <jan.h.d@swipnet.se>

	* tooltip.el (tooltip-show-help-non-mode): Set message-truncate-lines
	to t and don't truncate msg.

2008-04-11  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (diary, holidays):
	Move custom groups to other files.
	(holiday-general-holidays, holiday-oriental-holidays)
	(holiday-local-holidays, holiday-other-holidays, hebrew-holidays-1)
	(hebrew-holidays-2, hebrew-holidays-3, hebrew-holidays-4)
	(holiday-hebrew-holidays, holiday-christian-holidays)
	(holiday-islamic-holidays, holiday-bahai-holidays)
	(holiday-solar-holidays, calendar-holidays): Move to holidays.el.
	* calendar/diary-lib.el: Move custom group here from calendar.el.
	* calendar/holidays-lib.el: Move custom group and variables here
	from calendar.el.

	* calendar/cal-china.el (calendar-chinese-time-zone): Mark as risky.

	* calendar/cal-dst.el (calendar-dst-check-each-year-flag):
	Fix custom group.
	(calendar-current-time-zone-cache): Autoload riskiness.

	* calendar/cal-tex.el (cal-tex-preamble-extra): Fix custom type.

2008-04-11  Chong Yidong  <cyd@stupidchicken.com>

	* woman.el (woman2-TH): Use string-equal instead of string-match.

2008-04-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el (smerge-apply-resolution-patch): Fix typo.
	(smerge-resolve): Merge the "2-way refinement" case with one half of
	the "mere whitespace" resolution.

2008-04-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-after-dir-status): Detect the conflict state.

2008-04-10  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (assoc-ignore-case, assoc-ignore-representation):
	Add WHEN to obsolescence declaration.

	* makefile.w32-in (AUTOGENEL): Add calc-loaddefs.el.

2008-04-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hooks.el (vc-state): Add new state `conflict'.
	(vc-after-save): Use when not if.
	(vc-default-mode-line-string): Deal with the conflict state.
	(vc-prefix-map, vc-menu-map): Bind vc-status instead of vc-directory.

	* vc.el (vc-editable-p, vc-default-status-printer)
	(vc-next-action): Deal with the conflict state.
	(vc-mark-resolved): New function.
	(vc-status-mode): Fix mode name.
	(vc-default-comment-history): Use when not if.
	(Todo): Add new entries, remove old ones.

	* vc-cvs.el (vc-cvs-merge, vc-cvs-merge-news): Set conflict state.
	(vc-cvs-parse-status, vc-cvs-after-dir-status):
	* vc-svn.el (vc-svn-after-dir-status, vc-svn-parse-status):
	Detect the conflict state.

	* vc-hg.el (vc-hg-dir-status): Remove unneeded call.

2008-04-10  Glenn Morris  <rgm@gnu.org>

	* menu-bar.el (menu-bar-options-menu) <truncate-lines>:
	Respect truncate-partial-width-windows in non-full windows,
	with regards to :toggle and :enable state.

	* simple.el (toggle-truncate-lines): Doc fix.

	* Makefile.in (MH_E_DIR): New variable.
	(MH_E_SRC): Restore variable removed 2008-03-13.
	(mh-loaddefs.el): Depend on $MH_E_SRC.
	(CAL_DIR, CAL_SRC): New variables.
	(cal-loaddefs.el, diary-loaddefs.el, hol-loaddefs.el):
	Depend on CAL_SRC.

	* calendar/calendar.el (calendar, diary): Add :prefix.
	(holidays): Change :prefix.
	(calendar-today, holiday, calendar-holiday-marker)
	(european-calendar-style): Change custom groups.

	* calendar/calendar.el (diary-hook, diary-display-hook):
	Move to diary-lib.el.
	* calendar/diary-lib.el (diary-hook, diary-display-hook):
	Move here from calendar.el.
	* calendar/appt.el: Require diary-lib rather than calendar.
	* calendar/cal-x.el (diary-display-hook): Declare for compiler.

	* calendar/appt.el (appt): Add :prefix.

	* calendar/diary-lib.el (diary-hook): Doc fix.
	(diary-mark-sexp-entries): Fix replacement of calendar-for-loop.

2008-04-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (minibuffer--double-dollars, read-file-name-internal):
	New functions.

	* minibuffer.el (minibuffer--do-completion): Don't forget to propagate
	the arg to recursive calls.

2008-04-09  Juanma Barranquero  <lekktu@gmail.com>

	* minibuffer.el (completion-auto-help): Fix typo.

2008-04-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-cvs.el (vc-cvs-diff-tree): Remove unused function.

2008-04-09  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-find-file-name-coding-system-alist): New defun.
	(tramp-handle-insert-file-contents, tramp-handle-write-region): Use it.

2008-04-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-default-mode-line-string): Use ? for missing.

	* minibuffer.el (minibuffer): Move group from cus-edit.el.
	(completion-auto-help): Move from C code.
	(minibuffer--maybe-completion-help): Remove.
	(minibuffer--bitset): New function.
	(minibuffer--do-completion): Rename from minibuffer-do-completion.
	Renumber a bit.  Really complete on string *before* point.
	Add argument used for word-completion.
	Join trailing / in completion with following text, as done in
	minibuffer-complete-word.
	Handle new value `lazy' for completion-auto-help.
	(minibuffer-try-word-completion): New function extracted from
	minibuffer-complete-word.
	(minibuffer-complete-word): Use minibuffer--do-completion.
	(minibuffer--insert-strings): Rename from
	minibuffer-complete-insert-strings.
	(exit-minibuffer): Fix typo.
	* cus-edit.el (minibuffer): Move group to minibuffer.el.
	* cus-start.el: Remove completion-auto-help.

2008-04-09  Alexandre Julliard  <julliard@winehq.org>

	* vc.el (vc-status-add-entries): New function.
	(vc-status-add-entry): Remove.
	(vc-update-vc-status-buffer, vc-status-mark-buffer-changed):
	Use vc-status-add-entries.

	* emacs-lisp/ewoc.el (ewoc-collect): Return results in the correct
	order.

2008-04-09  Jason Rumney  <jasonr@gnu.org>

	* makefile.w32-in (LOADDEFS): Add mh-loaddefs.el.
	($(lisp)/mh-e/mh-loaddefs.el): Simplify rule.
	(pre-mh-loaddefs.el-CMD, pre-mh-loaddefs.el-SH): Remove.
	(AUTOGENEL): New variable.
	(distclean, maintainer-clean): New targets.

2008-04-09  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/regexp-opt.el (regexp-opt):
	Reduce max-lisp-eval-depth and max-specpdl-size to 10000.

2008-04-09  Lennart Borgman  <lennart.borgman@gmail.com>

	* nxml/nxml-mode.el (nxml-cleanup): New function.
	(nxml-mode): Add it to change-major-mode-hook.

2008-04-09  Jan Djärv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-gtk-stock-map): Map info to gtk-info.

2008-04-09  Juanma Barranquero  <lekktu@gmail.com>

	* calc/.cvsignore: New file.

2008-04-09  Jan Djärv  <jan.h.d@swipnet.se>

	* vc.el (vc-status-tool-bar-map): Add vc-print-log to tool bar.

	* tooltip.el (tooltip-mode): Set tooltip-show-help-non-mode as
	show-help-function when turning tooltip off.
	(tooltip-show): Call tooltip-show-help-non-mode if use-echo-area.
	(tooltip-trunc-str, tooltip-show-help-non-mode): New.

2008-04-09  Alan Mackenzie  <acm@muc.de>

	* font-lock.el (font-lock-extend-after-change-region-function):
	Make it buffer local.

2008-04-09  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (diary-file, european-calendar-style):
	Remove autoload cookies.

2008-04-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* outline.el (outline-mode-menu-bar-map):
	* log-view.el (log-view-mode-menu):
	* log-edit.el (log-edit-menu): Add :help.

2008-04-09  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/regexp-opt.el (regexp-opt-group):
	Use substring-no-properties for correct handling of unibyte strings.

2008-04-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* add-log.el (change-log-next-buffer): Handle the case where version<
	signals an error.

	* mouse.el (mouse-menu-major-mode-map): New fun extracted from
	mouse-major-mode-menu.
	(mouse-menu-bar-map): New fun extracted from mouse-popup-menubar.
	(mouse-major-mode-menu, mouse-popup-menubar)
	(mouse-popup-menubar-stuff): Use them.
	(C-down-mouse-3): Bind to a dynamic map rather than to
	mouse-popup-menubar-stuff.

	* bindings.el (mode-line-major-mode-keymap): Bind down-mouse-1
	to mouse-menu-major-mode-map rather than to mouse-major-mode-menu.

2008-04-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-svn.el (vc-svn-modify-change-comment): Add support for the
	file:// access method.

2008-04-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el: New file.
	* loadup.el: Load it.

2008-04-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in ($(lisp)/mh-e/mh-loaddefs.el): Make it depend on mh-e/*.el
	rather than subdirs.el.  It introduces an ugly circular dependency, tho.

	* calc/calc.el: Load "calc-loaddefs" rather than set up manual autoloads.
	(calc-mode-map, calc-digit-map, calc-dispatch-map):
	Move initialization into declaration.
	* calc/calc-yank.el:
	* calc/calc-misc.el:
	* calc/calc-embed.el:
	* calc/calc-aent.el: Add autoload cookies.  Set generated-autoload-file.

2008-04-08  Michael Albinus  <michael.albinus@gmx.de>

	* ps-samp.el (ps-add-printer, ps-remove-printer)
	(ps-make-dynamic-printer-menu): New functions.

	* net/zeroconf.el: New file.

2008-04-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* calendar/cal-hebrew.el (calendar-hebrew-list-yahrzeits): Typo.

2008-04-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-rcs.el (vc-rcs-modify-change-comment):
	* vc-cvs.el (vc-cvs-modify-change-comment): Fix argument order.

	* log-view.el (log-view-mode-menu): Bind log-view-modify-change-comment.

2008-04-08  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-cmds.el (set-locale-environment): Don't warn if
	coding system doesn't agree with system locale (this reverts changes
	by Dave Love, dated 2002-10-27 and 2002-10-09).

	* emacs-lisp/checkdoc.el (checkdoc-this-string-valid-engine):
	* emacs-lisp/cl-macs.el (get-setf-method): Use `string-match-p'.

	* emacs-lisp/copyright.el (copyright-update-year): Use `looking-at-p'.

2008-04-08  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (calendar-date-style): Remove autoload cookie.
	* textmodes/remember.el (remember-diary-convert-entry):
	Require calendar.

	* textmodes/remember.el (remember-diary-extract-entries): Don't pass
	diary-file, since it is the default for make-diary-entry anyway.

	* calendar/cal-menu.el (cal-menu-event-to-date):
	Rename calendar-event-to-date.  Update callers.
	(calendar-mouse-tex-day): Rename cal-tex-mouse-day.
	(calendar-mouse-tex-week): Rename cal-tex-mouse-week.
	(calendar-mouse-tex-week2): Rename cal-tex-mouse-week2.
	(calendar-mouse-tex-week-iso): Rename cal-tex-mouse-week-iso.
	(calendar-mouse-tex-week-monday): Rename cal-tex-mouse-week-monday.
	(calendar-mouse-tex-filofax-daily): Rename cal-tex-mouse-filofax-daily.
	(calendar-mouse-tex-filofax-2week): Rename cal-tex-mouse-filofax-2week.
	(calendar-mouse-tex-filofax-week): Rename cal-tex-mouse-filofax-week.
	(calendar-mouse-tex-month): Rename cal-tex-mouse-month.
	(calendar-mouse-tex-month-landscape):
	Rename cal-tex-mouse-month-landscape.
	(calendar-mouse-tex-year): Rename cal-tex-mouse-year.
	(calendar-mouse-tex-filofax-year): Rename cal-tex-mouse-filofax-year.
	(calendar-mouse-tex-year-landscape):
	Rename cal-tex-mouse-year-landscape.
	(cal-menu-context-mouse-menu): Update for above name changes.

	* calendar/cal-bahai.el, calendar/cal-china.el, calendar/cal-coptic.el:
	* calendar/cal-french.el, calendar/cal-hebrew.el, calendar/cal-islam.el:
	* calendar/cal-iso.el, calendar/cal-julian.el, calendar/cal-move.el:
	* calendar/cal-persia.el, calendar/cal-tex.el, calendar/calendar.el:
	* calendar/holidays.el: Replace int-to-string with number-to-string.

2008-04-08  Chong Yidong  <cyd@stupidchicken.com>

	* mwheel.el (mwheel-scroll): Deactivate any temporarily active
	region if point moves.

2008-04-08  Kenichi Handa  <handa@m17n.org>

	* faces.el (font-slant-table): Change numeric values for `r',
	`roman', and `normal'.

2008-04-07  Vincent Belaïche  <vincent.b.1@hotmail.fr>

	* calc/calc-vec.el (calcFunc-kron, calc-kron): New functions.

2008-04-07  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-ext.el (calc-init-extensions): Add `calc-kron' and
	`calcFunc-kron' to autoloads.  Add keybinding for `calc-kron'.

2008-04-07  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-methods): Fix again tramp-copy-args of
	"pscp" and "psftp".  Reported by Gilles Pion <gpion@lfdj.com>.

2008-04-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* dired-aux.el (dired-read-shell-command): Use read-shell-command.

2008-04-07  Sam Steingold  <sds@gnu.org>

	* progmodes/inf-lisp.el (lisp-compile-string, lisp-eval-string):
	Add helper functions.
	(lisp-do-defun): Extract the common part of lisp-eval-defun and
	lisp-compile-defun; DEFVAR forms reset the variables to the init
	values, just like in emacs-lisp mode eval-defun.
	(lisp-eval-defun, lisp-compile-defun): Use lisp-do-defun.
	(lisp-compile-region): Use lisp-compile-string.

2008-04-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (combine-and-quote-strings): Also quote strings that contain
	the separator.

	* pcvs-util.el (cvs-map): Avoid recursion :-(

2008-04-07  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (calendar-mode-map): Replace use of kbd.

	* calendar.el (diary-view-entries-initially-flag): Rename
	view-diary-entries-initially.  Keep old name as alias, update users.
	(calendar-mark-diary-entries-flag): Rename
	mark-diary-entries-in-calendar.  Keep old name as alias, update users.
	(calendar-view-holidays-initially-flag): Rename
	view-calendar-holidays-initially.  Keep old name as alias, update users.
	(calendar-mark-holidays-flag): Rename mark-holidays-in-calendar.
	Keep old name as alias, update users.
	(calendar-initial-window-hook): Rename initial-calendar-window-hook.
	Keep old name as alias, update users.
	(calendar-today-visible-hook): Rename today-visible-calendar-hook.
	Keep old name as alias, update users.
	(calendar-today-invisible-hook): Rename today-invisible-calendar-hook.
	Keep old name as alias, update users.
	(diary-iso-date-forms): Rename iso-date-diary-pattern.  Update users.
	(diary-american-date-forms): Rename american-date-diary-pattern.
	Keep old name as alias, update users.
	(diary-european-date-forms): Rename european-date-diary-pattern.
	Keep old name as alias, update users.
	(calendar-iso-date-display-form): Rename iso-calendar-display-form.
	Keep old name as alias, update users.
	(calendar-european-date-display-form): Rename
	european-calendar-display-form.  Keep old name as alias, update users.
	(calendar-american-date-display-form): Rename
	european-calendar-display-form.  Keep old name as alias, update users.
	(diary-show-holidays-flag): Rename holidays-in-diary-buffer.
	Keep old name as alias, update users.
	(holiday-general-holidays): Rename general-holidays.
	Keep old name as alias, update users.
	(holiday-oriental-holidays): Rename oriental-holidays.
	Keep old name as alias, update users.
	(holiday-local-holidays): Rename local-holidays.
	Keep old name as alias, update users.
	(holiday-other-holidays): Rename other-holidays.
	Keep old name as alias, update users.
	(holiday-hebrew-holidays): Rename hebrew-holidays.
	Keep old name as alias, update users.
	(holiday-christian-holidays): Rename christian-holidays.
	Keep old name as alias, update users.
	(holiday-islamic-holidays): Rename islamic-holidays.
	Keep old name as alias, update users.
	(holiday-bahai-holidays): Rename bahai-holidays.
	Keep old name as alias, update users.
	(holiday-solar-holidays): Rename solar-holidays.
	Keep old name as alias, update users.
	(diary-fancy-buffer): Rename fancy-diary-buffer.
	Keep old name as alias, update users.
	(calendar-other-calendars-buffer): Rename other-calendars-buffer.
	Update users.
	(calendar-hebrew-yahrzeit-buffer): Rename cal-hebrew-yahrzeit-buffer.
	Update users.
	(calendar-increment-month): Rename increment-calendar-month.
	Keep old name as alias, update callers.
	(calendar-increment-month-cons): Rename old calendar-increment-month.
	Update callers.
	(calendar-extract-month): Rename extract-calendar-month.
	Keep old name as alias, update callers.
	(calendar-extract-day): Rename extract-calendar-day.
	Keep old name as alias, update callers.
	(calendar-extract-year): Rename extract-calendar-year.
	Keep old name as alias, update callers.
	(calendar-generate-window): Rename generate-calendar-window.
	Update callers.
	(calendar-generate): Rename generate-calendar.  Update callers.
	(calendar-generate-month): Rename generate-calendar-month.
	Update callers.
	(calendar-redraw): Rename redraw-calendar.  Update callers.
	(calendar-describe-mode): Rename describe-calendar-mode.  Update uses.
	(calendar-mouse-other-month): Rename mouse-calendar-other-month.
	Update callers.
	(calendar-update-mode-line): Rename update-calendar-mode-line.
	Update callers.
	(calendar-exit): Rename exit-calendar.  Keep old name as alias,
	update callers.
	(calendar-mark-visible-date): Rename mark-visible-calendar-date.
	Keep old name as alias, update callers.
	* calendar/cal-bahai.el, calendar/cal-china.el, calendar/cal-coptic.el:
	* calendar/cal-dst.el, calendar/cal-french.el, calendar/cal-hebrew.el:
	* calendar/cal-html.el, calendar/cal-islam.el, calendar/cal-iso.el:
	* calendar/cal-julian.el, calendar/cal-menu.el, calendar/cal-move.el:
	* calendar/cal-persia.el, calendar/cal-tex.el, calendar/cal-x.el:
	* calendar/diary-lib.el, calendar/holidays.el, calendar/lunar.el:
	* calendar/solar.el: Update for calendar.el name changes.
	* org/org.el (org-agenda-format-date-aligned)
	(org-agenda-execute-calendar-command): Access date elements directly
	rather than using calendar functions.
	(org-read-date, org-goto-calendar, org-agenda-goto-calendar):
	Also set calendar-view-diary-initially-flag,
	calendar-view-holidays-initially-flag.
	(org-get-entries-from-diary): Also set diary-fancy-buffer.
	(org-agenda-execute-calendar-command): No need to set displayed-day.

2008-04-06  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-langs.el (c-before-font-lock-function): Correct a
	typo in the doc string.

	* progmodes/cc-mode.el (c-basic-common-init):
	Set font-lock-extend-after-change-region-function.
	(c-extend-after-change-region): New function, used in
	font-lock-extend-after-change-region-function, thus superseding
	advice on the Font Lock after change functions.
	(c-advise-fl-for-region): Remove this macro.

2008-04-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* textmodes/flyspell.el (flyspell-duplicate-distance):
	Improve custom type.

2008-04-06  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-sexp-entry-symbol):
	Rename sexp-diary-entry-symbol.  Keep old name as alias, update users.
	(diary-list-entries-hook): Rename list-diary-entries-hook.
	Keep old name as alias, update users.
	(diary-mark-entries-hook): Rename mark-diary-entries-hook.
	Keep old name as alias, update users.
	(diary-nongregorian-listing-hook): Rename
	nongregorian-diary-listing-hook.  Keep old name as alias, update users.
	(diary-nongregorian-marking-hook): Rename
	nongregorian-diary-marking-hook.  Keep old name as alias, update users.
	(diary-print-entries-hook): Rename print-diary-entries-hook.
	Keep old name as alias, update users.
	(diary-abbreviated-year-flag): Rename abbreviated-calendar-year.
	Keep old name as alias, update users.
	(diary-number-of-entries): Rename number-of-diary-entries.
	Keep old name as alias, update users.
	(view-diary-entries, list-diary-entries, show-all-diary-entries):
	Give version of obsolescence.
	(diary-view-other-diary-entries): Rename view-other-diary-entries.
	Keep old name as alias, update callers.
	(diary-add-to-list): Rename add-to-diary-list.  Keep old name as alias,
	update callers.
	(diary-include-other-diary-files): Rename include-other-diary-files.
	Keep old name as alias, update callers.
	(diary-simple-display): Rename simple-diary-display.
	Keep old name as alias, update callers.
	(diary-fancy-display): Rename fancy-diary-display.
	Keep old name as alias, update callers.
	(diary-print-entries): Rename print-diary-entries.
	Keep old name as alias, update callers.
	(diary-marking-entries-flag): Rename marking-diary-entries.
	Update users.
	(diary-marking-entry-flag): Rename marking-diary-entry.  Update users.
	(diary-mark-entries): Rename mark-diary-entries.
	Keep old name as alias, update callers.
	(diary-mark-sexp-entries): Rename mark-sexp-diary-entries.
	Keep old name as alias, update callers.
	(diary-mark-included-diary-files): Rename mark-included-diary-files.
	Keep old name as alias, update callers.
	(calendar-mark-days-named): Rename mark-calendar-days-named.
	Keep old name as alias, update callers.
	(calendar-mark-month): Rename mark-calendar-month.
	Keep old name as alias, update callers.
	(calendar-mark-date-pattern): Rename mark-calendar-date-pattern.
	Keep old name as alias, update callers.
	(diary-sort-entries): Rename sort-diary-entries.
	Keep old name as alias, update callers.
	(diary-list-sexp-entries): Rename list-sexp-diary-entries.
	Keep old name as alias, update callers.
	(diary-make-entry): Rename make-diary-entry.  Keep old name as alias,
	update callers.
	(diary-insert-entry): Rename insert-diary-entry.
	Keep old name as alias.
	(diary-insert-weekly-entry): Rename insert-weekly-diary-entry.
	Keep old name as alias.
	(diary-insert-monthly-entry): Rename insert-monthly-diary-entry.
	Keep old name as alias.
	(diary-insert-yearly-entry): Rename insert-yearly-diary-entry.
	Keep old name as alias.
	(diary-insert-anniversary-entry): Rename insert-anniversary-diary-entry.
	Keep old name as alias.
	(diary-insert-block-entry): Rename insert-block-diary-entry.
	Keep old name as alias.
	(diary-insert-cyclic-entry): Rename insert-cyclic-diary-entry.
	Keep old name as alias.
	(diary-fancy-font-lock-keywords): Rename fancy-diary-font-lock-keywords.
	Keep old name as alias, update users.
	(diary-fancy-display-mode): Rename fancy-diary-display-mode.
	Keep old name as alias, update callers.
	* calendar/cal-bahai.el, calendar/cal-hebrew.el, calendar/cal-islam.el:
	* calendar/cal-menu.el, calendar/cal-x.el, calendar/calendar.el:
	* calendar/icalendar.el: Update for diary-lib name changes.

2008-04-06  Chong Yidong  <cyd@stupidchicken.com>

	* dired-aux.el (dired-overwrite-confirmed): Revert last change.

	* dired.el (dired-dnd-handle-local-file): Obey dired-backup-overwrite
	for copy, move, and link operations.

2008-04-06  Michael Kifer  <kifer@cs.stonybrook.edu>

	* emulation/viper-init.el, emulation/viper-ex.el, emulation/viper-cmd.el
	(viper-search-wrap-around-t): Replace with viper-search-wrap-around.

	* ediff-util.el, ediff-vers.el, ediff-wind.el: Replace 3-argument
	'require' statements with 1-argument ones (wrapped in if's).
	For compatibility with the current stable version of XEmacs.

2008-04-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-status-prepare-status-buffer): Reset vc-parent-buffer-name.

2008-04-06  Jason Rumney  <jasonr@gnu.org>

	* language/burmese.el ("Burmese"): Make sample text consistent with
	language name.

2008-04-06  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb): New group.
	(gdb-debug-log-max, gdb-enable-debug)
	(gdb-cpp-define-alist-program, gdb-cpp-define-alist-flags)
	(gdb-show-main, gdb-many-windows, gdb-use-separate-io-buffer)
	(gdb-speedbar-auto-raise, gdb-use-colon-colon-notation)
	(gdb-show-changed-values, gdb-max-children)
	(gdb-delete-out-of-scope, gdb-same-frame, gdb-find-source-frame)
	(breakpoint-enabled, breakpoint-disabled, gdb-max-frames)
	(gdb-all-registers, gdb-memory-repeat-count, gdb-memory-format)
	(gdb-memory-unit): Move to new group from GUD group.
	(menu): Allow customization from GDB-UI menu-item.

2008-04-05  Chong Yidong  <cyd@stupidchicken.com>

	* dired-aux.el (dired-overwrite-confirmed): Supply initial value.

2008-04-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el (vc-bzr-log-view-mode, vc-bzr-annotate-command)
	(vc-bzr-annotate-time, vc-bzr-annotate-extract-revision-at-line):
	Revision numbers can include ".".

	* diff-mode.el (diff-end-of-hunk): Be careful not to overlook trailing
	"+" lines not accounted for by counting "-" and context lines.

2008-04-05  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-service-open-file): Use file URL instead of
	file name string.

2008-04-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el (vc-bzr-annotate-command): Preserve line alignment.
	(vc-bzr-annotate-time): Accept space used to preserve alignment.

2008-04-05  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/advice.el (defadvice): Add usage pattern.

2008-04-05  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el: Add advice about using Cygwin GDB (from a
	thread in [h-e-w]).

2008-04-05  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (abort-if-file-too-large): Fix typo in docstring.

2008-04-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (functionp): Return nil for special forms.

2008-04-05  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/autoload.el (autoload-ensure-default-file):
	Provide a feature.
	* calendar/calendar.el, calendar/diary-lib.el, calendar/holidays.el:
	Require loaddef file rather than loading it.
	* Makefile.in ($(lisp)/mh-e/mh-loaddefs.el): Simplify rule now that
	autoload-ensure-default-file provides a feature.

	* Makefile.in (LOADDEFS): Add mh-loaddefs.el.
	(AUTOGENEL): mh-loaddefs is in $LOADDEFS now.
	(compile, compile-always, recompile): Use $LOADDEFS.
	(cal-autoloads): Remove.

	* calendar/cal-x.el (calendar-dedicate-diary): Use get-buffer rather
	than buffer-live-p.  Reported by David Koppelman <koppel@ece.lsu.edu>.

	* calendar/calendar.el (hebrew-holidays-1, hebrew-holidays-2)
	(hebrew-holidays-3, hebrew-holidays-4): Don't autoload obsolescence.

	* calendar/calendar.el (diary-hebrew-entry-symbol):
	Rename hebrew-diary-entry-symbol.  Keep old name as alias.
	(diary-islamic-entry-symbol): Rename islamic-diary-entry-symbol.
	Keep old name as alias.
	(diary-bahai-entry-symbol): Rename bahai-diary-entry-symbol.
	Keep old name as alias.
	* calendar/cal-bahai.el: Update for rename bahai-diary-entry-symbol
	to diary-bahai-entry-symbol.
	* calendar/cal-hebrew.el: Update for rename hebrew-diary-entry-symbol
	to diary-hebrew-entry-symbol.
	* calendar/cal-islam.el: Update for rename islamic-diary-entry-symbol
	to diary-islamic-entry-symbol.
	* calendar/diary-lib.el: Update for diary-entry-symbol renames.

	* calendar/solar.el (diary-sabbath-candles-minutes)
	(diary-sabbath-candles): Move to cal-hebrew.
	* calendar/cal-hebrew.el (diary-hebrew-sabbath-candles-minutes)
	(diary-hebrew-sabbath-candles): Move here from solar.el and rename.
	Doc fix.  Keep old name as alias.
	(diary-hebrew-sabbath-candles): Simplify.
	(solar-setup, solar-sunrise-sunset, calendar-latitude)
	(calendar-longitude, calendar-time-zone): Declare for compiler.
	* calendar/diary-lib.el (list-sexp-diary-entries): Update doc for
	rename.

	* calendar/cal-coptic.el (calendar-coptic-month-name-array):
	Rename coptic-calendar-month-name-array.  Update callers.
	(calendar-coptic-epoch): Rename coptic-calendar-epoch.  Update callers.
	(calendar-coptic-name): Rename coptic-name.  Update callers.
	(calendar-coptic-leap-year-p): Rename coptic-calendar-leap-year-p.
	Update callers.
	(calendar-coptic-last-day-of-month):
	Rename coptic-calendar-last-day-of-month.  Update callers.
	(calendar-coptic-to-absolute): Rename calendar-absolute-from-coptic.
	Keep old name as alias, update callers.
	(calendar-coptic-print-date): Rename calendar-print-coptic-date.
	Keep old name as alias, update callers.
	(calendar-coptic-goto-date): Rename calendar-goto-coptic-date.
	Keep old name as alias.
	(calendar-ethiopic-month-name-array):
	Rename ethiopic-calendar-month-name-array.  Update callers.
	(calendar-ethiopic-epoch): Rename ethiopic-calendar-epoch.
	Update callers.
	(calendar-ethiopic-name): Rename ethiopic-name.  Update callers.
	(calendar-ethiopic-to-absolute): Rename calendar-absolute-from-ethiopic.
	Keep old name as alias, update callers.
	(calendar-ethiopic-print-date): Rename calendar-print-ethiopic-date.
	Keep old name as alias, update callers.
	(calendar-ethiopic-goto-date): Rename calendar-goto-ethiopic-date.
	Keep old name as alias.

	* calendar/cal-french.el (calendar-french-epoch):
	Rename french-calendar-epoch.  Update callers.
	(calendar-french-month-name-array): Rename variable and function
	french-calendar-month-name-array.  Update callers.
	(calendar-french-multibyte-month-name-array):
	Rename french-calendar-multibyte-month-name-array.  Update callers.
	(calendar-french-day-name-array): Rename variable and function
	french-calendar-day-name-array.  Update callers.
	(calendar-french-special-days-array): Rename variable and function
	french-calendar-special-days-array.  Update callers.
	(calendar-french-multibyte-special-days-array):
	Rename french-calendar-multibyte-special-days-array.  Update callers.
	(calendar-french-accents-p): Rename french-calendar-accents.
	Update callers.
	(calendar-french-leap-year-p): Rename french-calendar-leap-year-p.
	Update callers.
	(calendar-french-last-day-of-month):
	Rename french-calendar-last-day-of-month.  Update callers.
	(calendar-french-to-absolute): Rename calendar-absolute-from-french.
	Keep old name as alias, update callers.
	(calendar-french-print-date): Rename calendar-print-french-date.
	Keep old name as alias, update callers.
	(calendar-french-goto-date): Rename calendar-goto-french-date.
	Keep old name as alias.

	* calendar/cal-menu.el, calendar/calendar.el:
	Update for Coptic and French name changes.

	* calendar/cal-china.el (calendar-chinese): Rename custom group
	from chinese-calendar.  Update users.
	(calendar-chinese-time-zone): Rename chinese-calendar-time-zone.
	Keep old name as alias, update users.
	(calendar-chinese-location-name): Rename chinese-calendar-location-name.
	Keep old name as alias.
	(calendar-chinese-daylight-time-offset):
	Rename chinese-calendar-daylight-time-offset.  Keep old name as alias,
	update users.
	(calendar-chinese-standard-time-zone-name):
	Rename chinese-calendar-standard-time-zone-name.
	Keep old name as alias, update users.
	(calendar-chinese-daylight-saving-start):
	Rename chinese-calendar-daylight-savings-starts.
	Keep old name as alias, update users.
	(calendar-chinese-daylight-saving-end):
	Rename chinese-calendar-daylight-savings-ends.  Keep old name as alias,
	update users.
	(calendar-chinese-daylight-saving-start-time):
	Rename chinese-calendar-daylight-savings-starts-time.
	Keep old name as alias, update users.
	(calendar-chinese-daylight-saving-end-time):
	Rename chinese-calendar-daylight-savings-ends-time.
	Keep old name as alias, update users.
	(calendar-chinese-celestial-stem): Rename
	calendar-chinese-celestial-stem.  Keep old name as alias, update users.
	(calendar-chinese-terrestrial-branch):
	Rename calendar-chinese-terrestrial-branch.  Keep old name as alias,
	update users.
	(calendar-chinese-zodiac-sign-on-or-after):
	Rename chinese-zodiac-sign-on-or-after.  Update callers.
	(calendar-chinese-new-moon-on-or-after):
	Rename chinese-new-moon-on-or-after.  Update callers.
	(calendar-chinese-month-list): Rename chinese-month-list.
	Update callers.
	(calendar-chinese-number-months): Rename number-chinese-months.
	Update callers.
	(calendar-chinese-compute-year): Rename compute-chinese-year.
	Update callers.
	(calendar-chinese-year-cache): Rename chinese-year-cache.  Update users.
	(calendar-chinese-year): Rename chinese-year.  Update callers.
	(calendar-chinese-year-cache-init): Rename chinese-year-cache-init.
	(calendar-chinese-to-absolute): Rename calendar-absolute-from-chinese.
	Keep old name as alias, update callers.
	(calendar-chinese-print-date): Rename calendar-print-chinese-date.
	Keep old name as alias, update callers.
	(calendar-chinese-months-to-alist):
	Rename make-chinese-month-assoc-list.  Update callers.
	(calendar-chinese-months): Rename chinese-months.  Update callers.
	(calendar-chinese-goto-date): Rename calendar-goto-chinese-date.
	Keep old name as alias, update callers.

	* calendar/cal-hebrew.el (calendar-hebrew-leap-year-p):
	Rename hebrew-calendar-leap-year-p.  Update callers.
	(calendar-hebrew-last-month-of-year):
	Rename hebrew-calendar-last-month-of-year.  Update callers.
	(calendar-hebrew-elapsed-days): Rename hebrew-calendar-elapsed-days.
	Update callers.
	(calendar-hebrew-days-in-year): Rename hebrew-calendar-days-in-year.
	Update callers.
	(calendar-hebrew-long-heshvan-p): Rename hebrew-calendar-long-heshvan-p.
	Update callers.
	(calendar-hebrew-short-kislev-p): Rename hebrew-calendar-short-kislev-p.
	Update callers.
	(calendar-hebrew-last-day-of-month):
	Rename hebrew-calendar-last-day-of-month.  Update callers.
	(calendar-hebrew-to-absolute): Rename calendar-absolute-from-hebrew.
	Keep old name as alias, update callers.
	(calendar-hebrew-print-date): Rename calendar-print-hebrew-date.
	Keep old name as alias, update callers.
	(calendar-hebrew-yahrzeit): Rename hebrew-calendar-yahrzeit.
	Keep old name as alias, update callers.
	(calendar-hebrew-goto-date): Rename calendar-goto-hebrew-date.
	Keep old name as alias.
	(holiday-hebrew-rosh-hashanah): Rename holiday-rosh-hashanah-etc.
	Keep old name as alias.
	(holiday-hebrew-hanukkah): Rename holiday-hanukkah.
	Keep old name as alias.
	(holiday-hebrew-passover): Rename holiday-passover-etc.
	Keep old name as alias.
	(holiday-hebrew-tisha-b-av): Rename holiday-tisha-b-av-etc.
	Keep old name as alias, update callers.
	(diary-hebrew-list-entries): Rename list-hebrew-diary-entries.
	Keep old name as alias.
	(calendar-hebrew-mark-date-pattern):
	Rename mark-hebrew-calendar-date-pattern.  Keep old name as alias,
	update callers.
	(diary-hebrew-mark-entries): Rename mark-hebrew-diary-entries.
	Keep old name as alias.
	(diary-hebrew-insert-entry): Rename insert-hebrew-diary-entry.
	Keep old name as alias.
	(diary-hebrew-insert-monthly-entry):
	Rename insert-monthly-hebrew-diary-entry.  Keep old name as alias.
	(diary-hebrew-insert-yearly-entry):
	Rename insert-yearly-hebrew-diary-entry.  Keep old name as alias.
	(calender-hebrew-list-yahrzeits): Rename list-yahrzeit-dates.
	Keep old name as alias.
	(diary-hebrew-omer): Rename diary-omer.  Keep old name as alias.
	(diary-hebrew-yahrzeit): Rename diary-yahrzeit.  Keep old name as alias.
	(diary-hebrew-rosh-hodesh): Rename diary-rosh-hodesh.
	Keep old name as alias.
	(calendar-hebrew-parashiot-names):
	Rename hebrew-calendar-parashiot-names.  Update callers.
	(calendar-hebrew-parasha-name): Rename hebrew-calendar-parasha-name.
	(calendar-hebrew-year-Saturday-incomplete-Sunday):
	Rename hebrew-calendar-year-Saturday-incomplete-Sunday.
	(calendar-hebrew-year-Saturday-complete-Tuesday):
	Rename hebrew-calendar-year-Saturday-complete-Tuesday.
	(calendar-hebrew-year-Monday-incomplete-Tuesday):
	Rename hebrew-calendar-year-Monday-incomplete-Tuesday.
	(calendar-hebrew-year-Monday-complete-Thursday):
	Rename hebrew-calendar-year-Monday-complete-Thursday.
	(calendar-hebrew-year-Tuesday-regular-Thursday):
	Rename hebrew-calendar-year-Tuesday-regular-Thursday.
	(calendar-hebrew-year-Thursday-regular-Saturday):
	Rename hebrew-calendar-year-Thursday-regular-Saturday.
	(calendar-hebrew-year-Thursday-complete-Sunday):
	Rename hebrew-calendar-year-Thursday-complete-Sunday.
	(calendar-hebrew-year-Saturday-incomplete-Tuesday):
	Rename hebrew-calendar-year-Saturday-incomplete-Tuesday.
	(calendar-hebrew-year-Saturday-complete-Thursday):
	Rename hebrew-calendar-year-Saturday-complete-Thursday.
	(calendar-hebrew-year-Monday-incomplete-Thursday):
	Rename hebrew-calendar-year-Monday-incomplete-Thursday.
	(calendar-hebrew-year-Monday-complete-Saturday):
	Rename hebrew-calendar-year-Monday-complete-Saturday.
	(calendar-hebrew-year-Tuesday-regular-Saturday):
	Rename hebrew-calendar-year-Tuesday-regular-Saturday.
	(calendar-hebrew-year-Thursday-incomplete-Sunday):
	Rename hebrew-calendar-year-Thursday-incomplete-Sunday.
	(calendar-hebrew-year-Thursday-complete-Tuesday):
	Rename hebrew-calendar-year-Thursday-complete-Tuesday.
	(diary-hebrew-parasha): Rename diary-parasha.  Keep old name as alias.
	Update for above name changes of constants.

	* calendar/cal-menu.el, calendar/calendar.el:
	Update for chinese and hebrew name changes.
	* calendar/diary-lib.el: Update for hebrew name changes.

2008-04-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (keymap-canonicalize): Correct thinko.

	* server.el: Undo part of the multi-tty change, which is only
	needed if server.el is preloaded, and broke server-running-p.
	(server-socket-dir): Initialize in the defvar, as before.
	(server-start): Remove initialization of server-socket-dir.

2008-04-05  Eli Zaretskii  <eliz@gnu.org>

	* ls-lisp.el (ls-lisp-format): Support inodes that are 2- or
	3-member cons cells.

2008-04-05  Chong Yidong  <cyd@stupidchicken.com>

	* cus-face.el (custom-face-attributes): Handle roman slant.

	* faces.el (default): Ensure the face-defface-spec property is set.

2008-04-05  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* files.el (abort-if-file-too-large): New function.
	(find-file-noselect, insert-file-1): Use it.

2008-04-05  Reto Zimmermann  <reto@gnu.org>

	* progmodes/vhdl-mode.el (vhdl-mode-map-init):
	Replace C-c[a-zA-Z] key bindings.

2008-04-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/hideif.el (hif-token-alist): New var.
	(hif-token-regexp, hif-tokenize): Use it.
	(hif-mathify-binop): New macro.
	(hif-plus, hif-minus, hif-notequal, hif-greater, hif-less)
	(hif-greater-equal, hif-less-equal): Use it.
	(hif-logior, hif-logand): New functions.
	(hif-math): Accept | and & as well.

	* progmodes/etags.el: Fix problem with completion for buffer-local
	tables.  Reported by Radey Shouman <shouman@comcast.net>.
	(tags-complete-tag): Remove.
	(tags-lazy-completion-table): New function to replace it.
	(find-tag-tag, complete-tag): Update users.

2008-04-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-rcs.el (vc-rcs-dir-status):
	* vc-sccs.el (vc-sccs-dir-status): New function.

	* outline.el (outline-mode-menu-bar-map):
	* term.el (terminal-signal-menu): Add :help.

	* net/eudc.el (eudc-mode-map): Declare and define in one step.
	(eudc-tail-menu, eudc-server-menu, eudc-tools-menu): Add :help.

	* emacs-lisp/re-builder.el (reb-mode-map):
	* textmodes/nroff-mode.el (nroff-mode-map): Add menus.

	* diff-mode.el (diff-file-junk-re): Recognize the git format for
	new files, deleted files and for changing permissions.
	(diff-mode): Set beginning-of-defun-function and
	end-of-defun-function.

	* vc-bzr.el (vc-bzr-state): Use when instead of if.

	* vc.el (vc-default-status-fileinfo-extra): New function.
	(vc-status-mark-buffer-changed): Use it.
	(vc-update-vc-status-buffer): Allow for partial updates.

2008-04-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/tramp.el (after-init-hook): Don't wrap a lambda around
	tramp-register-completion-file-name-handler.

	* subr.el (keymap-canonicalize): New function.
	* mouse.el (mouse-menu-non-singleton): Use it.
	(mouse-major-mode-menu): Remove hack made unnecessary.

	* simple.el (set-fill-column): Prompt rather than error by default.

2008-04-04  Andreas Schwab  <schwab@suse.de>

	* calendar/cal-dst.el (calendar-time-zone-daylight-rules):
	Reset new-rules after each round.

	* Makefile.in (cal-autoloads): New target.
	(compile, compile-always, recompile): Depend on it.
	($(lisp)/calendar/cal-loaddefs.el)
	($(lisp)/calendar/diary-loaddefs.el)
	($(lisp)/calendar/hol-loaddefs.el): Depend on calendar/*.el.

2008-04-04  Michael Kifer  <kifer@cs.stonybrook.edu>

	* ediff*.el: Replace load with require in eval-when-compile.

	* ediff-hook: Delete all invocations of (autoload ...).

	* ediff-util.el (ediff-setup): Make window-min-height a local variable
	in ediff control window, and set its min height to 2.
	(ediff-setup-control-buffer): Dedicate the control window.
	(ediff-toggle-multiframe): Undedicate control window.
	Work directly with ediff-setup-windows-multiframe and
	ediff-setup-windows-plain.

	* ediff-wind (ediff-choose-window-setup-function-automatically):
	New function.
	(ediff-window-setup-function): Change initialization.
	(ediff-setup-windows-automatic): Delete.
	(ediff-setup-windows-plain-merge): Make control window dedicated.
	(ediff-destroy-control-frame): Do not skip frames if working in a
	single frame.

	* emulation/viper-ex.el: Move provide's forward, prevent recursion in
	eval-when-compile.

	* emulation/viper-util.el: Move provide's forward, prevent recursion in
	eval-when-compile.

2008-04-04  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-bahai.el (calendar-bahai-to-absolute): Rename
	calendar-absolute-from-bahai.  Update callers, keep old name as alias.

	* calendar/cal-islam.el (calendar-islamic-leap-year-p):
	Rename islamic-calendar-leap-year-p.  Update callers.
	(calendar-islamic-last-day-of-month):
	Rename islamic-calendar-last-day-of-month.  Update callers.
	(calendar-islamic-day-number):
	Rename islamic-calendar-day-number.  Update callers.
	(calendar-islamic-to-absolute): Rename calendar-absolute-from-islamic.
	Update callers, keep old name as alias.
	(calendar-islamic-print-date): Rename calendar-print-islamic-date.
	Update callers, keep old name as alias.
	(calendar-islamic-goto-date): Rename calendar-goto-islamic-date.
	Keep old name as alias.
	(diary-islamic-list-entries): Rename list-islamic-diary-entries.
	Update callers, keep old name as alias.
	(calendar-islamic-mark-date-pattern):
	Rename mark-islamic-calendar-date-pattern.  Update callers, keep old
	name as alias.
	(diary-islamic-insert-entry): Rename insert-islamic-diary-entry.
	Keep old name as alias.
	(diary-islamic-insert-monthly-entry):
	Rename insert-monthly-islamic-diary-entry.  Keep old name as alias.
	(diary-islamic-insert-yearly-entry):
	Rename insert-yearly-islamic-diary-entry.  Keep old name as alias.

	* calendar/cal-iso.el (calendar-iso-to-absolute): Rename
	calendar-absolute-from-iso.  Update callers, keep old name as alias.
	(calendar-iso-print-date): Rename calendar-print-iso-date.
	Update callers, keep old name as alias.
	(calendar-iso-goto-date): Rename calendar-goto-iso-date.
	Keep old name as alias.
	(calendar-iso-goto-week): Rename calendar-goto-iso-week.
	Keep old name as alias.

	* calendar/cal-julian.el (calendar-julian-to-absolute): Rename
	calendar-absolute-from-julian.  Update callers, keep old name as alias.
	(calendar-julian-print-date): Rename calendar-print-julian-date.
	Update callers, keep old name as alias.
	(calendar-julian-goto-date): Rename calendar-goto-julian-date.
	Update callers, keep old name as alias.
	(calendar-astro-to-absolute): Rename calendar-absolute-from-astro.
	Update callers, keep old name as alias.
	(calendar-astro-print-day-number):
	Rename calendar-print-astro-day-number.  Update callers, keep old
	name as alias.
	(calendar-astro-goto-day-number): Rename calendar-goto-astro-day-number.
	Update callers, keep old name as alias.

	* calendar/cal-mayan.el (calendar-mayan-string-from-long-count):
	Rename calendar-string-to-mayan-long-count.  Update callers.
	(calendar-mayan-print-date): Rename calendar-print-mayan-date.
	Update callers, keep old name as alias.
	(calendar-mayan-read-haab-date): Rename calendar-read-mayan-haab-date.
	Update callers.
	(calendar-mayan-read-tzolkin-date):
	Rename calendar-read-mayan-tzolkin-date.  Update callers.
	(calendar-mayan-next-haab-date): Rename calendar-next-haab-date.
	Keep old name as alias.
	(calendar-mayan-previous-haab-date): Rename calendar-previous-haab-date.
	Keep old name as alias.
	(calendar-mayan-next-tzolkin-date): Rename calendar-next-tzolkin-date.
	Keep old name as alias.
	(calendar-mayan-previous-tzolkin-date):
	Rename calendar-previous-tzolkin-date.  Keep old name as alias.
	(calendar-mayan-next-round-date):
	Rename calendar-next-calendar-round-date.  Keep old name as alias.
	(calendar-mayan-previous-round-date):
	Rename calendar-previous-calendar-round-date.  Keep old name as alias.
	(calendar-mayan-long-count-to-absolute): Rename
	calendar-absolute-from-mayan-long-count.  Keep old name as alias.
	(calendar-mayan-goto-long-count-date):
	Rename calendar-goto-mayan-long-count-date.  Keep old name as alias.

	* calendar/cal-persia.el (calendar-persian-month-name-array):
	Rename persian-calendar-month-name-array.  Update callers.
	(calendar-persian-epoch): Rename persian-calendar-epoch.
	Update callers.
	(calendar-persian-leap-year-p): Rename persian-calendar-leap-year-p.
	Update callers.
	(calendar-persian-last-day-of-month):
	Rename persian-calendar-last-day-of-month.  Update callers.
	(calendar-persian-to-absolute): Rename calendar-absolute-from-persian.
	Update callers, keep old name as alias.
	(calendar-persian-print-date): Rename calendar-print-persian-date.
	Update callers, keep old name as alias.
	(calendar-persian-goto-date): Rename calendar-goto-persian-date.
	Keep old name as alias.

	* calendar/cal-china.el, calendar/cal-coptic.el, calendar/cal-islam.el:
	* calendar/cal-persia.el, calendar/holidays.el, calendar/lunar.el:
	* calendar/solar.el: Update for cal-julian name changes.

	* calendar/cal-dst.el: Update for persian name changes.

	* calendar/cal-menu.el, calendar/calendar.el:
	Update for islamic, iso, julian, mayan, persian name changes.

	* calendar/diary-lib.el: Update for islamic name changes.

	* calendar/calendar.el (calendar-hebrew-all-holidays-flag):
	Rename all-hebrew-calendar-holidays.  Update callers, keep old name
	as alias.
	(calendar-christian-all-holidays-flag):
	Rename all-christian-calendar-holidays.  Update callers, keep old
	name as alias.
	(calendar-islamic-all-holidays-flag):
	Rename all-islamic-calendar-holidays.  Update callers, keep old
	name as alias.
	(calendar-bahai-all-holidays-flag): Rename all-bahai-calendar-holidays.
	Update callers, keep old name as alias.
	* calendar/cal-bahai.el, calendar/cal-hebrew.el, calendar/holidays.el:
	Update for the above name changes.

2008-04-04  Juanma Barranquero  <lekktu@gmail.com>

	* hilit-chg.el (global-highlight-changes-mode)
	(highlight-changes-passive-string, highlight-changes-active-string):
	Mark as obsolete since 23.1, not 22.1.

2008-04-03  Juanma Barranquero  <lekktu@gmail.com>

	* hilit-chg.el (highlight-changes-visibility-initial-state)
	(hilit-chg-update, highlight-changes-mode-turn-on):
	Fix typos in docstrings.

2008-04-03  Stephen Berman  <Stephen.Berman@gmx.net>

	* newcomment.el (comment-enter-backward): Be careful to restore
	position changed during narrowing.

2008-04-03  Giuliano Procida  <giuliano.procida@googlemail.com>  (tiny change)

	* progmodes/perl-mode.el (perl-font-lock-syntactic-keywords):
	Recognize `sub ($$)'.

2008-04-03  Richard Sharman  <rsharman@pobox.com>

	* hilit-chg.el (highlight-changes-mode): Rename from
	highlight-changes; no longer uses sub-modes active and passive;
	implemented by define-minor-mode.
	(highlight-changes-toggle-visibility): New function, to replace
	the old passive/active submodes of global-highlight-changes-mode;
	implemented by define-minor-mode.
	(global-highlight-changes-mode): Rename from global-highlight-changes;
	rewrite using define-globalized-minor-mode.
	(hilit-chg-major-mode-hook, hilit-chg-check-global)
	(hilit-chg-post-command-hook, hilit-chg-check-global)
	(hilit-chg-update-all-buffers, hilit-chg-turn-off-maybe): Remove due
	to use of define-globalized-minor-mode.
	(highlight-changes-global-initial-state): Change to be boolean.
	(highlight-changes-visible-string, highlight-changes-invisible-string):
	Rename from highlight-changes-active-string and
	highlight-changes-passive-string.
	(hilit-chg-update, hilit-chg-set): Use them.
	(global-highlight-changes-mode): Rename from global-highlight-changes.
	(hilit-chg-map-changes, hilit-chg-display-changes): Add arguments to
	docstring.
	(hilit-chg-hide-changes): Rewrite to use dolist.
	(hilit-chg-set-face-on-change, hilit-chg-update)
	(highlight-changes-rotate-faces): Use highlight-changes-visible-mode
	variable instead of testing highlight-changes-mode.
	(highlight-markup-buffers): Add require ediff-util; argument on calls
	to highlight-changes-mode changed.
	(highlight-compare-with-file): Fix problems with interactive
	call giving invalid default file.

2008-04-03  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-mouse-set-clear-breakpoint):
	Fix in disassembly buffer (regression in 22.2).

2008-04-03  Michael Kifer  <kifer@cs.stonybrook.edu>

	* emulation/viper-macs.el (viper-read-fast-keysequence):
	Use viper-read-event instead of viper-read-key.

	* emulation/viper.el (viper-mode): Move the check for fundamental mode.

	* emulation/viper-utils.el (viper-get-saved-cursor-color-in-insert-mode)
	(viper-get-saved-cursor-color-in-replace-mode): Get rid of redundant
	let-statements.

	* emulation/viper-ex.el, emulation/viper-macs.el:
	* emulation/viper-mous.el:
	Replace load with require in eval-when-compile.

2008-04-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (auto-mode-alist): Use archive-mode for Debian packages.

	* arc-mode.el (archive-mode-map): Obey mouse-1-click-follows-link.
	(archive-try-jka-compr): New function.
	(archive-set-buffer-as-visiting-file): Use it.

	* tar-mode.el (tar-mode-map): Obey mouse-1-click-follows-link.

2008-04-03  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (handle-shift-selection): New arg.

2008-04-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/cl-macs.el (defsetf): Accept a lambda for the 2-arg form.

	* vc-bzr.el (vc-bzr-previous-revision, vc-bzr-next-revision): New funs.

2008-04-03  Chong Yidong  <cyd@stupidchicken.com>

	* shell.el (shell-dynamic-complete-filename): New fun.
	(shell-dynamic-complete-functions): Use it.

	* help-fns.el (describe-variable): Undo 2008-02-25 change.

2008-04-03  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (create-fontset-from-x-resource):
	Handle the error of X resource more gracefully.

	* international/latin1-disp.el (latin1-display): Don't use make-char.
	Fix the argument to set-char-table-range.
	(latin1-display-identities): Don't use make-char.
	(latin1-display-reset): Use map-charset-chars instead of directly
	calling standard-display-default.
	(latin1-display-check-font): Don't use make-char.
	(latin1-display-setup): Likewise.
	(latin1-display-ucs-per-lynx): Likewise.

2008-04-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/timer.el (timer): Define as a defstruct, so we can
	name the fields, to make the code clearer.
	Rewrite all `aset' and `aref' using the defined accessors.
	(timer--time): New pseudo-field.
	(timer-set-time, timer-set-idle-time, timer-inc-time)
	(timer-set-time-with-usecs, with-timeout-suspend): Use it.
	(timer--time-less-p): New function.
	(timer--activate): New function, extracted from timer-activate.
	(timer-activate-when-idle, timer-activate): Use it.
	(cancel-function-timers): Use dolist.

2008-04-03  Glenn Morris  <rgm@gnu.org>

	* add-log.el (c-beginning-of-defun, c-end-of-defun):
	Remove declarations; no longer used.
	(c-cpp-define-name, c-defun-name): Declare as functions.

	* calendar/cal-bahai.el (holiday-fixed): Autoload it.
	(holiday-bahai-new-year, holiday-bahai-ridvan): New functions.

	* calendar/cal-hebrew.el (holiday-rosh-hashanah-etc)
	(holiday-passover-etc, holiday-hanukkah): Doc fix.
	Add optional argument.  Simplify.
	(holiday-tisha-b-av-etc): Use memq rather than unless.
	(holiday-julian): Autoload it.
	(holiday-hebrew-misc): New function.

	* calendar/cal-islam.el (holiday-islamic-new-year): New function.

	* calendar/calendar.el (hebrew-holidays-1, hebrew-holidays-2)
	(hebrew-holidays-3, hebrew-holidays-4): Make obsolete.
	(hebrew-holidays-2): Just use holiday-hanukkah now it respects
	all-hebrew-calendar-holidays.
	(hebrew-holidays, christian-holidays, islamic-holidays, bahai-holidays):
	Simplify using new functions.
	(calendar-holidays): Doc fix.
	(generate-calendar-window): Use bound-and-true-p.

	* calendar/diary-lib.el (diary-mail-addr): Use bound-and-true-p.

	* calendar/holidays.el (calendar-holiday-list): Fix previous change.
	(holiday-filter-visible-calendar): Doc fix.  Use mapcar.
	(holiday-easter-etc): Fix nesting of result.  Tweak holiday order.
	Use calendar-date-is-visible-p, not holiday-filter-visible-calendar.

	* net/tramp.el (tramp-drop-volume-letter): Move definition before use.

2008-04-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-mtn.el (vc-mtn-command): Avoid localization of messages.

	* vc-bzr.el (vc-bzr-checkout): Simplify.

	* image-mode.el (image-mode-fit-frame): New command.

	* simple.el (beginning-of-buffer, end-of-buffer, goto-line, undo)
	(copy-region-as-kill, kill-ring-save, use-region-p, mark-word)
	(keyboard-escape-quit): Check region-active-p i.s.o
	transient-mark-mode.

2008-04-02  Simon Josefsson  <simon@josefsson.org>

	* net/imap.el (imap-enable-exchange-bug-workaround): New variable.
	(imap-message-copyuid-1): Use it.
	(imap-message-appenduid-1): Likewise.  Based on patch by Nathan
	J. Williams in
	<http://permalink.gmane.org/gmane.emacs.gnus.general/65855>.

2008-04-02  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-defun-name, c-cpp-define-name):
	New optimised functions to get the name of the current defun/macro.

	* add-log.el (add-log-current-defun): Move the functionality which
	gets the current function name for C like modes to cc-cmds.el,
	thus optimising for speed.

2008-04-02  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (deactivate-mark): When the mark is temporarily
	active, restore the original value of transient-mark-mode.
	(set-mark-command): First deactivate the mark if was temporarily active.
	(exchange-point-and-mark): Reactivate the mark if it was
	temporarily active.
	(handle-shift-selection): New fun.
	(transient-mark-mode): Move var documentation here from buffer.c.
	(next-line, previous-line, backward-word, move-end-of-line)
	(move-beginning-of-line, forward-to-indentation)
	(backward-to-indentation, back-to-indentation)
	(beginning-of-buffer, end-of-buffer): Add ^ interactive spec.

	* mouse.el (mouse-set-region-1): Save the old value of
	transient-mark-mode.
	(mouse-drag-track): Ignore the now-obsolete value `identity' for
	transient-mark-mode.

	* textmodes/paragraphs.el (forward-paragraph)
	(backward-paragraph, forward-sentence, backward-sentence): Add ^
	interactive spec.

	* emulation/cua-base.el (cua-mode): Turn off shift-select-mode.

2008-04-02  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-make-tramp-temp-file):
	Use `tramp-drop-volume-letter' for the local file name part.

2008-04-02  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/sh-script.el (sh-mode-map): Rename the menu.  Add :help.
	Add menu entries corresponding to all the key bindings.

	* emacs-lisp/debug.el (debugger-mode-map):
	* textmodes/conf-mode.el (conf-mode-map): Add a menu.
	(conf-align-assignments): Only work on the region if it is active.
	(conf-quote-normal): Use when instead of if.  Remove redundant test.

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-map): Add menu entries
	for tracing and re-builder.

2008-04-02  Glenn Morris  <rgm@gnu.org>

	* calendar/appt.el (appt-disp-window-function): Doc fix.
	(appt-display-message): Move beep before display.
	(appt-check): Make interactive.  Reduce the number of lets.
	Use string-equal to compare mode-line strings.
	(appt-disp-window): Pluralize "minute" as needed.  Make appt buffer
	read-only.
	(appt-select-lowest-window, appt-make-list): Reduce the number of lets.
	(appt-delete): Simplify.

	* calendar/cal-china.el (holiday-chinese-new-year): Use a single let.

	* calendar/cal-dst.el (calendar-time-zone-daylight-rules): Simplify.

	* calendar/cal-hebrew.el (list-yahrzeit-dates):
	* calendar/cal-tex.el (cal-tex-insert-blank-days-at-end)
	(cal-tex-last-blank-p, cal-tex-daily-page): Expand calendar-for-loops.

	* calendar/calendar.el (diary-entry-marker, calendar-today-marker)
	(calendar-holiday-marker, mark-visible-calendar-date):
	* calendar/diary-lib.el (fancy-diary-display):
	Check for font-lock-mode before using faces.

	* calendar/calendar.el (hebrew-holidays-3, generate-calendar-month)
	(calendar-gregorian-from-absolute): Reduce the number of lets.
	(hebrew-holidays-4, generate-calendar-window): Simplify.
	(calendar-for-loop): Make obsolete.
	(calendar-nth-named-day): Doc fix.

	* calendar/diary-lib.el (diary-list-entries, fancy-diary-display)
	(print-diary-entries, mark-sexp-diary-entries, calendar-mark-complex)
	(calendar-mark-1, list-sexp-diary-entries, diary-remind):
	Reduce the number of lets.
	(mark-sexp-diary-entries, calendar-mark-complex):
	Expand calendar-for-loops.

2008-04-01  Chong Yidong  <cyd@stupidchicken.com>

	* find-dired.el (find-dired-filter): Fix last patch to handle
	multi-line process input.  Pad link numbers too.

2008-04-01  Jari Aalto  <jari.aalto@cante.net>

	* find-dired.el (find-dired-filter): Align columns by padding file sizes.

2008-04-01  Jason Rumney  <jasonr@gnu.org>

	* international/characters.el (script-list): Add phonetic script,
	covering IPA (previously Latin), Phonetic Extensions and
	Phonetic Extensions Supplement (both previously unassigned).

	* international/fontset.el (setup-default-fontset): Use unicode fonts
	that cover bopomofo script for bopomofo.
	Likewise for braille and mathematical.
	Use unicode scripts that cover the phonetic script for IPA.

2008-04-01  Johan Bockgård  <bojohan@gnu.org>

	* emacs-lisp/cl-macs.el (frame-parameter) <defsetf>: Make it
	return the assigned value.

2008-04-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* abbrev.el (abbrev-mode): Use define-minor-mode.

	* mouse.el (mouse-major-mode-menu-prefix): Remove.  Remove uses.
	(mouse-menu-non-singleton): Rename from mouse-major-mode-menu-1.
	Use map-keymap.
	(minor-mode-menu-from-indicator): Use it.  Simplify.

	* bindings.el (mode-line-mode-menu): Move before (new) first use.
	(mode-line-major-mode-keymap, mode-line-minor-mode-keymap):
	Bind the key directly to the menu.
	(mode-line-mode-menu-1, mode-line-mode-menu): Remove functions.

2008-04-01  Daiki Ueno  <ueno@unixuser.org>

	* epa.el (epa-decrypt-region): Explain the reason why this
	function should not be used in Lisp programs.
	(epa-decrypt-armor-in-region): Ditto.
	(epa-verify-region): Ditto.
	(epa-verify-cleartext-in-region): Ditto.
	(epa-sign-region): Ditto.
	(epa-encrypt-region): Ditto.

	* epg.el (epg-start-receive-keys): Fix typo in docstring.

	* epa.el (epa-select-keys): Show menu even if there is no key in
	GnuPG's keyring.

2008-04-01  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (calendar-make-temp-face): New function.
	(mark-visible-calendar-date):
	* calendar/diary-lib.el (fancy-diary-display): Use it.

	* vc-hooks.el (vc-responsible-backend): Declare as function.

	* calendar/calendar.el (calendar-nongregorian-visible-p): New function.
	* calendar/cal-hebrew.el (calendar-hebrew-date-is-visible-p):
	* calendar/cal-julian.el (holiday-julian): Use it.

	* calendar/cal-hebrew.el (hebrew-calendar-elapsed-days): Doc fix.
	(calendar-hebrew-date-is-visible-p): Extract some common code into
	separate function.
	(holiday-hebrew, mark-hebrew-calendar-date-pattern): Use it.

	* calendar/cal-menu.el (cal-menu-holidays-menu):
	* calendar/calendar.el (calendar-mode-map): Use calendar-mark-holidays
	rather than obsolete alias.

	* calendar/calendar.el (mark-visible-calendar-date): Also use overlay
	for mark characters.
	(calendar-unmark): Unmark by removing all overlays, rather than
	redrawing.
	(calendar-starred-day): Remove.
	(calendar-mode): Disable undo.  Don't make calendar-starred-day local.
	(calendar-cursor-to-date): No need for special star handling now
	using overlays.
	(calendar-star-date): Use overlays.

	* calendar/cal-french.el (calendar-goto-french-date):
	* calendar/cal-hebrew.el (calendar-hebrew-from-absolute)
	(holiday-hanukkah, mark-hebrew-calendar-date-pattern):
	* calendar/cal-move.el (calendar-forward-month, calendar-end-of-month):
	* calendar/cal-persia.el (calendar-persian-date-string):
	* calendar/cal-tex.el (cal-tex-cursor-month-landscape)
	(cal-tex-cursor-month, cal-tex-LaTeXify-string):
	* calendar/lunar.el (lunar-phase-list, lunar-new-moon-on-or-after):
	* calendar/solar.el (solar-equinoxes-solstices):
	Reduce nesting of some lets.

	* calendar/cal-mayan.el (calendar-string-to-mayan-long-count)
	(calendar-goto-mayan-long-count-date): Simplify.

	* calendar/holidays.el (calendar-holiday-list, holiday-easter-etc):
	Simplify by using mapcar.
	(calendar-list-holidays): Return holiday-list.
	(list-holidays): Use let rather than let*.  Remove un-needed locals
	`d', `never'.
	(calendar-check-holidays): Return result from dolist.
	(holiday-float): Use a single let*.  Simplify if-and to and.
	(holiday-sexp, holiday-advent, holiday-greek-orthodox-easter): Use a
	single let*.

2008-04-01  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el: Autoload `calc-yank'.
	(calc-mode-map): Add keybindings for `calc-yank'.
	* calc/calc-ext.el (calc-init-extensions): Remove keybinding
	assignments for `calc-yank'.

2008-03-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-status-add-entry): Assume ENTRY is a list, not a cons.
	(vc-status-mark-buffer-changed): Handle the extra field.

	* vc-bzr.el (vc-bzr-after-dir-status):
	* vc-cvs.el (vc-cvs-after-dir-status):
	* vc-hg.el (vc-hg-after-dir-status):
	* vc-svn.el (vc-svn-after-dir-status): Return a list, not a cons.

2008-03-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc-view.el: Compute displayed pages first (in PDF).
	(doc-view-current-converter-processes): Rename from
	doc-view-current-converter-process.  Update users.
	(doc-view-sentinel): Test buffer's liveness.
	(doc-view-pdf/ps->png-sentinel): Remove.
	(doc-view-start-process): New function.
	(doc-view-dvi->pdf, doc-view-pdf/ps->png, doc-view-pdf->txt)
	(doc-view-ps->pdf): Use it.
	(doc-view-pdf->png-1, doc-view-pdf->png, doc-view-active-pages):
	New functions.
	(doc-view-convert-current-doc, doc-view-goto-page): Use them.
	(doc-view-mode): Kill the processes when leaving the mode.

2008-03-31  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/bytecomp.el (byte-compile-warnings-safe-p):
	Use `byte-compile-warning-types'.  Add docstring.

2008-03-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el (smerge-apply-resolution-patch): New fun.
	(smerge-resolve): Add various resolution heuristics.

	* smerge-mode.el (smerge-refine): Allow highlighting other subparts
	in 3-way conflicts.

2008-03-31  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-bahai.el (diary-bahai-mark-entries):
	* calendar/cal-hebrew.el (mark-hebrew-diary-entries):
	* calendar/cal-islam.el (mark-islamic-diary-entries):
	Fix argument order in call to diary-mark-entries-1.

	* calendar/cal-bahai.el (calendar-bahai-date-string): Avoid an error for
	pre-Bahai dates.
	(holiday-bahai): Use an algorithm actually relevant to this calendar
	system.

	* calendar/cal-china.el (holiday-chinese-new-year): Doc fix.

	* calendar/cal-islam.el (holiday-islamic): Remove un-needed let.
	Use and.

	* calendar/cal-julian.el (holiday-julian): Fix a problem with holidays
	in the last fortnight in Julian October.

	* calendar/calendar.el (increment-calendar-month): Optionally handle
	systems without 12 months per year.

	(calendar-date-is-visible-p): Doc fix.  Simplify.

	* calendar/holidays.el (holiday-filter-visible-calendar): Return result
	from dolist.

2008-03-30  Juanma Barranquero  <lekktu@gmail.com>

	* hi-lock.el (hi-lock-mode): Fix typos in docstring.
	(hi-lock-unload-function): New function.

2008-03-30  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file): Fix check for
	overwriting when NEWNAME is a local file.

	* net/trampver.el: Update release number.

2008-03-30  Alexandre Julliard  <julliard@winehq.org>

	* vc-git.el: Make vc-status display information about copies,
	renames and permission changes.
	(vc-git-extra-fileinfo): New defstruct.
	(vc-git-escape-file-name, vc-git-file-type-as-string)
	(vc-git-rename-as-string, vc-git-permissions-as-string)
	(vc-git-status-printer): New functions.
	(vc-git-after-dir-status-stage2): Also return vc-git-extra-fileinfo.
	(vc-git-after-dir-status-stage1): Look for copies, renames and
	permission changes.
	(vc-git-after-dir-status-stage1-empty-db): Set permissions.
	(vc-git-dir-status): Ask for staged files and renames.

2008-03-30  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el: Allow backends to display backend specific information in
	the vc-status listing.
	(vc-status-fileinfo): Add a field for backend specific information.
	(vc-status-printer): Rename to ...
	(vc-default-status-printer): ... this.
	(vc-status-printer): New function.
	(vc-update-vc-status-buffer): Set the backend specific file info
	if provided.

2008-03-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/remember.el (remember-diary-convert-entry): Revert last
	change (ill-conceived).

2008-03-29  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-hebrew.el (holiday-hebrew): Simplify.
	* calendar/cal-julian.el (holiday-julian): Simplify.

	* calendar/holidays.el (list-holidays): Use or.

2008-03-29  Juri Linkov  <juri@jurta.org>

	* window.el (split-window-preferred-horizontally): New function.

	* cus-start.el (split-window-preferred-function):
	Set choice for "vertically" to nil instead of split-window.
	Set choice for "horizontally" to split-window-preferred-horizontally
	instead of lambda.

2008-03-29  Juri Linkov  <juri@jurta.org>

	* simple.el (minibuffer-default-add-function): New variable with
	the default to minibuffer-default-add-completions.
	(minibuffer-default-add-done): New variable.  Make it buffer-local.
	(minibuffer-default-add-completions): New function.
	(goto-history-element): Set minibuffer-default-add-done to t and
	call a function in minibuffer-default-add-function when the
	specified absolute history position is greater than the length of
	the minibuffer-default list and minibuffer-default-add-done is nil.
	Change "^End of history; no next item$" to "^End of defaults;
	no next item$".

	* bindings.el (debug-ignored-errors): Change "^End of history;
	no next item$" to "^End of defaults; no next item$".

2008-03-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (with-temp-buffer): Assume kill-buffer can change cur-buf.

	* textmodes/remember.el (remember-diary-convert-entry): Prefer boundp
	to with-no-warnings.

2008-03-29  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.1.13.

	* net/tramp-ftp.el: Require 'cl when byte-compiling.

	* net/trampver.el: Update release number.

2008-03-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hooks.el (vc-menu-map-filter): Be more careful when finding
	the current backend.

	* vc.el (vc-status-menu-map, vc-status-mode-map): Bind vc-revert.
	(vc-status-refresh): Create a temporary buffer and call the
	`dir-status' backend function from that buffer.

	* vc-bzr.el (vc-bzr-dir-status): Don't create a buffer.
	(vc-bzr-after-dir-status): Don't kill the buffer.

	* vc-cvs.el (vc-cvs-dir-status): Don't create a buffer.
	(vc-cvs-after-dir-status): Don't kill the buffer.

	* vc-git.el (vc-git-dir-status): Don't create a buffer.
	(vc-git-after-dir-status-stage2): Don't kill the buffer.

	* vc-hg.el (vc-hg-dir-status): Don't create a buffer.
	(vc-hg-after-dir-status): Don't kill the buffer.

	* vc-svn.el (vc-svn-dir-status): Don't create a buffer.
	(vc-svn-after-dir-status): Don't kill the buffer.

2008-03-29  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (diary-file, american-date-diary-pattern)
	(european-date-diary-pattern, european-calendar-display-form)
	(american-calendar-display-form, diary-display-hook): Doc fixes.
	(european-calendar-style): Doc fix.  Use calendar-set-date-style for
	custom :set.  Mark as obsolete.
	(calendar-date-style, iso-date-diary-pattern)
	(iso-calendar-display-form): New user variables.
	(diary-date-forms, calendar-date-display-form): Set using
	calendar-date-style.  Doc fix.
	(calendar-set-date-style): New command.
	(european-calendar, american-calendar): Use calendar-set-date-style.
	Mark as obsolete.

	* calendar/diary-lib.el (number): Move declaration where needed.
	(diary-mail-entries, list-sexp-diary-entries): Doc fixes.
	(diary-make-date): New function.
	(diary-date, diary-block, diary-anniversary, diary-cyclic): Doc fix.
	Use diary-make-date.
	(diary-date-display-form, diary-insert-entry-1): New functions.
	(insert-monthly-diary-entry, insert-yearly-diary-entry):
	Use diary-insert-entry-1.
	(insert-anniversary-diary-entry, insert-block-diary-entry)
	(insert-cyclic-diary-entry): Use diary-date-display-form.

	* calendar/cal-bahai.el, calendar/cal-hebrew.el, calendar/cal-islam.el:
	Autoload diary-insert-entry-1.
	* calendar/cal-bahai.el (diary-bahai-insert-entry)
	(diary-bahai-insert-monthly-entry, diary-bahai-insert-yearly-entry):
	* calendar/cal-hebrew.el (insert-hebrew-diary-entry)
	(insert-monthly-hebrew-diary-entry, insert-yearly-hebrew-diary-entry)
	* calendar/cal-islam.el (insert-islamic-diary-entry)
	(insert-monthly-islamic-diary-entry, insert-yearly-islamic-diary-entry):
	Use diary-insert-entry-1.

	* calendar/cal-hebrew.el (diary-make-date): Autoload it.
	(diary-yahrzeit): Doc fix.  Use diary-make-date.

	* calendar/icalendar.el (icalendar--datetime-to-american-date):
	New name for icalendar--datetime-to-noneuropean-date.  Make old name
	obsolete alias.
	(icalendar--datetime-to-iso-date): New function.
	(icalendar--datetime-to-diary-date): Doc fix.  Respect
	calendar-date-style if bound.

	* textmodes/remember.el (remember-diary-convert-entry):
	Respect calendar-date-style if bound.

2008-03-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* xt-mouse.el (xterm-mouse-mode): Use delete-terminal-functions.
	(xterm-mouse-handle-delete-frame): Delete.

	* term/xterm.el (terminal-init-xterm): Use delete-terminal-functions.
	(xterm-turn-on-modify-other-keys, xterm-turn-off-modify-other-keys)
	(xterm-remove-modify-other-keys): Lookup terminal rather than frame
	in xterm-modify-other-keys-terminal-list.

	* vc-bzr.el (vc-bzr-state-heuristic): Fix last change for when there
	are conflicts.

2008-03-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-update): Check if the buffer is unsaved only if it
	actually exists.
	(vc-status-mode-map, vc-status-menu-map): Bind vc-update and
	vc-print-log.

2008-03-28  Magnus Henoch  <mange@freemail.hu>

	* net/dns.el (dns-write): Use set-buffer-multibyte.

2008-03-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el (vc-bzr-sha1): New fun.
	(vc-bzr-state-heuristic): New fun, extracted from vc-bzr-registered.
	(vc-bzr-registered): Use it.

2008-03-28  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-status-kill-dir-status-process): Simplify.
	(vc-status-refresh): Make sure the buffer is live.
	(ring): Don't require it, not used.

2008-03-28  Wilson Snyder  <wsnyder@wsnyder.org>

	* progmodes/verilog-mode.el (verilog-auto-inout-module):
	Add optional regular expression to AUTOINOUTMODULE.
	(verilog-inject-auto, verilog-auto-arg, verilog-auto-inst)
	(verilog-auto-inst-param, verilog-auto-reg)
	(verilog-auto-reg-input, verilog-auto-wire, verilog-auto-output)
	(verilog-auto-output-every, verilog-auto-input)
	(verilog-auto-inout, verilog-auto-sense, verilog-auto-tieoff)
	(verilog-auto-unused, verilog-auto): Update documentation to use
	more obvious instance module names versus cell names.

2008-03-28  Jan Djärv  <jan.h.d@swipnet.se>

	* progmodes/compile.el (compilation-mode-tool-bar-map): Only enable
	kill if a process is running.

	* progmodes/grep.el (grep-mode-tool-bar-map): The same.

2008-03-28  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el: Add new backend function 'status-extra-headers.
	(vc-default-status-extra-headers): New function.
	(vc-status-headers): Call 'status-extra-headers.  Add colors.

	* vc-git.el (vc-git-status-extra-headers): New function.

2008-03-28  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-menu.el (cal-menu-holidays-menu)
	(cal-menu-list-holidays-year, cal-menu-list-holidays-following-year)
	(cal-menu-list-holidays-previous-year): Simplify now that 2nd arg of
	holiday-list is optional.
	(calendar-mouse-holidays): Remove un-needed local `l'.

	* calendar/cal-move.el (calendar-cursor-to-nearest-date):
	Remove un-needed local `date'.
	(calendar-cursor-to-visible-date): Use let rather than let*.
	Remove un-needed local `first-of-month-weekday'.

	* calendar/calendar.el (abbreviated-calendar-year): Move to diary-lib.

	* calendar/diary-lib.el (print-diary-entries-hook, diary-list-entries):
	Doc fixes.
	(abbreviated-calendar-year): Move here from calendar.el.  Doc fix.
	(diary-header-line-flag, diary-header-line-format): Declare.
	(diary-pull-attrs): Check for multiple matches.
	(diary-list-entries-2): Simplify finding start of date.
	(diary-show-all-entries, make-diary-entry): Respect non-nil values of
	pop-up-frames.
	(diary-mark-entries-1): Re-use offset in abbreviated-year case.
	(mark-sexp-diary-entries): Remove superfluous call to diary-pull-attrs.

2008-03-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-state, vc-hg-dir-state): Deal with 'missing files.

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-map): Fix predicate.

2008-03-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-before-save): Don't prevent saving the file.

	* image-mode.el (image-mode-reapply-winprops): Fix last change.

2008-03-27  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/mule-conf.el (define-iso-single-byte-charset):
	Don't make latin-iso8859-* supplementary.
	(#'set-charset-priority): Don't change the priority of charsets
	`unicode' and `emacs'.

2008-03-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-do-command): Don't pop to the buffer if it's an internal
	temp buffer.

2008-03-27  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-bahai.el (diary-bahai-list-entries):
	* calendar/cal-hebrew.el (list-hebrew-diary-entries):
	* calendar/cal-islam.el (list-islamic-diary-entries): Doc fix.

	* calendar/calendar.el (diary-file): Doc fix.

	* calendar/diary-lib.el (diary-face-attrs): Fix `height' regexp.
	(list-diary-entries-hook, mark-diary-entries-hook)
	(include-other-diary-files, diary-mail-entries)
	(mark-included-diary-files, list-sexp-diary-entries): Doc fixes.
	(diary-set-header): New function.
	(diary-header-line-flag, diary-header-line-format):
	Use diary-set-header for custom :set function.
	(diary-set-maybe-redraw): Use symbol-value rather than eval.
	(diary-attrtype-convert): Use intern-soft rather than read.
	(diary-display-no-entries): New function.
	(simple-diary-display, fancy-diary-display): Use it.
	(fancy-diary-display): Doc fix.  Remove unneeded local entry-list.
	(diary-mark-entries-1): Fix position offsets in non-gregorian case.

	* calendar/holidays.el (list-holidays): Doc fix.

2008-03-26  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-store.el (calc-read-var-name-history): New variable.
	(calc-read-var-name): Use `calc-read-var-name-history'.

2008-03-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* image-mode.el (image-mode-reapply-winprops): Simplify now that
	window-configuration-change-hook works buffer-locally.

2008-03-26  Johan Bockgård  <bojohan@gnu.org>

	* emacs-lisp/lisp-mnt.el (lm-with-file): Use mode and syntax table
	for Emacs Lisp, not Lisp.

2008-03-26  Juanma Barranquero  <lekktu@gmail.com>

	* help-fns.el (describe-function-1, describe-variable):
	If CURRENT-NAME is nil, don't end obsolescence info with semicolon.

	* emacs-lisp/bytecomp.el (byte-compile-obsolete): If no
	replacement is provided, don't print "use nil instead".

2008-03-26  Johan Bockgård  <bojohan@gnu.org>

	* complete.el (PC-do-completion): Use regexp-quote.

2008-03-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-cvs.el (vc-cvs-parse-status, vc-cvs-after-dir-status):
	Detect missing files.

	* vc-git.el (vc-git-extra-menu-map): New key map.
	(vc-git-extra-menu, vc-git-extra-status-menu, vc-git-grep):
	New functions.

	* vc-hooks.el (vc-default-mode-line-string): Deal with 'removed
	and 'missing files.

2008-03-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* calendar/holidays.el (list-holidays): Make Y2 optional.

	* calendar/appt.el (appt-buffer-name): Don't use a leading space for
	buffers shown to the user.
	(appt-disp-window): Disable undo explicitly now that the leading space
	is gone.

	* simple.el (activate-mark): New function.
	(set-mark-command): Use it with region-active-p to clean up the code.
	(exchange-point-and-mark): Invert the meaning of C-u when
	transient-mark-mode is active.

	* dired-aux.el (dired-create-files): Use dolist.

	* bindings.el (mode-line-change-eol): Use with-selected-window.

	* apropos.el (apropos-command): Include macros.

2008-03-26  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-bahai.el: Require calendar, not cal-julian.
	(calendar-bahai-epoch): Doc fix.

	* calendar/cal-china.el: Explicitly require calendar.

	* calendar/cal-coptic.el, calendar/cal-islam.el, calendar/cal-persia.el:
	Require calendar rather than cal-julian.
	Autoload calendar-absolute-from-julian.
	* calendar/cal-coptic.el (coptic-calendar-epoch):
	* calendar/cal-islam.el (calendar-islamic-epoch):
	* calendar/cal-persia.el (persian-calendar-epoch): Set when compiling.

	* calendar/cal-islam.el (calendar-islamic-epoch): Doc fix.

	* calendar/cal-dst.el: Don't require cal-persia.
	(calendar-absolute-from-persian): Autoload it.
	(dst-adjust-time): Doc fix.

	* calendar/cal-menu.el (cal-menu-diary-menu): Remove menu headings that
	cause cal-bahai, cal-islam, cal-hebrew to be loaded on starting the
	calendar.

	* calendar/cal-menu.el: Require calendar rather than declaring
	functions.
	* calendar/calendar.el: Provide calendar before requiring cal-menu.

	* calendar/cal-x.el (calendar-after-frame-setup-hook): New name for
	calendar-after-frame-setup-hooks.  Update callers, make old name an
	obsolete alias.  Doc fix.
	(calendar-frame-1): Doc fix.

	* calendar/calendar.el (solar-holidays): Simplify holiday-sexp calls.

	* calendar/calendar.el (oriental-holidays, solar-holidays):
	* calendar/holidays.el (list-holidays): Assume atan always bound.

	* calendar/lunar.el, calendar/solar.el: Remove floating-point check.
	Explicitly require calendar, not cal-julian.
	* calendar/lunar.el: Explicitly require cal-dst.

2008-03-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* autorevert.el (auto-revert-buffers): Use buffer-live-p.

	* help-fns.el (describe-function-1, describe-variable): If no
	replacement is provided, don't print "use nil instead".

2008-03-25  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* proced.el: New file.

2008-03-25  Tetsurou Okazaki  <okazaki@be.to>  (tiny change)

	* emacs-lisp/byte-opt.el (side-effect-free-fns): Fix typo.

2008-03-25  Juri Linkov  <juri@jurta.org>

	* battery.el: Add file cookie coding:iso-8859-1 for the degree sign
	in battery-mode-line-format.

	* bindings.el (minibuffer-local-map): For the command
	file-cache-minibuffer-complete replace keymap minibuffer-local-map
	with map which is already locally bound to minibuffer-local-map.

2008-03-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (map-keymap-sorted): Rename from map-keymap-internal.
	Remove `sort-first' argument.

	* subr.el (redisplay-end-trigger-functions)
	(window-redisplay-end-trigger, set-window-redisplay-end-trigger)
	(process-filter-multibyte-p, set-process-filter-multibyte):
	Mark as obsolete.

2008-03-25  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/re-builder.el (reb-mode-common): Remove reference to
	bogus variable `reb-kill-buffer'; don't make hooks buffer-local,
	use the LOCAL arg of `add-hook'.
	(reb-blink-delay, reb-mode-hook, reb-re-syntax, reb-auto-match-limit):
	Remove spurious * from defcustom docstrings.
	(reb-next-match, reb-prev-match, reb-enter-subexp-mode):
	Fix typos in messages.
	(reb-mode-buffer-p): New function.
	(re-builder, reb-kill-buffer): Use `reb-mode-buffer-p'.  Use `when'.
	(top, reb-show-subexp, reb-auto-update, reb-delete-overlays)
	(reb-cook-regexp, reb-update-regexp, reb-update-overlays):
	Use `unless', `when'.
	(re-builder-unload-function): New function.

2008-03-25  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hooks.el (vc-state): Add documentation for 'missing.

2008-03-25  Wilson Snyder  <wsnyder@wsnyder.org>

	* progmodes/verilog-mode.el (verilog-auto-output)
	(verilog-auto-input, verilog-auto-inout, verilog-auto)
	(verilog-delete-auto): Add optional regular expression to
	AUTOINPUT/AUTOOUTPUT/AUTOINOUT.
	(verilog-signals-matching-regexp): New internal function for
	signal matching.

2008-03-25  Johan Bockgård  <bojohan@gnu.org>

	* info.el (Info-isearch-search): Always return point.

2008-03-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-remembered-defdir): New var.
	(diff-find-file-name): Use it to flush diff-remembered-files-alist.

2008-03-25  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-bahai.el (calendar-bahai-read-date): New name for
	calendar-bahai-prompt-for-date.  Update callers, make old name an
	obsolete alias.  Doc fix.
	* calendar/cal-coptic.el (calendar-coptic-read-date): New name for
	coptic-prompt-for-date.  Update callers, make old name an
	obsolete alias.  Doc fix.
	* calendar/cal-hebrew.el (calendar-hebrew-read-date): New name for
	calendar-hebrew-prompt-for-date.  Update callers.  Doc fix.
	* calendar/cal-islam.el (calendar-islamic-read-date): New name for
	calendar-islamic-prompt-for-date.  Update callers.  Doc fix.
	* calendar/cal-iso.el (calendar-iso-read-date): New name for
	calendar-iso-read-args.  Update callers, make old name an obsolete
	alias.
	* calendar/cal-persia.el (calendar-persian-read-date): New name for
	persian-prompt-for-date.  Update callers, make old name an
	obsolete alias.  Doc fix.  Move definition before use.

	* calendar/cal-x.el (diary-frame-parameters)
	(calendar-frame-parameters, calendar-and-diary-frame-parameters)
	(calendar-frame-1): Doc fixes.
	(make-fancy-diary-buffer): Remove declaration.
	(calendar-dedicate-diary): Replace call to deleted function
	make-fancy-diary-buffer.
	(calendar-frame-setup): New function.
	(calendar-one-frame-setup, calendar-only-one-frame-setup)
	(calendar-two-frame-setup): Call calendar-frame-setup to do the actual
	work, and mark as obsolete.
	(special-display-buffer-names): Don't mess with this; it's not our
	business.
	(cal-x-load-hook): Defvar it, and mark as obsolete.

	* calendar/calendar.el (calendar-remove-frame-by-deleting):
	Default to t.  Add to 'calendar group.
	(calendar): Doc fix.  Use calendar-frame-setup.
	(calendar-basic-setup): Doc fix.  Add optional NODISPLAY argument.
	(generate-calendar-window): Doc fix.

2008-03-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el (vc-bzr-print-log, vc-bzr-diff): Do it asynchronously.

2008-03-24  Drew Adams  <drew.adams@oracle.com>

	* finder.el (finder-mode-syntax-table, finder-font-lock-keywords):
	New variables.
	(finder-mode): Use finder-mode-syntax-table.  Set font-lock-defaults.
	(finder-exit): Ignore errors rather than avoiding them.
	Kill *Finder-package* buffer also.

2008-03-24  Andreas Schwab  <schwab@suse.de>

	* xt-mouse.el (xterm-mouse-event): Avoid error with buttons > 5.

2008-03-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-after-dir-status):
	* vc-bzr.el (vc-bzr-after-dir-status): Detect missing files.

	* vc-cvs.el (vc-cvs-after-dir-status, vc-cvs-parse-status):
	Detect removed files.

	* vc.el (vc-status-printer): Use a different face for missing files.
	(vc-status-hide-up-to-date): Rename from
	vc-status-remove-up-to-date.  Update all callers.
	(vc-status-mode-map): Bind C-m.

2008-03-24  Alexandre Julliard  <julliard@winehq.org>

	* vc-git.el (vc-git-after-dir-status-stage1): Move state matching
	code ...
	(vc-git--state-code): ... to this new function.
	(vc-git-state): Use it.

2008-03-24  Trent Buck  <trentbuck@gmail.com>  (tiny change)

	* textmodes/remember.el (remember-mail-date)
	(remember-store-in-mailbox): Write date and From line in such a
	way that Mutt can read it.

2008-03-23  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (transient-mark-mode): Turn on by default.

2008-03-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-state): Return 'removed for removed files and
	'unregistered for unregistered files.

	* vc-hg.el (vc-hg-state): Return 'removed for removed files.

	* bindings.el (standard-mode-line-modes): Avoid duplicating a string.

	* vc-cvs.el (vc-cvs-parse-status): Note there are problems with
	subdirectories.

	* vc.el (vc-status-prepare-status-buffer): Fix thinko.
	(vc-status-menu-map): Add binding for vc-status-kill-dir-status-process.
	Add :enable for vc-status-refresh.
	(vc-status-menu-map-filter): Remove vc-ignore-menu-filter test.
	(vc-status-tool-bar-map): Add binding for
	vc-status-kill-dir-status-process.
	Don't test display-graphic-p and don't bind vc-ignore-menu-filter.
	(vc-update-vc-status-buffer, vc-status-kill-dir-status-process):
	Reset vc-status-process-buffer.
	(vc-status-refresh): Don't run two refreshes at a time.
	(vc-status): If the buffer is already in vc-status-mode only refresh.
	(vc-status-mark-buffer-changed): Add an optional file parameter.
	(vc-resynch-buffer): Use it.
	(vc-delete-file): Expand the file name before using it.
	Be careful to not create a new buffer with the old file contents.
	Update the VC state after performing the operation.

2008-03-23  Andreas Schwab  <schwab@suse.de>

	* menu-bar.el (menu-bar-showhide-fringe-ind-menu) [mixed]:
	Fix radio button condition.
	[box]: Likewise.
	[customize]: Add radio button.

2008-03-23  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-was-keypad-mode, calc-full-mode)
	(calc-user-parse-tables, calc-gnuplot-default-device)
	(calc-gnuplot-default-output, calc-gnuplot-print-device)
	(calc-gnuplot-print-output, calc-gnuplot-geometry)
	(calc-graph-default-resolution, calc-graph-default-resolution-3d)
	(calc-invocation-macro, calc-trail-pointer, calc-trail-overlay)
	(calc-undo-list, calc-redo-list, calc-main-buffer)
	(calc-trail-buffer, calc-why, calc-last-kill, calc-dollar-values)
	(calc-dollar-used, calc-hashes-used, calc-quick-prev-results)
	(calc-said-hello, calc-executing-macro, calc-any-selections)
	(calc-help-phase, calc-full-help-flag, calc-refresh-count)
	(calc-display-dirty, calc-embedded-info, calc-embedded-active)
	(calc-standalone-flag, var-EvalRules, math-expr-function-mapping)
	(math-expr-variable-mapping, calc-mode-map, calc-digit-map)
	(calc-dispatch-map, calc-do-dispatch, calc-read-key-sequence)
	(calc-create-buffer, calc-quit): Add docstrings.

2008-03-23  Juanma Barranquero  <lekktu@gmail.com>

	* makefile.w32-in (WINS_ALMOST): Add org.

2008-03-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-cvs.el (vc-cvs-after-dir-status, vc-cvs-dir-status):
	New functions to implement vc-status support.

2008-03-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-status-prepare-status-buffer): New function.
	(vc-status): Use it.

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-map): Add ... where
	appropriate.

2008-03-22  Alexandre Julliard  <julliard@winehq.org>

	* vc-git.el (vc-git--empty-db-p)
	(vc-git-after-dir-status-stage1-empty-db): New functions.
	(vc-git-dir-status, vc-git-after-dir-status-stage1, vc-git-state):
	Add support for empty repositories.

2008-03-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el (vc-git-annotate-extract-revision-at-line):
	Allow "^" in a version name.

	* vc-mtn.el (vc-mtn-state): Support the added state.

2008-03-22  Carsten Dominik  <dominik@science.uva.nl>

	* org: New directory for Org-mode.

	* org/org-export-latex.el: Moved from lisp/texmodes.

	* org/org-irc.el: Moved from lisp/texmodes.

	* org/org-mac-message.el: Moved from lisp/texmodes.

	* org/org-mouse.el: Moved from lisp/texmodes.

	* org/org-publish.el: Moved from lisp/texmodes.

2008-03-21  Juri Linkov  <juri@jurta.org>

	* comint.el (comint-dynamic-simple-complete):
	Use variable `stub' for the second arg `common-substring'
	of `comint-dynamic-list-completions'.
	(comint-dynamic-list-filename-completions):
	Use variable `filenondir' for the second arg `common-substring'
	of `comint-dynamic-list-completions'.
	(comint-dynamic-list-completions): Add new optional arg
	`common-substring'.  Add `common-substring' as the second arg of
	the call to `display-completion-list'.  Doc fix.

	* comint.el (comint-dynamic-complete-as-filename)
	(comint-dynamic-list-filename-completions)
	(comint-dynamic-simple-complete): Use `minibuffer-message'
	to display message "No completions of %s" when a command
	is called in the minibuffer.
	(comint-dynamic-simple-complete): Don't display other
	completion messages when a command is called in the minibuffer.
	(comint-dynamic-list-completions): Use `minibuffer-message'
	to display message " [Type space to flush ...]" when a command
	is called in the minibuffer.

	* shell.el (shell-dynamic-complete-command)
	(shell-dynamic-complete-environment-variable): Don't display
	completion messages when command is called in the minibuffer.

	* emacs-lisp/lisp.el (lisp-complete-symbol):
	Use `minibuffer-message' to display message "No completions of %s"
	when this command is called in the minibuffer.

	* bindings.el (standard-mode-line-modes): Put special help-echo
	tooltip on recursive edit %[ %] mode-line constructs.

	* dabbrev.el (debug-ignored-errors): Remove $ from the end of
	"^No dynamic expansion for .* found$" to allow error messages like
	"No dynamic expansion for \"%s\" found in this-buffer".

2008-03-21  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-methods): Fix tramp-copy-args of "pscp" and
	"psftp".

2008-03-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-default-mode-line-string): Add case for added files.
	* vc.el (vc-default-dired-state-info): Use just "modified".
	* vc-cvs.el (vc-cvs-state-heuristic): Turn rev 0 into `added'.
	(vc-cvs-mode-line-string): Make use of the better default.
	(vc-cvs-parse-entry): Use the new `added'.
	(vc-cvs-dired-state-info): Remove.
	* vc-svn.el (vc-svn-dired-state-info): Remove.
	* vc-hg.el (vc-hg-dired-state-info): Remove.
	* vc-git.el (vc-git-dired-state-info): Remove.

2008-03-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el (vc-git-status-result): New variable.
	(vc-git-dir-status): Split out ...
	(vc-git-after-dir-status-stage1, vc-git-after-dir-status-stage2):
	... these new functions and work asynchronously.

2008-03-21  Alexandre Julliard  <julliard@winehq.org>

	* vc-git.el (vc-git-after-dir-status): Remove.
	(vc-git-dired-state-info): Reimplement.

2008-03-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* replace.el (occur-mode-map): Add :help.

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-map): Add menu entry
	for disassemble.

	* vc.el (vc-status-mark-buffer-changed): Better deal with files in
	the 'added state.
	(vc-status-remove-up-to-date): New function.
	(vc-status-mode-map, vc-status-menu-map): Bind it.
	(vc-status-printer): Use a different face up-to-date files.
	(vc-resynch-buffer): Update the vc-status buffer if it exists.
	(Todo): Remove solved entries.

	* vc-hg.el (vc-hg-state):
	* vc-git.el (vc-git-state):
	* vc-cvs.el (vc-cvs-parse-status):
	* vc-bzr.el (vc-bzr-state): Return 'added when the file is in that
	state.

2008-03-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compile):
	* progmodes/grep.el (grep, grep-find): Use read-shell-command.

	* simple.el (minibuffer-local-shell-command-map): New var.
	(minibuffer-complete-shell-command, read-shell-command): New funs.
	(shell-command, shell-command-on-region): Use them.

2008-03-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-status-mark-buffer-changed): New function to implement
	updating of the *vc-status* buffer when a buffer is saved.
	(vc-status-mode): Use it for after-change-hook.
	(vc-add-to-vc-status-buffer): Rename to ...
	(vc-status-add-entry): ... this.
	(Todo): Add new entry.

2008-03-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* sort.el (sort-reorder-buffer): Preserve the buffer's multibyteness.

2008-03-20  Juanma Barranquero  <lekktu@gmail.com>

	* icomplete.el (icomplete-prospects-length, icomplete-max-delay-chars)
	(icomplete-show-key-bindings, icomplete-minibuffer-setup-hook):
	Remove spurious * from defcustom docstrings.
	(icomplete-compute-delay): Fix docstring and remove spurious *.
	(icomplete-delay-completions-threshold): Fix typo in docstring and
	remove spurious *.
	(icomplete-completions): While collecting the list of prospective
	candidates, don't overshoot `icomplete-prospects-length'.

2008-03-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* textmodes/refbib.el:
	* textmodes/reftex.el:
	* textmodes/reftex-global.el:
	* textmodes/reftex-vars.el:
	* textmodes/reftex-toc.el: Don't use eval-and-compile for byte
	compiler pacifying defvars.
	(reftex-toc-mode): Only make zmacs-regions local on XEmacs.
	* textmodes/reftex-index.el (zmacs-regions): Remove pacifier,
	not needed.

2008-03-20  Wilson Snyder  <wsnyder@wsnyder.org>

	* progmodes/verilog-mode.el (verilog-easy-menu-filter): New function.
	(verilog-stmt-menu, verilog-menu): Add :help and filter it.
	(verilog-customize, verilog-font-customize)
	(electric-verilog-backward-sexp, electric-verilog-forward-sexp)
	(verilog-mode): Update documentation strings to match tool tips.
	(verilog-auto-search-do, verilog-auto-re-search-do)
	(verilog-skip-forward-comment-or-string): Fix verilog-auto
	expansion when a .* appears inside a string.
	(verilog-re-search-forward, verilog-re-search-backward):
	Add comment to recall how this works.
	(verilog-read-decls): Fix AUTOINPUT/AUTOOUTPUT mis-including genvars.

2008-03-20  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (calendar-other-dates): New function.
	(calendar-print-other-dates): Use calendar-other-dates.
	* calendar/cal-menu.el (calendar-other-dates): Declare it, and removes
	the declarations it replaces.
	(calendar-mouse-print-dates): Use calendar-other-dates.

	* calendar/cal-bahai.el (calendar-bahai-leap-year-p)
	(calendar-bahai-leap-base, calendar-bahai-from-absolute): Doc fixes.
	(calendar-absolute-from-bahai): Fix the leap-year case.
	(calendar-bahai-from-absolute): Re-use the Gregorian month.
	(calendar-bahai-date-string, calendar-bahai-print-date):
	Handle pre-Bahai dates.

	* calendar/cal-china.el (chinese-calendar-celestial-stem)
	(chinese-calendar-terrestrial-branch): Make defcustoms.

	* calendar/cal-menu.el (calendar-mouse-holidays): Re-use the title.
	(calendar-mouse-view-diary-entries): Use or.
	(calendar-mouse-chinese-date): Remove unused command.
	(cal-menu-load-hook): Mark as obsolete.

	* calendar/solar.el (calendar-location-name, calendar-latitude)
	(calendar-longitude, solar-arctan, sunrise-sunset)
	(solar-mean-equinoxes/solstices): Use the appropriate equality test.

2008-03-20  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el: Remove outdated comments.
	(defcalcmodevar, calc-mode-var-list-restore-default-values)
	(calc-mode-var-list-restore-saved-values, calc-autorange-units):
	Add docstrings.

2008-03-19  Jason Rumney  <jasonr@gnu.org>

	* w32-fns.el (x-alternatives-map): Add S-tab mapping.

2008-03-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* net/tls.el (open-tls-stream): Reindent.

2008-03-19  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-let-maybe): Removed.
	(tramp-drop-volume-letter): Don't use `replace-regexp-in-string'.
	It does not exist under XEmacs.
	(tramp-handle-file-truename, tramp-handle-expand-file-name)
	(tramp-completion-file-name-handler): Let-bind
	`directory-sep-char'.

	* net/tramp-fish.el (tramp-fish-handle-expand-file-name): Let-bind
	`directory-sep-char'.

2008-03-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* help-fns.el (describe-function-1): Don't signal "missing arglist"
	for autoloaded keymaps.

	* progmodes/verilog-mode.el (verilog-syntax-ppss): New function.
	(electric-verilog-terminate-line, verilog-in-struct-region-p)
	(verilog-backward-ws&directives, verilog-forward-ws&directives)
	(verilog-in-comment-p, verilog-in-star-comment-p)
	(verilog-in-slash-comment-p, verilog-skip-backward-comments)
	(verilog-parenthesis-depth, verilog-skip-backward-comment-or-string)
	(verilog-skip-forward-comment-or-string, verilog-in-paren)
	(verilog-skip-forward-comment-p): Use it.

2008-03-19  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/org.el (org-link-store, org-link-follow, org-latex)
	(org-remember-templates, org-time-stamp-rounding-minutes)
	(org-back-over-empty-lines, org-find-base-buffer-visiting)
	(org-columns-new): Fix typos in docstrings.

2008-03-19  Glenn Morris  <rgm@gnu.org>

	* net/tramp.el (tramp-drop-volume-letter): Evaluate when compiling.
	(tramp-handle-shell-command): Use condition-case rather than
	ignore-errors.

2008-03-19  Dan Nicolaescu  <dann@ics.uci.edu>

	* diff-mode.el (diff-header): Make the color louder.
	(diff-refine-change): Tone the color down.

2008-03-19  Juanma Barranquero  <lekktu@gmail.com>

	* descr-text.el (describe-char): When `describe-char-unidata-list'
	is set to show all properties, list them in the right order.

2008-03-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/mule.el (load-with-code-conversion): Avoid setting
	default-enable-multibyte-characters.

2008-03-19  Gustav Hållberg  <gustav@virtutech.com>  (tiny change)

	* vc.el (vc-annotate-background): Fix custom type.

2008-03-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* descr-text.el (describe-char-unidata-list): Allow specifying
	just all properties.
	(describe-char): Handle that new value.

	* emulation/cua-base.el (cua-paste): Signal an error in read-only buf.

2008-03-18  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-initiate-display): Use doc-view-doc-type
	instead of file name extension to make docs with uncommon
	extensions work.

2008-03-18  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (require): Require cl at compile time because
	`assert' needs it.

2008-03-18  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (initial-calendar-window-hook)
	(today-visible-calendar-hook): Doc fixes.

2008-03-17  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-root-regexp): Simplify.
	(tramp-completion-file-name-regexp-separate): Don't insist on
	leading "[".  This prevents method or user or host completion.
	(tramp-let-maybe): Autoload it.
	(tramp-drop-volume-letter): Don't autoload.  When not on W32, it
	is an alias for `identity'.
	(tramp-handle-write-region): Protect `last-coding-system-used'
	over the trailing statements.
	(tramp-completion-file-name-handler-post-function): Remove.
	(tramp-completion-file-name-handler): Let-bind `directory-sep-char'
	instead of calling `tramp-drop-volume-letter'.

	* net/tramp.el:
	* net/tramp-uu.el:
	* net/trampver.el: Move coding cookie at the end.

2008-03-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/tramp.el (tramp-completion-mode-p): Don't use char-equal for
	elements which may be something else than characters.

2008-03-17  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-dir-status, vc-bzr-after-dir-status):
	New functions to implement vc-status support.

	* vc.el (vc-default-extra-status-menu)
	(vc-add-to-vc-status-buffer): New functions.

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-map): Add menu entries
	for eldoc and ielm.

2008-03-17  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-x.el (diary-frame-parameters)
	(calendar-frame-parameters, calendar-and-diary-frame-parameters):
	Fix custom type; add options.
	(calendar-frame, diary-frame): Doc fixes.
	(calendar-dedicate-diary, calendar-frame-1): Extract common code into
	new functions.
	(calendar-one-frame-setup, calendar-two-frame-setup): Doc fixes.
	Use calendar-frame-1 and calendar-dedicate-diary.
	(calendar-one-frame-setup): Also handle only-one-frame case.
	(calendar-only-one-frame-setup): Doc fix.  Just call
	calendar-one-frame-setup.

	* calendar/diary-lib.el: Re-order some definitions before their use.
	(nongregorian-diary-listing-hook, nongregorian-diary-marking-hook)
	(diary-list-entries): Doc fixes.
	(make-fancy-diary-display): Remove function.

	* calendar/calendar.el (calendar-today-marker)
	(initial-calendar-window-hook, today-visible-calendar-hook)
	(today-invisible-calendar-hook, diary-file, calendar-basic-setup)
	(calendar-star-date, calendar-mark-today): Doc fixes.
	(today-visible-calendar-hook): Add options.
	(calendar-in-read-only-buffer): New macro.
	(calendar-basic-setup): Adapt for change in calendar-read-date.
	Place holiday let inside if.
	(calendar-day-name-array, calendar-month-name-array): Make defcustoms.
	(calendar-read-date): Set day to 1 rather than nil in the NODAY case.
	(calendar-print-other-dates): Use one let rather than many.

	* calendar/calendar.el (calendar-in-read-only-buffer): New macro.
	(calendar-print-other-dates):
	* calendar/cal-hebrew.el (list-yahrzeit-dates):
	* calendar/diary-lib.el (simple-diary-display, fancy-diary-display):
	* calendar/holidays.el (calendar-list-holidays, list-holidays)
	(calendar-cursor-holidays):
	* calendar/lunar.el (calendar-phases-of-moon): Use
	calendar-in-read-only-buffer to replace previous code and disable undo.

2008-03-16  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-edit-string): Use search-ring-yank-pointer
	and regexp-search-ring-yank-pointer for the HISTPOS argument of
	read-from-minibuffer to provide the correct initial minibuffer
	history position in isearch-edit-string when it is called from
	isearch-ring-adjust.

	* menu-bar.el (kill-this-buffer): Use menu-bar-non-minibuffer-window-p
	to check if the current buffer is the minibuffer, and in this case
	call abort-recursive-edit to kill the minibuffer.  Doc fix.
	(kill-this-buffer-enabled-p): Allow this function to return non-nil
	when the current buffer is the minibuffer.

	* simple.el (goto-line): Leave mark at previous position.  Doc fix.

2008-03-16  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-doc->txt, doc-view-convert-current-doc):
	Use non-nil PARENTS attribute of make-directory instead of
	explicitly checking existence the current cache directory.

2008-03-16  Daiki Ueno  <ueno@unixuser.org>

	* epa-file.el (epa-file-select-keys): Fix bug with C-x C-s after
	M-x epa-file-select-keys.

2008-03-16  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (auto-coding-alist):
	Use no-conversion-multibyte for archive files.

2008-03-16  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (calendar-mark-complex, calendar-mark-1):
	New functions.
	* calendar/cal-bahai.el (calendar-mark-1): Autoload it.
	(calendar-bahai-mark-date-pattern): Add optional argument `color'.
	Use calendar-mark-1.
	* calendar/cal-hebrew.el (calendar-mark-complex): Autoload it.
	(mark-hebrew-calendar-date-pattern): Add optional argument `color'.
	Use calendar-mark-complex.
	* calendar/cal-islam.el (calendar-mark-1): Autoload it.
	(mark-islamic-calendar-date-pattern): Add optional argument `color'.
	Use calendar-mark-1.

	* calendar/calendar.el (calendar-mod): Remove.
	* calendar/cal-china.el (calendar-chinese-from-absolute)
	(calendar-chinese-date-string): Expand calendar-mod calls.
	* calendar/cal-mayan.el (calendar-mayan-tzolkin-from-absolute):
	Expand calendar-mod calls.

	* calendar/cal-bahai.el (calendar-bahai-date-string): Use a single let.
	(diary-bahai-insert-entry, diary-bahai-insert-monthly-entry)
	(diary-bahai-insert-yearly-entry): Use let rather than let*.
	Move obsolete aliases after the functions that replaced them.

	* calendar/cal-hebrew.el (calendar-absolute-from-hebrew)
	(hebrew-calendar-yahrzeit, insert-hebrew-diary-entry)
	(insert-monthly-hebrew-diary-entry, insert-yearly-hebrew-diary-entry):
	Use let rather than let*.
	(calendar-hebrew-prompt-for-date): New function.
	(calendar-goto-hebrew-date): Use calendar-hebrew-prompt-for-date.
	(holiday-tisha-b-av-etc): Use unless, let.

	* calendar/cal-islam.el (calendar-islamic-prompt-for-date): New func.
	(calendar-goto-islamic-date): Use calendar-islamic-prompt-for-date.

	* calendar/cal-mayan.el (calendar-mayan-haab-to-string): Simplify.

	* calendar/calendar.el (calendar-for-loop): Add indent spec.

	* calendar/diary-lib.el (diary-remind-message, mark-sexp-diary-entries)
	(list-sexp-diary-entries, diary-font-lock-sexps): Use format rather
	than concat.
	(diary): Remove un-needed let.
	(view-other-diary-entries): Rename argument.
	(diary-list-entries-2): New function.
	(diary-list-entries-1, diary-list-entries): Use diary-list-entries-2.
	(print-diary-entries): Use unless.
	(diary-mark-entries-1): Change argument order, make all but
	markfunc optional.  Handle the standard (Gregorian) case.
	Use match-string-no-properties.  Handle marks.
	(mark-diary-entries): Use diary-mark-entries-1.
	(diary-font-lock-keywords-1): New macro.
	(diary-font-lock-keywords): Use diary-font-lock-keywords-1.

2008-03-16  Ulf Jasper  <ulf.jasper@web.de>

	* icalendar.el (icalendar-version): Increase to 0.18.
	(icalendar-export-hidden-diary-entries): New variable.
	(icalendar-export-region): Use icalendar-export-hidden-diary-entries.
	In case of error, insert full error-val.
	(icalendar-first-weekday-of-year): Remove `offset' argument.  Doc fix.
	Use calendar-day-of-week.  Return the day number.
	(icalendar--convert-weekly-to-ical): Use funcall rather than apply.

2008-03-16  Craig Markwardt  <Craig.Markwardt@nasa.gov>

	* icalendar.el (icalendar-recurring-start-year): New variable.
	(icalendar--diarytime-to-isotime): Fix treatment of 12:00pm - 12:59pm.
	(icalendar-export-region): Ignore hidden diary entries.
	(icalendar--convert-ordinary-to-ical): Fix case where event
	spans across midnight boundary.
	(icalendar-first-weekday-of-year): New function.
	(icalendar--convert-weekly-to-ical): Allow user-selectable start
	year for recurring events (Mozilla calendars do not propagate
	recurring events forever, so year 2000 start date was not working).
	(icalendar--convert-yearly-to-ical): Remove extra spaces in
	formatting of BYMONTH and BYMONTHDAY (not allowed by ical spec).

2008-03-15  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-root-regexp): New defconst.
	(tramp-completion-file-name-regexp-unified)
	(tramp-completion-file-name-regexp-separate)
	(tramp-completion-file-name-regexp-url): Use it.
	(tramp-do-copy-or-rename-file-via-buffer):
	Set `enable-multibyte-characters' to nil.  Set `jka-compr-inhibit' to
	t for `insert-file-contents-literally'.
	(tramp-drop-volume-letter): Rewrite, using `tramp-root-regexp'.
	Autoload it.
	(tramp-completion-file-name-handler-post-function): New defconst.
	(tramp-completion-file-name-handler): Use it.
	(tramp-maybe-open-connection): Update calls to
	`tramp-flush-connection-property' for removed 2nd argument.

2008-03-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el (vc-bzr-diff): Use a faster invocation when possible.
	(vc-bzr-complete-with-prefix, vc-bzr-revision-completion-table):
	New functions.

2008-03-15  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-list-entries-1, diary-mark-entries-1):
	New functions.
	* calendar/cal-bahai.el (number, original-date, add-to-diary-list)
	(diary-name-pattern, mark-calendar-days-named): Remove declarations.
	(diary-list-entries-1, diary-mark-entries-1): Autoload.
	(diary-bahai-list-entries): Use diary-list-entries-1.
	(diary-bahai-mark-entries): Doc fix.  Use diary-mark-entries-1.
	* calendar/cal-hebrew.el (number, original-date, add-to-diary-list)
	(diary-name-pattern, mark-calendar-days-named): Remove declarations.
	(diary-list-entries-1, diary-mark-entries-1): Autoload.
	(list-hebrew-diary-entries): Use diary-list-entries-1.
	(mark-hebrew-diary-entries): Doc fix.  Use diary-mark-entries-1.
	* calendar/cal-islam.el (number, original-date, add-to-diary-list)
	(diary-name-pattern, mark-calendar-days-named): Remove declarations.
	(diary-list-entries-1, diary-mark-entries-1): Autoload.
	(list-islamic-diary-entries): Use diary-list-entries-1.
	(mark-islamic-diary-entries): Doc fix.  Use diary-mark-entries-1.

	* calendar/appt.el (appt-check, appt-delete, appt-make-list): Use caar.

	* calendar/cal-bahai.el (calendar-bahai-epoch): Doc fix.

	* calendar/cal-china.el (number-chinese-months)
	(calendar-chinese-from-absolute): Use nth, caar.

	* calendar/cal-coptic.el (coptic-calendar-epoch): Doc fix.

	* calendar/cal-french.el (french-calendar-accents): Doc fix.

	* calendar/cal-hebrew.el (calendar-hebrew-month-name-array-common-year)
	(calendar-hebrew-month-name-array-leap-year)
	(hebrew-calendar-parashiot-names): Make constants.
	(diary-parasha): Move definition after constants it uses.

	* calendar/cal-html.el (cal-html-insert-link-yearpage)
	(cal-html-htmlify-list): Doc fix.
	(cal-html-htmlify-entry): Use nth.

	* calendar/cal-islam.el (calendar-islamic-month-name-array)
	(calendar-islamic-epoch): Make constants.
	(calendar-islamic-epoch): Doc fix.

	* calendar/cal-menu.el (cal-menu-goto-menu): Use "Go To".

	* calendar/cal-tex.el (cal-tex-hook, cal-tex-insert-preamble)
	(cal-tex-month-name): Doc fix.
	(cal-tex-last-blank-p): Use zerop.

	* calendar/calendar.el (european-calendar-style, calendar-for-loop)
	(calendar-sum, calendar-insert-indented, mouse-calendar-other-month)
	(calendar-cursor-to-date): Doc fix.
	(hebrew-holidays-1, hebrew-holidays-4): Simplify.
	(extract-calendar-day, extract-calendar-year): Use cadr, nth.
	(calendar-day-number): Use when.
	(generate-calendar-month): Use dotimes.
	(exit-calendar, calendar-print-other-dates): Use let rather than let*.
	(calendar-set-mark): Reverse conditional.
	(calendar-make-alist): Move definition before use.

	* calendar/diary-lib.el (diary-face-attrs)
	(diary-glob-file-regexp-prefix, diary-selective-display)
	(number-of-diary-entries, diary-list-entries, diary-goto-entry)
	(list-sexp-diary-entries, diary-date, diary-block, diary-float)
	(diary-anniversary, diary-cyclic)
	(diary-fancy-font-lock-fontify-region-function): Doc fixes.
	(diary-header-line-format): Change wording.
	(diary-list-entries): Set `date-start' in let.
	(include-other-diary-files, mark-included-diary-files): Use format.
	(simple-diary-display, fancy-diary-display): Use cadr, unless.
	(mark-diary-entries): Use 1+.
	(mark-sexp-diary-entries, list-sexp-diary-entries): Use when.
	(mark-calendar-month): Use dotimes.

	* calendar/holidays.el (displayed-month, displayed-year):
	Move declarations where needed.
	(calendar-list-holidays): Doc fix.

	* calendar/parse-time.el (parse-time-string): Simplify.

	* calendar/solar.el (solar-n-hemi-seasons, solar-s-hemi-seasons):
	Make constants.
	(solar-sunrise-sunset): Rename some local variables for clarity.
	(sunrise-sunset): Use zerop.
	(solar-mean-equinoxes/solstices): Doc fix.

	* calendar/timeclock.el (timeclock-time-to-seconds, timeclock-log-data):
	Use nth.
	(timeclock-completing-read, timeclock-generate-report): Use zerop.
	(timeclock-mean, timeclock-generate-report): Use dolist.

	* calendar/todo-mode.el (todo-add-category): Simplify.
	(todo-more-important-p, todo-delete-item, todo-file-item):
	Use unless, when.
	(todo-top-priorities): Use zerop.

2008-03-14  Nick Roberts  <nickrob@snap.net.nz>

	* buff-menu.el (list-buffers-noselect): Display buffer name in
	tooltip instead of mouse binding when it doesn't fit in the list.

2008-03-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* faces.el (xw-defined-colors):
	* simple.el (widget-convert, shell-mode): Declare as functions
	instead of autoloading.

	* abbrev.el:
	* button.el:
	* cus-face.el:
	* ediff-hook.el:
	* emacs-lisp/backquote.el:
	* emacs-lisp/timer.el:
	* facemenu.el:
	* faces.el:
	* menu-bar.el:
	* simple.el:
	* subr.el:
	* textmodes/fill.el:
	* textmodes/paragraphs.el: Remove autoloads, redundant when the
	files are preloaded.

2008-03-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* desktop.el (desktop-create-buffer): Don't catch errors if
	debug-on-error is set.

